2026-04-19  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.9 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.9: Koa Kai';git push
	git tag -a 5.3.9 -m 'all: bfr sz dfl 32 MiB; ncclimo/ncremap: hrm mch, add bfr_sz opt, cnv_opt_prl_n2m fix; ncks -k';git push --tags

	* Document 5.3.9

	* all: Set default chunk size to 32 MiB = 33554432 B

2026-04-16  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo: Add n[0123456789][0123456789][0123456789][0123456789] synonyms for Compy

	* ncremap fix typo and use cnv_opt_prl_n2m not cnv_opt_par_n2m

	* ncremap/ncclimo: fix stderr-redirects caught by shellcheck then revert because shellcheck was wrong

	* ncremap/ncclimo: Harmonize machine-dependent blocks

2026-04-15  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.9-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.9-alpha02: Shade Blind';git push
	git tag -a 5.3.9-alpha02 -m 'ncremap: mpi fix';git push --tags

	* ncremap: change mpi_idx_zro to fl_idx in MPI prefix definition
	This fixes bug discovered in E3SM-Unified test on machines not in ncremap database

2026-04-13  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.9-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.9-alpha01: Brothers Comatose';git push
	git tag -a 5.3.9-alpha01 -m 'Functionally identical to 5.3.8 except for nco_dbg_lvl guards and ncks -k option';git push --tags

	* ncks: Add -k = --prn_fl_fmt option to print netCDF filetype information

2026-04-12  Charlie Zender  <zender@uci.edu>

	* all: exit() with HINT when dbg_lvl < 0 or > 10

2026-04-10  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.8 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.8: Field Trip Fest';git push
	git tag -a 5.3.8 -m 'all: CF cnv url; ncclimo: flx mth fix, csn/ann yr_rng fix; ncra: cb->bnd_mk, cb->lcn_typ, climo_time_cell_method';git push --tags

	* NCO 5.3.8-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.8-alpha03: Practicum';git push
	git tag -a 5.3.8-alpha03 -m 'ncclimo: fix csn/ann yr_rng octal bug';git push --tags

	* Failed to understand why old EAMxx HFC data generates out-of-range errors in nco_put_var()

	* ncclimo use numeric comparison in inp_aut filename generation	(fixes fl_nbr miscount)

	* Fix nco_clm_nfo_to_tm_bnds() prototype

	* ncclimo call csn_nfo_get() with trimmed (i.e., _rth) values to prevent octal interpretation

	* Add explicit base-10 conversion for all input parameters after syntax check (Copilot)

2026-04-08  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.8-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.8-alpha02: 29 Palms';git push
	git tag -a 5.3.8-alpha02 -m 'all: CF cnv url chg; ncra:	cb->bnd_mk, cb->lcn_typ, climo_time_cell_method';git push --tags

	* ncra: Detect climo_time_cell_method in input to cue instantaneous treatment

	* ncra: Add global climo_time_cell_method attribute to instantaneous files

	* ncra: Fix bounds for instant files to accord with CF in all monthly and seasonal climos

	* ncks: CEWI Initialize fexcept_t flg_xcp to 0

	* ncra: Create nco_lcn_typ branches for time and boundary values in nco_clm_nfo_to_tm_bnds()

	* ncra: Add interval-location type enumeration argument to nco_cln_utl.c:nco_clm_nfo_to_tm_bnds()

	* Update CF Conventions homepage from http://cfconventions.org to https://cf-convention.github.io

	* ncra: Put bnd_mk fields into cb structure for potential use by nco_cnv_cf_cll_mth_add()

	* ncra: Create dim2 dimension (if needed) and time_bnds variable when cb->bnd_mk is true

2026-04-07  Charlie Zender  <zender@uci.edu>

	* nco_cnv_cf_cll_mth_add() add cell_method="time: point"

2026-04-06  Charlie Zender  <zender@uci.edu>

	* ncra add cb->bnd_mk stubs

	* NCO 5.3.8-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.8-alpha01: Laguna Lahaina';git push
	git tag -a 5.3.8-alpha01 -m 'Functionally identical to 5.3.7 except for flexible months fixes';git push --tags

2026-04-03  Charlie Zender  <zender@uci.edu>

	* Fix duplicated years in monthly climo file list

	* Fix January offset jan_fst in flexible months

2026-03-31  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.7 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.7: Sleeping Dolphins';git push
	git tag -a 5.3.7 -m 'all: update NEP API, l2d cnk, LZ4, bebop/improv; ncclimo: csn all, flx mth, salloc xmp; ncks json fix; ncremap: rm PM modules, srun dfl, ps srch fix, mbpart nfr, mbconvert';git push --tags

2026-03-30  Charlie Zender  <zender@uci.edu>

	* Update docs

2026-03-29  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.7-alpha08 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.7-alpha08: Yo-yo and PacMan';git push
	git tag -a 5.3.7-alpha08 -m 'ncclimo: csn all';git push --tags

	* Fix season JA, verify all 2-month and 3-month seasons work

	* ncra treat <= 3 files as clm2clm not clm2bnd

	* Fix seasonal climos input file lists and command formation

	* Define all two-month and three-month seasons

2026-03-27  Charlie Zender  <zender@uci.edu>

	* Allow flexible months for all climo modes

2026-03-26  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.7-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.7-alpha07: AI not RI';git push
	git tag -a 5.3.7-alpha07 -m 'ncclimo: flx mth';git push --tags

	* Update documentation to remove winter mode, explain flexible month mode

	* Remove wnt_md code. Option is now a no-op for back-compatibility. Print WARNING when invoked.

	* Implement csn_nfo_get() as Bash in ncclimo

	* Shift gaa_sng to depend on clm_idx

	* Metadata appears to be correct for all flexible-month climos

2026-03-24  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.7-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.7-alpha06: Spidey';git push
	git tag -a 5.3.7-alpha06 -m 'all: update NEP;ncclimo: flx mth; ncremap rm PM modules;';git push --tags

	* Math appears to be correct for flexible-month monthly, seasonal, annual climos

	* Metadata appears to be correct for flexible-month monthly climos

	* Fix minor bugs in nco_csn_nfo_get()

	* Generate nco_clm_nfo_get() with Copilot to parse new seasonal	climatology format metadata

2026-03-23  Charlie Zender  <zender@uci.edu>

	* Add diagnostic output for yr_nbr, yr_cln

	* Allow mth_srt, mth_end with monthly climos for development

	* ncclimo doublecheck that mth_nbr == fl_nbr in monthly climo mode

2026-03-22  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo distinguish ERRORs from HINTs

2026-03-18  Charlie Zender  <zender@uci.edu>

	* Update NEP support to look for nep.h/libnep.a rather than ncsqueeze.h/libncsqueeze.a

2026-03-17  Charlie Zender  <zender@uci.edu>

	* Update Chrysalis/Andes/Perlmutter compilers from C++11 to C++17 to find std::uncaught_exceptions()
	in ANTLR now that std::uncaught_exception() is fully deprecated

	* Test remove ncremap --npo modules on PM

2026-03-16  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.7-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.7-alpha05: East Fork';git push
	git tag -a 5.3.7-alpha05 -m 'all: l2d pck plc; ncclimo: salloc not srun xmp; ncremap: srun dfl';git push --tags

	* Merge l2d packing policy by Ezequiel Cimadevilla and David Hassell of NCAS

2026-03-11  Charlie Zender  <zender@uci.edu>

	* ncremap shift default node manager from mpirun to srun (ncclimo shifted on 20250122)

2026-03-06  Charlie Zender  <zender@uci.edu>

	* ncremap: Consolidate mbconvert hints into single command

	* ncremap/ncclimo: Remove MOAB_ROOT and TEMPESTREMAP_ROOT blocks (rely on E3SM-U)

	* ncremap When debug mode is off then pipe stderr to /dev/null (i.e., add 2>&1)

	* ncclimo Change from srun to salloc for interactive login nodes (or bash ties up the node)

2026-03-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.7-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.7-alpha04: Manitou';git push
	git tag -a 5.3.7-alpha04 -m 'all: Support bebop; ncremap: Refactor mbtempest workflow, ps search-order fix';git push --tags

	* ncremap search for ps in input data file before searching in external file

2026-02-26  Charlie Zender  <zender@uci.edu>

	* ncremap use single mbpart command with --inferred dst.h5m to partition source and destination meshes

2026-02-24  Charlie Zender  <zender@uci.edu>

	* ncremap add --mbt_grd_nc4/--mbt_grd_rd_srl flag

	* ncremap revise and HINTs for mbconvert failures

2026-02-23  Charlie Zender  <zender@uci.edu>

	* ncremap Fix mpi_pfx prepend command

2026-02-20  Charlie Zender  <zender@uci.edu>

	* ncremap mbconvert use mpi_pfx for SCRIP, not for TR Exodus

	* ncclimo/ncremap replace blues with bebop

	* ncremap always use srun to run mbconvert

	* ncremap mbconvert always use -B for serial TR reader on Exodus *.g grids

	* ncremap mbconvert always use parallel reader on true Exodus (*.exo) and SCRIP grids

2026-02-18  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.7-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.7-alpha03: Chafing';git push
	git tag -a 5.3.7-alpha03 -m 'all: Add LZF stubs, deprecate CCR;	ncclimo/ncremap LCRC improv';git push --tags

2026-02-18  Charlie Zender  <zender@uci.edu>

	* Update ncclimo/ncremap to work with LCRC Improv and PBSPro

2026-01-01  Charlie Zender  <zender@uci.edu>

	* Updated libnetcdf main branch snapshot caused three new ncks regressions, all in tests with --trd -s %fmt

2025-12-09  Charlie Zender  <zender@uci.edu>

	* Remove CCR hooks and stubs in favor of NEP

2025-12-03  Charlie Zender  <zender@uci.edu>

	* Prevent LZF and LZ4 invocation unless ENABLE_NEP defined (otherwise must write NCO stub functions for NEP codecs)

	* NCO 5.3.7-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.7-alpha02: Black-eyed P\'s';git push
	git tag -a 5.3.7-alpha02 -m 'all: NEP, LZ4 working; ncremap: hone nco_mss_val_get_dbl()-suggested ncatted command; ncks: jsn att/var fmt fix';git push --tags

	* LZF infrastructure added but not working after library rebuild. Does no harm. Fix next version.

	* LZ4 works after libnetcdf rebuild!

	* Add support for standalone (not BLOSC) LZ4 filter handling when NEP installed

	* Add configure machinery for netCDF Expansion Pack (NEP) support

2025-12-02  Charlie Zender  <zender@uci.edu>

	* Improve suggested ncatted command when mss_val_dbl = NaN in nco_mss_val_get_dbl()

2025-11-20  Charlie Zender  <zender@uci.edu>

	* Fix variable JSON format to always be type = 2 and print type, shape

	* Fix jsn_att_fmt regression, restore printing attributes as objects, reported by Andrew Barna

2025-11-06  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.7-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.7-alpha01: Reuptake Inhibitor';git push
	git tag -a 5.3.7-alpha01 -m 'Functionally identical to 5.3.6 except for two ncclimo name generation corner case fixes';git push --tags

	* ncclimo MPAS automatic name generation fixed to insert dot only when caseid option is used

	* ncclimo fix trim_leading_zeros() to work when input year is 0

2025-10-29  Charlie Zender  <zender@uci.edu>

	* ncks: Note that i,j are lat,lon not lon,lat with CMCC-ESM2 convention (opposite of usual NEMO CMIP5 convention)

2025-10-28  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.6 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.6: Goff Island';git push
	git tag -a 5.3.6 -m 'ncremap/ncks: Fix 5.3.5 row/col check, nco_idw=ncoidw; ncremap/ncclimo: E3SMU_PATH for v1.12; ncclimo lndgrid is 2D';git push --tags

2025-10-27  Charlie Zender  <zender@uci.edu>

	* Merge changes to E3SMU_PATH by Andrew Nolan into ncremap/ncclimo

2025-10-17  Charlie Zender  <zender@uci.edu>

	* nco_grd_nfr() Add stubs to correctly infer corners of 2D regional grids that cross longitude branch cut

2025-10-16  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.6-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.6-alpha02: Casa Chimayo';git push
	git tag -a 5.3.6-alpha02 -m 'ncclimo/ncremap: E3SMU_PATH/lib; ncremap ncoidw fix, row/col chk sz fix';git push --tags

	* Fix 20250905 row/col sanity check to use correct size

	* ncks: map-checker print filename first so batch invocation informs reader of current map-file

2025-10-09  Charlie Zender  <zender@uci.edu>

	* Change ncremap nco_idw to new normalized name ncoidw. Fixes GitHub Issue #295 from Zachary Moon.

2025-10-08  Charlie Zender  <zender@uci.edu>

	* Add E3SMU_PATH/lib to ncclimo/ncremap

2025-09-29  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.6-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.6-alpha01: Alien: Earth';git push
	git tag -a 5.3.6-alpha01 -m 'Functionally identical to 5.3.5 plus nco_is_hrz() fix';git push --tags

	* nco_is_hrz() add lndgrid as valid 1D horizontal dimension, fixes ncclimo timeseries generation on bigrid data

2025-09-25  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.5 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.5: Playground';git push
	git tag -a 5.3.5 -m 'all: quiet dbg output, --var_lst = -v; ncks: add mask_a/b dgn; ncclimo/ncremap: Fix OpenMP w/ GCC, add par doc, dgn bad map row/col, --npo refactor, plev xtr fl';git push --tags

	* Preliminary updates for 5.3.5-final

2025-09-24  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.5-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.5-beta01: Ally Maz and Nicole Wild';git push
	git tag -a 5.3.5-beta01 -m 'all: quiet dbg output, --var_lst = -v; ncks: add mask_a/b dgn; ncclimo/ncremap: Fix OpenMP w/ GCC, add par doc, dgn bad map row/col, --npo refactor, plev xtr fl';git push --tags

	* Add regridding and map-generation scaling tests to parallelism section of Confluence page

2025-09-18  Charlie Zender  <zender@uci.edu>

	* Add English translations of Conservation and Consistency to map-checker output

2025-09-13  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.5-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.5-alpha04: Guava cream-cheese danish';git push
	git tag -a 5.3.5-alpha04 -m 'all: Fix OpenMP with GCC at DOE HPCs; ncremap/ncclimo: update docs; ncks: __GNUC__ token not __GNUG__';git push --tags

	* OpenMP now works as expected on MacOS, Linux, and at DOE HPCCs

	* #undef NCO_OPENMP_DEFINED before using it for OpenMP pragmas

	* Refactor OpenMP diagnostics for vertical and horizontal

2025-09-12  Charlie Zender  <zender@uci.edu>

	* ncremap: quiet renormalization configuration debug output

2025-09-11  Charlie Zender  <zender@uci.edu>

	* Update ncremap/ncclimo self-documentation

	* Clarify --thr_nbr option in ncremap Confluence page

2025-09-07  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.5-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.5-alpha03: Bodkin';git push
	git tag -a 5.3.5-alpha03 -m 'all: --var_lst = --variables = -v;	ncks/ncremap: dgn bad row/col';git push --tags

	* ncks: Diagnose and count bad values of row, col, then exit() in nco_rgr_wgt()

2025-09-05  Charlie Zender  <zender@uci.edu>

	* ncks: Add extra diagnostics to mask_a/b in nco_map_chk()

	* all: Add --var_lst as synonym to -v and --variables

	* ncclimo: Additional debug information when ncks cannot link

2025-09-04  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.5-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.5-alpha03: Bodkin';git push
	git tag -a 5.3.5-alpha03 -m 'ncremap/ncclimo add ~/anaconda/lib to LD_LIBRARY_PATH for Chrysalis, Perlmutter';git push --tags

	* ncclimo/ncremap: Add ~/anaconda/lib to LD_LIBRARY_PATH for Chrysalis, Perlmutter

2025-09-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.5-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.5-alpha02: Iron Champs 2nd Place';git push
	git tag -a 5.3.5-alpha02 -m 'all: zfp flt stubs; ncks: plev/prs_3d in xtr fl; ncremap/ncclimo npo refactor';git push --tags

	* Add EAMv3 tests for Chrysalis

	* ncremap/ncclimo: Re-factor and simplify --npo code

2025-08-08  Charlie Zender  <zender@uci.edu>

	* Add H5Z_FILTER_ZFP=32013 to internal database

2025-07-24  Charlie Zender  <zender@uci.edu>

	* Add grd_crc_ngl.nco to compute distances/accuracy on great circles

	* Change obsolete GPL copyright statement in obsolete ncap_lex.[cl] files

2025-07-22  Charlie Zender  <zender@uci.edu>

	* Fix ncvardmnlatlon filter definition typo

2025-07-18  Charlie Zender  <zender@uci.edu>

	* Allow pure pressure input variables plev (or p3d) to be stored in external file

2025-07-17  Charlie Zender  <zender@uci.edu>

	* nco_rgr.c nco_vrt_ntp(): Add stubs for prs_3d interpolation

2025-07-13  Charlie Zender  <zender@uci.edu>

	* nco.texi update Forward

2025-07-07  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.5-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.5-alpha01: Department Q';git push
	git tag -a 5.3.5-alpha01 -m 'Functionally identical to 5.3.4 except some documentation';git push --tags

	* nco.texi update Forward

2025-07-01  Charlie Zender  <zender@uci.edu>

	* Document more examples of ncra --per-record-weighting (--prw)

2025-06-22  Charlie Zender  <zender@uci.edu>

	* Document locations for input/output PS with vrt_in vrt_out

2025-06-16  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.4 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.4: Fourth Place Fourth Time';git push
	git tag -a 5.3.4 -m 'all: --gad glb att del; ncclimo: nfr tpd/dpf when !tm_bnds, use is_hrz; ncks: --is_hrz, S1D add lut_out=789 option, frc_column add urb_all, sng att prn ln brk; ncrcat: !mnt_chk bnd; ncremap cxl alg_typ=tempest';git push --tags

2025-06-15  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.4-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.4-beta01: Trombone Shorty at The Greek';git push
	git tag -a 5.3.4-beta01 -m 'all: --gad glb att del; ncclimo: nfr tpd/dpf when !tm_bnds, use is_hrz; ncks: --is_hrz, S1D add lut_out=789 option, frc_column add urb_all, sng att prn ln brk; ncrcat: !mnt_chk bnd; ncremap cxl alg_typ=tempest';git push --tags

	* Document NC_STRING printing, "alg_typ=tempest" deprecation

2025-06-12  Charlie Zender  <zender@uci.edu>

	* Document --lut=789 and frc_column, frc_landunit in nco.texi/release notes

2025-06-11  Charlie Zender  <zender@uci.edu>

	* Document --gad and --is_hrz in release notes

	* Document --is_hrz in nco.texi

2025-06-10  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.4-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.4-alpha06: Maximum Burn Rate';git push
	git tag -a 5.3.4-alpha06 -m 'ncclimo: skp hrz var; ncks: --is_hrz, nco_var_is_hrz()';git push --tags

	* ncclimo takes ~1m30s longer to perform rgn_stt on all ELM variables when calling ncks --is_hrz

	* ncclimo skip wait() on cmd_rgn on skipped (horizontal) variables

	* ncclimo implement ncks --is_hrz=var_nm to ensure rgn_stt only	attempted on horizontal variables

	* Add ncks --is_hrz=var_nm to call nco_var_is_hrz()

	* Add nco_var_is_hrz() to check whether single variable is horizontal

	* Add function alias ncvarrnk to return variable rank

2025-06-05  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.4-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.4-alpha05: Gut Punch';git push
	git tag -a 5.3.4-alpha05 -m 'all: --gad glb att del;ncremap cxl alg_typ=tempest';git push --tags

	* Add --gad, --glb_att_del to all binary operators and ncremap

	* Document --gad in nco.texi and man-pages

2025-06-04  Charlie Zender  <zender@uci.edu>

	* Remove alg_typ=tempest to reduce ambiguity that confused me, Walter H., and likely other users

	* Implement nco_glb_att_del() in ncks, test it, it works!

	* Add nco_glb_att_del() routine to delete list of global attributes

2025-05-21  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.4-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.4-alpha04: Yellowjackets';git push
	git tag -a 5.3.4-alpha04 -m 'ncks: S1D add lut_out=789 option, frc_column add urb_all';git push --tags

	* Complete and test new S1D lut_out=789 option for all urban types

2025-05-20  Charlie Zender  <zender@uci.edu>

	* Create new S1D lut_out=789 option for all urban types (preliminary feature works)

	* Tidy nco.texi ncap2 and vpointer sections

2025-05-13  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.4-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.4-alpha03: Complete Unknown';git push
	git tag -a 5.3.4-alpha03 -m 'ncclimo: fix hfc wrn/err msg; nfr tpd dpf from tm_var';git push --tags

	* Tidy nco_cln_utl.c

2025-05-09  Charlie Zender  <zender@uci.edu>

	* ncclimo infer tpd and dpf when time bounds not present

	* ncclimo allow hfc and hfs input files that contain no time bounds variables

2025-05-02  Charlie Zender  <zender@uci.edu>

	* ncclimo: ERROR when monthly climo mode receives file list not divisible by 12

	* ncclimo: Print $tm_var not $time in ERROR message

2025-04-29  Charlie Zender  <zender@uci.edu>

	* Add in_mlt_rec[12].cdl files to test concatenating station timeseries

2025-04-19  Charlie Zender  <zender@uci.edu>

	* Update build on Imua with Fedora 42 to use Anaconda

	* NCO 5.3.4-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.4-alpha02: Hypr Paddle';git push
	git tag -a 5.3.4-alpha02 -m 'ncatted, ncrename: apn NC_STRING hst att pls rgr tst; ncks: map chk trbilin fix, sng att prn ln brk; ncremap: nfr XY crd';git push --tags

2025-04-18  Charlie Zender  <zender@uci.edu>

	* ncrcat fix regression introduced by using in_id not grp_id in	monotonicity bounds checks

	* nco_inq_varname() fix false negative in info loop when var_id not found

	* NCO_rgr.pl: Add ncrename #32 to check that NC_STRING history attribute appending works

	* ncks break CDL NC_STRING attributes at every '\n' like NC_CHAR attributes nco_prn.c

2025-04-17  Charlie Zender  <zender@uci.edu>

	* ncks squelch map-checker false-positive frac_a/b WARNINGs on TR bilinear maps

2025-04-09  Charlie Zender  <zender@uci.edu>

	* Add X,Y as lon, lat dimensions in ncremap database (solves Nir Krakauer's issue)

	* NCO 5.3.4-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.4-alpha01: Severence';git push
	git tag -a 5.3.4-alpha01 -m 'Functionally identical to 5.3.3 except ENABLE_LOGGING, !mnt_chk bnd';git push --tags

	* ncrcat: Do not perform monotonicity checks on bounds variables (they are never monotonic)

2025-03-29  Charlie Zender  <zender@uci.edu>

	* all: Implement ENABLE_LOGGING in configure.ac

2025-03-28  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.3 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.3: Sea Shanty';git push
	git tag -a 5.3.3 -m 'all: qnt ngt zro NaN; ncks: --fpe, ngl rsn chk map, s1d frc_column frc_landunit attribute fix; ncclimo: rgn_stt uses --lst_hrz; ncremap: fix prs->hyb w/fat tpl; ncrename: WARN crd/dmn netCDF4';git push --tags

	* Acceptance tests pass again on Perlmutter after switching from private to Conda-Forge UDUnits

	* Document ncra -Y --prg_nm --pseudonym

2025-03-27  Charlie Zender  <zender@uci.edu>

	* Add nCells, Time to allowed horizontal dimensions in ncks --lst_hrz

	* ncks --lst_hrz seems to work in ncclimo

	* Add stubs for ncks --lst_hrz, nco_xtr_hrz_lst() customized for ncap2 splitter

2025-03-21  Charlie Zender  <zender@uci.edu>

	* Simplify Perlmutter build to be nearly identical to Chrysalis, Andes

	* Document --fpe, add to man and usage pages

	* NCO 5.3.3-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.3-alpha03: Equalizer';git push
	git tag -a 5.3.3-alpha03 -m 'all: perlmutter bld; ncks: ngl rsn chk map, s1d frc_column frc_landunit attribute fix';git push --tags

2025-03-19  Charlie Zender  <zender@uci.edu>

	* Fix Perlmutter environment to avoid /usr/bin/install and use Conda coreutils install to install in ${DATA}/[bin,lib]

2025-02-27  Charlie Zender  <zender@uci.edu>

	* Tidy nco_ply_lst.c

2025-02-21  Charlie Zender  <zender@uci.edu>

	* nco_s1d.c: Move location where frc_column, frc_landunit attributes written

	* nco_map.c: Add min/max angular resolution to --chk_map

2025-02-16  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.3-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.3-alpha02: Toyota Matrix';git push
	git tag -a 5.3.3-alpha02 -m 'all: qnt ngt zro NaN; ncks: --fpe; ncremap: fix prs->hyb w/fat tpl';git push --tags

	* Migrate to netcdf-c 4.10.0-development

	* nco_rgr.c: Fix write of PS to output from fat templates when input is pure-pressure output is hybrid

2025-02-15  Charlie Zender  <zender@uci.edu>

	* Verify --fpe test passes when using either internal NCO or patched libnetcdf.a quantize algorithms

	* Distinguish val_flt and val_dbl de-reference where appropriate (except DigitRound and Granular BitRound, for now)

	* nco_exit_lbr_rcd() implement new rcd convention for netCDF versions 4.10.0 and beyond

2025-02-14  Charlie Zender  <zender@uci.edu>

	* nco_ppc.c: nco_ppc_bitmask() protect all quantization algorithms from modifying negative zero and NaN

	* ncks: Add --fpe to test floating point exceptions

2025-02-08  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.3-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.3-alpha01: Arcane';git push
	git tag -a 5.3.3-alpha01 -m 'Functionally identical to 5.3.2; ncrename WARN on netCDF4';git push --tags

	* ncrename: WARN when renaming variables or dimensions in netCDF4 files

2025-02-05  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.2 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.2: Prime Rib';git push
	git tag -a 5.3.2 -m 'all: fix qnt w/ grp; ncremap: ECMWF/IFS CAMS lnsp lev_2, ps_nm_out mtd, hyb cff cf mtd, fix ECMWF/IFS ntp ERROR/HINT, inode dpl, srun default';git push --tags

2025-02-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.2-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.2-alpha03: Café Dirty Bird';git push
	git tag -a 5.3.2-alpha03 -m 'ncremap: doc ECMWF/IFS, HINT lnsp,	ERROR/HINT inode dpl';git push --tags

	* ncremap: ERROR and HINT when Input and Output files point to same device+inode

	* ncremap: HINT when lnsp present yet ps_nm=lnsp not invoked

2025-02-01  Charlie Zender  <zender@uci.edu>

	* Update ECMWF/IFS documentation, fix INFO messages

	* NCO 5.3.2-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.2-alpha02: FireAid';git push
	git tag -a 5.3.2-alpha02 -m 'all: doc log_lvl; ncremap: CAMS lnsp lev_2, ps_nm_out mtd, hyb cff cf mtd, fix ECMWF/IFS ntp';git push --tags

	* ncks: Fix ECMWF/IFS interpolation when PS is in vertical grid	template file
	Solves regression reported by Erik Koene on SourceForge 20250117

	* ncks: Add CF metadata hybrid sigma-pressure grid coordinates

	* ncks: Rename ECMWF/IFS output surface pressure from lnsp to PS

	* ncks: Overwrite metadata to ECMWF/IFS output surface pressure

2025-01-31  Charlie Zender  <zender@uci.edu>

	* nco.texi: Add short section on --log_lvl

	* all: No longer report debugging configuration with -r

	* ncremap: Support recent CAMS changes by not expecting lev_2 dimension in ECMWF/IFS lnps

	* NCO 5.3.2-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.2-alpha01: Hotel Van Zandt';git push
	git tag -a 5.3.2-alpha01 -m 'Functionally identical to 5.3.1; ncremap/ncclimo srun default; all: fix qnt w/ grp';git push --tags

	* Pass grp_out_id not nc_id to nco_qnt_mtd() so quantization metadata works on variables in non-root groups

2025-01-22  Charlie Zender  <zender@uci.edu>

	* ncclimo/ncremap: Shift default node manager from mpirun to srun

	* nco.texi: Contrast NCO behavior with CF/NUG for type of _FillValue when packing (patch from lguez)

2025-01-12  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.1 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.1: Dark Sunset (Palisades Lost)';git push
	git tag -a 5.3.1 -m 'ncks: autoconversion in regridder/interpolator; ncremap: PS fix tm dmn, ERA5 t MERRA2 H, PM --npo';git push --tags

	* Document 5.3.1

2025-01-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.1-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.1-alpha02: Poison Enchilada';git push
	git tag -a 5.3.1-alpha02 -m 'all: 2025; ncremap: PS fix tm dmn, ERA5 t MERRA2 H, PM --npo';git push --tags

	* Change Perlmutter --npo paths to /global/cfs/cdirs/e3sm/zender/[bin,lib]_perlmutter

2025-01-02  Charlie Zender  <zender@uci.edu>

	* Extrapolate variables named "H" with geopotential height algorithm

	* Verify MERRA2 prs->hyb interpolation works when time is fixed dimension

	* Extrapolate variables named "t" as temperature profiles (like ERA5) using global lapse rate method

	* Demonstrate prs->hyb interpolation for MERRA2 works correctly for multi-timestep datasets

2025-01-01  Charlie Zender  <zender@uci.edu>

	* Handle fixed time dimension in PS in pure pressure input (like MERRA2)

2024-12-31  Charlie Zender  <zender@uci.edu>

	* 2025

2024-12-29  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.1-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.1-alpha01: Au Revoir Chloe';git push
	git tag -a 5.3.1-alpha01 -m 'Functionally identical to 5.3.0, plus autoconversion in regridder/interpolator';git push --tags

	* ncks: Add autoconversion to vertical interpolation. Works single-threaded, fails multi-threaded.

2024-12-28  Charlie Zender  <zender@uci.edu>

	* ncks: Finish autoconversion functionality in horizontal regridder

	* ncks: Generalize string length dimension size as smallest necessary integral power of 10

2024-12-24  Charlie Zender  <zender@uci.edu>

	* ncks: Add stubs to handle autoconversion in regridder

2024-12-23  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.0 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.0: Awkward Self-Haircut';git push
	git tag -a 5.3.0 -m 'ncclimo: npo, tms area_wgt, omit -v; ncks: S1D refactor, lut_out, frc_column, frc_landunit, snw_ocn, pft->PFT, clmv4; ncrcat: fix REC_APN wrn';git push --tags

	* Release note updates

2024-12-20  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.0-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.0-beta01: Blagden Alley';git push
	git tag -a 5.3.0-beta01 -m 'ncclimo: npo, tms area_wgt, omit -v; ncks: S1D refactor, lut_out, frc_column, frc_landunit, snw_ocn, pft->PFT, clmv4; ncrcat: fix REC_APN wrn';git push --tags

	* Document new features

	* Update --npo paths for Chrysalis, Acme1, Perlmutter

	* Resuscitate Acme1 builds by emulating Andes methods

	* Resuscitate Chrysalis builds by emulating Andes methods

2024-12-18  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.0-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.0-alpha06: Awkward Self Haircut';git push
	git tag -a 5.3.0-alpha06 -m 'ncclimo: tms wrt area_wgt, omit -v; ncks: S1D pft->PFT;';git push --tags

	* Omit -v in ncap2 call for rgn_stt computation

2024-12-06  Charlie Zender  <zender@uci.edu>

	* ncclimo: Output valid_area_per_gridcell=area_wgt=(area*landfrac) for use by zppy

	* ncclimo: region_name@long_name now specifies area-weighted sums (rgn_stt=sum) or means (rgn_stt=avg)

2024-12-05  Charlie Zender  <zender@uci.edu>

	* S1D change pft coordinate name to PFT so it is not same as dimension name (new CF 1.12 rule)

2024-11-22  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.0-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.0-alpha05: Break of Dawn';git push
	git tag -a 5.3.0-alpha05 -m 'ncks: S1D ilun_UNUSED, snw_ocn; ncrcat: fix REC_APN wrn';git push --tags

	* nco.texi Document lut_out, snw_ocn

	* S1D add snw_ocn and no_snw_ocn flags to affirm or disable unpacking of snow levels to ocean-like ordering

	* ncrcat: Allow monotonicity test when REC_APN,	ensure last value and monotonicity defined before comparison

2024-11-21  Charlie Zender  <zender@uci.edu>

	* ncrcat: Eschew monotonicity test nco_rec_crd_chk() when --record_append = REC_APN is true

2024-11-19  Charlie Zender  <zender@uci.edu>

	* S1D retrofit to work with CLMv4 datasets with ilun_UNUSED instead of ilun_glacier

	* NCO 5.3.0-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.0-alpha04: Nail Biter';git push
	git tag -a 5.3.0-alpha04 -m 'ncks: S1D lut_out, wgt_all, wgt_soi_glc options; ncremap: eamxx landfrac ok';git push --tags

	* Finish/test/validate implementation of lut_vld_flg

2024-11-15  Charlie Zender  <zender@uci.edu>

	* Add and prepare to use lut_vld_flg array instead of lnd_typ_vld_1st

	* Add lut_out enum functionality to support forthcoming lut_out option for columns

	* Refactor S1D handling of MEC and non-MEC columns

2024-11-12  Charlie Zender  <zender@uci.edu>

	* Add deep lake and wetland columns to frc_column variable

2024-11-07  Charlie Zender  <zender@uci.edu>

	* Fix allocation dimension for frc_landunit, now works on ne30 datasets

2024-11-06  Charlie Zender  <zender@uci.edu>

	* ncremap squelch SGS normalization WARNING due to landfrac in EAMxx files

2024-11-05  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.0-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.0-alpha03: Slow Horses';git push
	git tag -a 5.3.0-alpha03 -m 'ncks: S1D mecp1 soil, frc_column, frc_landunit';git push --tags

	* Diagnostic frc_column and frc_landunit from restart files works

2024-11-04  Charlie Zender  <zender@uci.edu>

	* Add infrastructure to diagnose frc_column and frc_landunit from restart files

2024-11-01  Charlie Zender  <zender@uci.edu>

	* S1D insert additional MEC layer (index=0) that stores soil column data

2024-10-31  Charlie Zender  <zender@uci.edu>

	* S1D compute mec_nbr_out as maximum MEC index utilized (fixes ne30 bug)

2024-10-30  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.0-alpha02 release procedure:
	cd ~/nco;git commit -a -m "Version 5.3.0-alpha02: Widow's Peak";git push
	git tag -a 5.3.0-alpha02 -m 'ncks: S1D mec_idx fix, bare ground, rdr w/SNLSNO';git push --tags

	* Use SNLSNO to assign levsno, levsno1, and levtot snow layers to top-down (ocean-like) vertical grid

	* Restore PFT ityp = 0 = not vegetated to all output datasets

2024-10-24  Charlie Zender  <zender@uci.edu>

	* mec_idx now allows for < 10 MEC columns, possibly with gaps, in glacier/MEC landunits

2024-10-23  Charlie Zender  <zender@uci.edu>

	* ncclimo update examples

2024-10-22  Charlie Zender  <zender@uci.edu>

	* NCO 5.3.0-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.3.0-alpha01: Sanitize';git push
	git tag -a 5.3.0-alpha01 -m 'Functionally identical to 5.2.9 except better S1D PFT/CFT labels';git push --tags

	* Replace auto-generated PFT/CFT labels with labels gleaned from global attributes

2024-10-21  Charlie Zender  <zender@uci.edu>

	* Infer/determine and use self-consistent pft_ntr_nbr_out, pft_crp_nbr_out, pft_nbr_out for both history/restart datasets

2024-10-18  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.9 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.9: Empathy Card';git push
	git tag -a 5.2.9 -m 'all: NC_FillValue; ncclimo: fix bsh syn; ncks: S1D pft dsk rdr, topounits, workaround, pft crd, sanitize, fflush; ncremap: fix ECMWF IFS, eamxx pdq';git push --tags

	* Progress inferring pft_sng_out from global attributes, though remains off by default

	* Read pft_nbr_nbr_in from history files

2024-10-17  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.9-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.9-alpha03: Palenque';git push
	git tag -a 5.2.9-alpha03 -m 'ncks: S1D finish topounits, workaround bad topos1d_[ij]xy, address sanitize';git push --tags

	* Activate pft_sng_out though disable inferring from global attributes

	* Enable Clang address sanitizer with -fsanitize=address

	* Account for lvl_nbr (i.e., ltype dimension) in unpacking nco_s1d_tpo variables

	* Change storage order ot nco_s1d_tpo to always be lat,lon

	* Discover buggy topos1d_[ij]xy in input files, provide workaround by replacing with grids1d_[ij]xy

	* Sanity check that tpo_nbr_in == grd_nbr_in

	* Sanity check that mec_nbr_in == mec_nbr_out

	* Correct argument order of nco_malloc_dbg() call in nco_cpy_var_val()

	* Define lnd_typ_crr=nco_lnd_ilun_nil for Gridcell and Topounit	variables so diagnostic printing can work

	* Print var_nm in nco_def_var() debugging output

	* Add fflush() to tidy debugging output

2024-10-16  Charlie Zender  <zender@uci.edu>

	* Store enumerated PFT and CFT in pft coordinate variable

2024-10-15  Charlie Zender  <zender@uci.edu>

	* Output pft coordinate as NC_STRING (not 2D NC_CHAR) when fl_fmt_out == NC_FORMAT_NETCDF4

	* NCO 5.2.9-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.9-alpha02: Adieu Borrego';git push
	git tag -a 5.2.9-alpha02 -m 'ncclimo: fix bsh syn, fix eamxx pdq; ncks: S1D fix hst pft, add pft crd';git push --tags

	* Add PFT string coordinate to output files

	* Assume PFT storage order in history files is same as in restart files
	This shifts the original convention that worked with beth_in.nc to the newer eva_h2.nc convention

2024-10-14  Charlie Zender  <zender@uci.edu>

	* Define dmn_cnt_out before using it to determine lvl_nbr in nco_s1d.c:nco_s1d_unpack()

2024-10-02  Charlie Zender  <zender@uci.edu>

	* Fix typo pdq_opt='-a ilev,l%8jev,plev,dim2,ncol' that causes eamxx regridding to fail

2024-10-01  Charlie Zender  <zender@uci.edu>

	* Fix illegal Bash string->numeric conversion error with mm_endp1_sgm definition

2024-09-27  Charlie Zender  <zender@uci.edu>

	* Replace _FillValue by NC_FillValue in nco.h (verified on MacOS w/4.9.4-dev and Linux w/4.9.2)

2024-09-26  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.9-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.9-alpha01: Camp Rick';git push
	git tag -a 5.2.9-alpha01 -m 'Functionally identical to 5.2.8 + ECMWF IFS fixes';git push --tags

	* Update vertical interpolation regressions with ECMWF IFS documentaiton in nco.texi

	* Require --ps_nm=lnsp for ECMWF IFS hybrid coordinates

	* Fix vertical interpolation regressions with ECMWF IFS hybrid coordinates

2024-09-11  Charlie Zender  <zender@uci.edu>

	* Shift from clang++ -std=c++17 and clang to clang++ -std=c++23	and clang -std=c23 on MacOS

2024-09-02  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.8 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.8: Sitton Peak';git push
	git tag -a 5.2.8 -m 'ncremap: fix sub-SGS algorithm, sum_scl, rgn_stt=sum, chk_map dgn area_b, cnk max WARNING; ncatted/ncrename: hst_att_cat NC_STRING WARNING';git push --tags

	* Document --glb_stt/--sum_scl options

2024-08-31  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.8-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.8-alpha03: Swim, Rick, Swim!';git push
	git tag -a 5.2.8-alpha03 -m 'ncremap: fix sub-SGS algorithm, NC_ERANGE dgn, --sum_scl';git push --tags

	* ncremap: Yesterday's SGS fix also removed need for sub_sgs_frc_out_thr so remove it
	Verify threshold-free sub-SGS regridding handles all ELM problems from the past (see 20220615)
	Eliminates last kludge in SGS regridder!

2024-08-30  Charlie Zender  <zender@uci.edu>

	* ncremap: Stop weighting accumulation to SGS values where sgs_frc_in is missing value
	Potentially serious bug most likely to affect ELM datasets whose sgs_frc = landfrac contains missing values
	Also crops-up when applying new SGS variable (e.g., Icemask) in regions where ELM may not have valid input

	* ncremap: Further improve flag and ERANGE diagnostics

2024-08-29  Charlie Zender  <zender@uci.edu>

	* nco_put_vara(): Add diagnostics for NC_ERANGE errors

	* ncremap: Add v3 regression commands

2024-08-24  Charlie Zender  <zender@uci.edu>

	* ncclimo: Add --sum_scl option for global sum timeseries

2024-08-23  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.8-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.8-alpha02: Clean Subaru';git push
	git tag -a 5.2.8-alpha02 -m 'all: NCO_MAX_CHUNK_SIZE HINT, WARNING; ncatted/ncrename: fl_fmt msg, NC_STRING; ncclimo: --rgn_stt=sum; ncks --chk_map fix area_b dgn';git push --tags

	* ncclimo: Pass flg_sum not rgn_stt to cmd_rgn. Workaround ncap2 syntax errors. Confirm BFB with old avg procedure.

	* ncclimo: Implement --rgn_stt. Make --rgn_avg a synonym for --rgn_stt=avg. Implement --rgn_avg=ttl.

2024-08-21  Charlie Zender  <zender@uci.edu>

	* nco_cnk_sz_set_trv(): Kludgy adjustment to maximum chunk length, add WARNING

	* nco_def_var_chunking(): Add HINT

2024-08-11  Charlie Zender  <zender@uci.edu>

	* ncatted and ncrename now explain (then exit) when user specifies output file type

	* Improve WARNING when ncatted and ncrename will not modify NC_STRING history attributes

2024-08-09  Charlie Zender  <zender@uci.edu>

	* Revert nco_hst_att_cat() NC_STRING feature for ncatted/ncrename (fail at nc_enddef()/nc_close() stage)

	* Print correct label and location for new grid diagnostics for area_b in nco_map_chk()

	* NCO 5.2.8-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.8-alpha01: Kia';git push
	git tag -a 5.2.8-alpha01 -m 'Functionally identical to 5.2.7 and supports NC_STRING history attribute';git push --tags

	* Modify nco_hst_att_cat() to write/append an NC_STRING history attribute

2024-08-08  Charlie Zender  <zender@uci.edu>

	* nco_c++ nco_att.hh address two CEWI warnings

2024-07-24  Charlie Zender  <zender@uci.edu>

	* Rudimentary version of CAAS algorithm primitives works with CAAS arrays

2024-07-23  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.7 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.7: Kealakekua';git push
	git tag -a 5.2.7 -m 'all: qnt lossy_compresion->quantization, dpr family; ncclimo: mth_flg clm md ERROR; ncks fix flg_dst_mpt/add_fll, chk_map area_a/b dmt lcn; ncremap: fix sgs_frc typo';git push --tags

2024-07-22  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.7-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.7-alpha04: Fake Orangina';git push
	git tag -a 5.2.7-alpha04 -m 'ncclimo: mth_flg clm md ERROR; ncks chk_map area_a/b dmt lcn; ncremap: fix sgs_frc typo';git push --tags

	* nco.texi: Clarify method and rationale for specifying --sgs_frc=/path/to/file/sgs_frc

	* ncremap: Fix typo in 5.2.6 that dropped sgs_frc argument to ncks

	* ncclimo: ERROR when climo called with --mth_srt, --mth_end

2024-07-18  Charlie Zender  <zender@uci.edu>

	* ncclimo add prc_opt to debug output

2024-07-08  Charlie Zender  <zender@uci.edu>

	* chk_map: Output side of equi-areal square instead of radius of equi-areal circle

	* ncks: Add area_a/b min/max diameter properties and locations to --chk_map output

2024-07-04  Charlie Zender  <zender@uci.edu>

	* CAAS: Obtain weights, indices from nonlinear map-file

	* nco_get_var()/nco_get_vara()/nco_inq_varid() print filename where error occurs
	Helps disambiguate in which file things go wrong for MFOs

2024-07-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.7-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.7-alpha03: 11th Hour';git push
	git tag -a 5.2.7-alpha03 -m 'ncremap: fix flg_dst_mpt which fixes --add_fll, CAAS stubs';git push --tags

	* Correct index subscript in revamped implementation of	flg_dst_mpt. Fixes issue Xylar noticed.

2024-06-28  Charlie Zender  <zender@uci.edu>

	* CAAS: Obtain dimension sizes from nonlinear map-file

2024-06-27  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.7-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.7-alpha02: Stroker';git push
	git tag -a 5.2.7-alpha02 -m 'all: qnt lossy_compresion->quantization, dpr family; ncremap wrn->nfo, CAAS stb';git push --tags

	* Open nonlinear map when present on command line

	* Add stubs to pass/free non-linear map name for CAAS to regridder with --rgr_nlm

	* Incorporate Jonathan Gregory suggestions in quantization metadata (and re-submit CF PR)

2024-06-26  Charlie Zender  <zender@uci.edu>

	* nco_rgr_wgt()/nco_ntp_vrt() Weaken WARNING to (expanded) INFO when no variables found to regrid/interpolate

2024-06-25  Charlie Zender  <zender@uci.edu>

	* Update regression tests, including one that failed due to quantization being crd-like variable

	* Deprecate "family" attribute from quantization container variable

	* Migrate from container variable name from "lossy_compression" to "quantization"

	* NCO 5.2.7-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.7-alpha01: Nordheimer';git push
	git tag -a 5.2.7-alpha01 -m 'Functionally identical to 5.2.6';git push --tags

2024-06-20  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.6 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.6: Solstice';git push
	git tag -a 5.2.6 -m 'Functionally identical to 5.2.5 with one-line ncremap bugfix';git push --tags

	* ncremap fix syntax error and bug introduced in 5.2.5 sgs_frc checking code

2024-06-19  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.5 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.5: Freight Train';git push
	git tag -a 5.2.5 -m 'all: qnt_alg nm cf cv, btr mre; ncclimo: xcl_var tms md, mpas fl_nm v3; ncremap: mpasa, vrt level(level)';git push --tags

	* NCO 5.2.5-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.5-alpha04: D+D';git push
	git tag -a 5.2.5-alpha04 -m 'ncclimo: mpas fl_nm v3, rgn_avg wrn; ncremap: vrt level(level)';git push --tags

	* nco.texi Document MPAS filename construction

	* ncclimo WARN why rgn_avg expected to fail on MPAS input datasets

	* ncclimo update MPAS filename construction rule by prepending ${caseid}

	* ncremap nco_vrt_ntp() if plev not found, try level(level) instead (for ERA5)

2024-06-18  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.5-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.5-alpha03: Red Tide';git push
	git tag -a 5.2.5-alpha03 -m 'ncclimo: support --xcl_var tms md; ncremap: support mpasa';git push --tags

	* ncclimo: Add support for --xcl_var in timeseries mode. NB: Only works with Bash v. 4.0+

2024-06-17  Charlie Zender  <zender@uci.edu>

	* ncclimo: Add explicit ERROR message that --xcl_var does not work in timeseries mode

	* ncclimo: Fix borken drc_rgr_xtn option that interfered with --exclude

2024-06-04  Charlie Zender  <zender@uci.edu>

	* ncremap: Prevent --add_fll for prc_typ == mpasa

	* ncremap/ncclimo: Accept -P mpasa for prc_typ

	* ncremap: Replace nested dst_idx/lnk_idx loop in flg_add_fll/flg_msk_apl block by faster frc_out loop

2024-06-03  Charlie Zender  <zender@uci.edu>

	* ncremap: Splice MPAS-Atmosphere dimensions nIsoLevelsT,nIsoLevelsZ into default pdq_opt

	* ncremap: Add --pdq_opt synonym to --prm_opt

2024-05-07  Charlie Zender  <zender@uci.edu>

	* ncclimo/ncremap: print ncvis command instead of ncview command

2024-04-19  Charlie Zender  <zender@uci.edu>

	* Change MRE from 2^(-NSB) to 2^-(NSB+1) to account for implicit MSB=1

	* NCO 5.2.5-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.5-alpha02: Takumi Tonkatsu Ramen';git push
	git tag -a 5.2.5-alpha02 -m 'all: qnt_alg nm cf cv; qnt mre';git push --tags

	* Amend all docs to prefer --qnt over --ppc, mention --qnt_alg too

	* Add --qnt_alg to all numerical operators, and --qnt to those and ncremap/ncclimo as well

2024-04-18  Charlie Zender  <zender@uci.edu>

	* Add nco_qnt2baa() to support string-valued specification of NCO-implemented quantization algorithms

	* nco_qnt_mtd() add maximum relative error (MRE) to NSB methods

2024-04-17  Charlie Zender  <zender@uci.edu>

	* nco_qnt_mtd() use lowercase CF-ized algorithm names per draft CF convention, e.g., "granular_bitround" instead of "Granular BitRound"

2024-04-16  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.5-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.5-alpha01: Krugerstraße';git push
	git tag -a 5.2.5-alpha01 -m 'Functionally identical to 5.2.4';git push --tags

	* Replace doe.jpg with doe.png (transparent background)

2024-04-15  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.4 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.4: Kamehameha I';git push
	git tag -a 5.2.4 -m 'all: --qnt, NCO client nco_qnt_mtd(); ncclimo/ncremap: dbg; ncclimo: ncap2 cxl rgn_avg hst';git push --tags

2024-04-11  Charlie Zender  <zender@uci.edu>

	* ncclimo: Do not append history for rgn_avg computation---too much like encoding a program in a dataset

2024-04-10  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.4-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.4-alpha03: Seminario';git push
	git tag -a 5.2.4-alpha03 -m 'all: --qnt; ncclimo/ncremap: dbg';git push --tags

	* ncclimo/ncremap: Print IMPORTANT notice about SIMULATION vs. PRODUCTION run when dbg_lvel >= 2

	* ncclimo: Add sanity check that fl_nbr > 0

2024-04-09  Charlie Zender  <zender@uci.edu>

	* all: Add --qnt as synonym for --ppc, --quantize

	* ncclimo: Add DEBUG output for issue of Tony B.

	* NCO 5.2.4-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.4-alpha02: Goat Cheese Hamburguesa';git push
	git tag -a 5.2.4-alpha02 -m 'all: NCO client nco_qnt_mtd(); ncclimo: tm_bnds err dgn';git push --tags

	* all: convert all NSD/NSB regression tests to use new CF convention

	* all: write old (libnetcdf-emulating) attributes only for DSD (rounding) method, not for NSD/NSB (quantization) methods

2024-04-08  Charlie Zender  <zender@uci.edu>

	* all: verify CF quantization metadata works for libnco

	* all: Invoke nco_qnt_mtd() from nco_ppc_bitmask() so NCO client quantization records CF metadata

	* all: Pass output group and variable IDs to nco_ppc_bitmask()

2024-04-07  Charlie Zender  <zender@uci.edu>

	* ncclimo add sanity check to inferred value of tm_bnds. Print meaningful error and workaround then exit.

2024-04-06  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.4-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.4-alpha01: Silken Rio';git push
	git tag -a 5.2.4-alpha01 -m 'Functionally identical to 5.2.3';git push --tags

	* ncclimo/ncremap: Deprecate --gres=craynetwork:0 since not available on Perlmutter, and keep --mem option

2024-04-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.3 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.3: Cowboy Carter';git push
	git tag -a 5.2.3 -m 'all: mss_val wrn; ncclimo: rgn_avg fix elm, hrz_dmn, hrz_arg, area_wgt, ppn_opt; ncremap: upd doc';git push --tags

	* NCO 5.2.3-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.3-beta01: Stormy Saturday';git push
	git tag -a 5.2.3-beta01 -m 'all: mss_val wrn; ncclimo: rgn_avg fix elm, hrz_dmn, hrz_arg, area_wgt, ppn_opt; ncremap: upd doc';git push --tags

2024-04-01  Charlie Zender  <zender@uci.edu>

	* ncclimo: Add ppn_opt to ncks/ncap2 calls so operators find files when cwd != drc_in

	* ncclimo/ncremap: Clarify that '=' is REQUIRED for long options

2024-03-30  Charlie Zender  <zender@uci.edu>

	* nco.texi: more documentation fixes/updates on supported/default regridding algorithms

	* NCO 5.2.3-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.3-alpha02: Grandparent Promotion';git push
	git tag -a 5.2.3-alpha02 -m 'all: mss_val wrn; ncclimo: rgn_avg	fix elm, hrz_dmn, hrz_arg, area_wgt';git push --tags

	* ncclimo: Verify that ELM glb_avg is accurate

	* ncclimo: automatically determine sgs_frc, area_wgt from prc_typ, now no var_xtr necessary for rgn_avg

	* ncclimo: Simplify life--automatically determine hrz_dmn from area_nm, remove hrz_dmn input option

2024-03-29  Charlie Zender  <zender@uci.edu>

	* ncclimo: much progress ELM rgn_avg completes yet normalization needs work

	* nco_mss_val.c: Clarify nco_mss_val_cnf() WARNING message when missing values of binary operation differ

	* ncclimo: delete_miss(msk_[nrt,sth]) to eliminate "WARNING Input variables have different NCO_MSS_VAL_SNG's" errors

	* ncclimo: Add parentheses to enclose global area_wgt before .avg()

2024-03-28  Charlie Zender  <zender@uci.edu>

	* nco.texi: fix/update documentation of supported/default regridding algorithms

	* NCO 5.2.3-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.3-alpha01: Sleepover';git push
	git tag -a 5.2.3-alpha01 -m 'Functionally identical to 5.2.2 (except for slight vrt_ntp fixes)';git push --tags

	* nco_vrt_ntp() set hybrid grid output temporal size tm_nbr_out to size of PS "time" dimension if it exists and there are no record dimensions

	* nco_vrt_ntp() allow, though print INFO or WARNING when, tm_nbr_in != tm_nbr_out

	* nco_inq_varname() print dataset name on NC_ENOTVAR

2024-03-26  Charlie Zender  <zender@uci.edu>

	* ncremap use vrt_crd as synonym for vrt_nm, not for vrt_fl

	* Add out_fl synonym to --output, --fl_out for symmetry with ncremap

2024-03-22  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.2 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.2: Bambino';git push
	git tag -a 5.2.2 -m 'ncchecker; ncclimo: elm rgn_avg time_bounds; ncremap: xcl level, mbtr --monotonicity';git push --tags

	* Let it be known that ncap2 stopped working correctly with MacOS again today

	* ncchecker tidy manpage, add to homepage, add to nco.texi

2024-03-21  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.2-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.2-alpha03: Monkeybaut IPA';git push
	git tag -a 5.2.2-alpha03 -m 'ncchecker RFC #s, tst_lst; ncclimo: elm rgn_avg time_bounds; ncremap: xcl level';git push --tags

	* ncclimo: add "time_bounds" to ELM regional timeseries generated with --rgn_avg

2024-03-20  Charlie Zender  <zender@uci.edu>

	* ncremap: add "level" to exclusion list for vertical interpolation

2024-03-15  Charlie Zender  <zender@uci.edu>

	* Clarify use of $caseid in ncclimo for non-standard filenames

2024-03-07  Charlie Zender  <zender@uci.edu>

	* ncchecker abstract all tests into template that uses info from test definition table

	* ncchecker implement flexible test selection logic

	* Rename diwg_chk to ncchecker

2024-03-05  Charlie Zender  <zender@uci.edu>

	* diwg_chk: Add RFC recommendation numbers, sort tests in that order

	* NCO 5.2.2-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.2-alpha02: Broken Molar';git push
	git tag -a 5.2.2-alpha02 -m 'diwg_chk; ncremap: --monotonicity';git push --tags

	* Let it be known that ncap2 started linking correctly with MacOS again today

	* Add diwg_chk, support distribution in autotools and CMake

2024-02-27  Charlie Zender  <zender@uci.edu>

	* ncremap: Walter Hannah changed mbtempest argument name from "monotonic" to "monotonicity"

2024-02-21  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.2-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.2-alpha01: IRS 1040';git push
	git tag -a 5.2.2-alpha01 -m 'Functionally identical to 5.2.1 (adds -lgslcblas, fix andes paths)';git push --tags

	* ncremap/ncclimo/configure.eg change Andes E3SMU paths to /ccs/proj/cli115/software/e3sm-unified

	* bld/Makefile, nco++/Makefile add -lgslcblas for Derecho

2024-02-18  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.1 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.1: Shabu Shabu';git push
	git tag -a 5.2.1 -m 'Functionally identical to 5.2.0 (except compiles with bld/Makefile, fixes ncclimo/ncremap syntax)';git push --tags

2024-02-17  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.1-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.1-alpha01: Engoron';git push
	git tag -a 5.2.1-alpha01 -m 'Functionally identical to 5.2.0 (except compiles with bld/Makefile, fixes ncclimo/ncremap syntax)';git push --tags

	* ncclimo/ncremap: fix script errors caused during deprecation of COBALT batch scheduler

2024-02-16  Charlie Zender  <zender@uci.edu>

	* nco_qnt_mtd() implement workaround to compiler-dependent behavior at tokenization
	Prevents error on too many decimal points in number in expansion of macro ‘NCO_VERSION’	when version is purely numeric, e.g., 5.2.0

	* NCO 5.2.0 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.0: Fast Car';git push
	git tag -a 5.2.0 -m 'all: cf lsy mtd; ncclimo: tms inp_aut, fix inp_glb, fix djf-mode clm_bnd; ncclimo/ncremap: dpr cheyenne+ALCF mch, spp derecho, upd perlmutter; ncks: --chk_bnd, S1D works; ncremap: TR --mono*, ncoidw, MWF alg_lst, trfv2';git push --tags

	* Add lossy_compression to list of attributes that cause variable to be treated as associated coordinate

	* ncremap change alg_lst from space-separated to comma-separated

	* nco.texi document chk_bnd, S1D, --alg_lst

2024-02-15  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.0-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.0-beta01: Kansas City';git push
	git tag -a 5.2.0-beta01 -m 'all: cf lsy mtd; ncclimo: tms inp_aut, fix inp_glb, fix djf-mode clm_bnd; ncclimo/ncremap: dpr cheyenne+ALCF mch, spp derecho, upd perlmutter; ncks: --chk_bnd, S1D works; ncremap: TR --mono*, ncoidw, MWF alg_lst, trfv2';git push --tags

	* S1D add levlak and levgrnd coordinates from elmv3_r05l15.nc

	* S1D add topounit support

2024-02-14  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.0-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.0-alpha06: Be My Valentine';git push
	git tag -a 5.2.0-alpha06 -m 'ncks: S1D works';git push --tags

	* S1D skip unpacking empty variables. Now works on up-to-date ELM IG restarts.

	* S1D appears to work well for most variables. Remaining issues	include: icol_crop_noncompete, icol_urban_*

2024-02-13  Charlie Zender  <zender@uci.edu>

	* S1D implement new has_mec determination algorithm

	* S1D Value must not equal zero or missing value when determining landunit type

	* NCO 5.2.0-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.0-alpha05: Sandflower';git push
	git tag -a 5.2.0-alpha05 -m 'ncks: s1d dmn rdr, mec, vrt, mss_val';git push --tags

	* S1D initialize all output fields to missing value

2024-02-07  Charlie Zender  <zender@uci.edu>

	* S1D now defines MEC and MRV dimensions correctly

	* Decode has_mec, has_lev* et al. before variable definition block, and within OpenMP variable read/write block

2024-02-06  Charlie Zender  <zender@uci.edu>

	* Progress in dimension identificaion, aka, inverting unrolling

	* Add MEC coordinate to output

	* Struggle to automatically identify dimensions in non-MEC fields!

	* Modify nco_dfl_case_generic_err() to print bad case arguments

	* S1D: Add remaining PFT, landunit enums and string functions

2024-02-01  Charlie Zender  <zender@uci.edu>

	* S1D: Add legions of code to improve MEC column output capabilities, including vertical fields

2024-01-31  Charlie Zender  <zender@uci.edu>

	* S1D: verify that decoding ELM unstructured history file for PFT variable GPP works fine

	* S1D: fix spatial dimension addition in nco_s1d_unpack()

2024-01-30  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.0-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.0-alpha04: Heritage BBQ';git push
	git tag -a 5.2.0-alpha04 -m 'all: cf lsy mtd; ncclimo/ncremap: dpr cheyenne, spp derecho, upd perlmutter;ncremap: TR revert to --mono*, ncoidw, revamp MWF';git push --tags

	* Unbreak ~six regression tests by restoring old quantization metadata until CF approves draft convention

	* nco_flt_mtd() finish draft implementation of quantization metadata for both NCO and libnetcdf algorithms

2024-01-19  Charlie Zender  <zender@uci.edu>

	* nco_xtr_dfn() output draft CF metadata container variable and	attributes "family", "algorithm", and "implementation"

2024-01-18  Charlie Zender  <zender@uci.edu>

	* Tweak nco_xtr_dfn() to output draft CF metadata attributes "lossy_compresssion" and "lossy_compression_nsb"

	* Perlmutter remove gcc/11.2.0, update to cray-hdf5/1.12.2.9 cray-netcdf/4.9.0.9

2024-01-12  Charlie Zender  <zender@uci.edu>

	* Perlmutter remove GSL module

2024-01-11  Charlie Zender  <zender@uci.edu>

	* ncremap revamp MWF mode to allow user-specifed alg_lst

	* ncremap prefer 'ncoidw' to 'nco_idw'

2024-01-10  Charlie Zender  <zender@uci.edu>

	* Verify MWF mode works for TR with QU240 and ne11np4

	* ncremap replace --method mono* by --mono* since MWF mode revealed some failures with --method mono*

2024-01-08  Charlie Zender  <zender@uci.edu>

	* Deprecate Cheyenne, support NCAR Derecho

2024-01-07  Charlie Zender  <zender@uci.edu>

	* NCO 5.2.0-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.0-alpha03: Sunrise Snatchers';git push
	git tag -a 5.2.0-alpha03 -m 'all: 2024; ncclimo: refactor for tms inp_aut, fix Dec clm_bnd in djf mode, fix inp_glb;ncclimo/ncremap: [-f $fl] || [-L $fl], dpr ALCF mch';git push --tags

2024-01-05  Charlie Zender  <zender@uci.edu>

	* Update documentation dates and copyright notice to 2024

2024-01-03  Charlie Zender  <zender@uci.edu>

	* ncclimo/ncremap Deprecate ALCF Cooley, Mira, Theta machines and Cobalt batch scheduler instructions

2023-12-30  Charlie Zender  <zender@uci.edu>

	* Verify globbing for input files works

	* ncclimo/ncremap: Use test -f || test -L (true if file or link) instead of test -f to test for file existance

2023-12-22  Charlie Zender  <zender@uci.edu>

	* Combine inp_aut filename generation for annual files with monthly files

2023-12-21  Charlie Zender  <zender@uci.edu>

	* Fix climatology bounds for climatological December in DJF mode for monthly climos

	* Start branch csz_ncclimo with unified inp_aut filename generator for climos and timeseries

2023-12-15  Charlie Zender  <zender@uci.edu>

	* nco_chk_tm() for diwg_chk successfully identifies violations via two methods

	* Add nco_chk_tm() stubs to check time coordinates for double precision

2023-12-06  Charlie Zender  <zender@uci.edu>

	* Assign NETCDF_ROOT in configure.eg instead of bashrc (fixes Chrysalis build)

	* configure.ac: Add *_INC diagnostics to trace mangling of CPPFLAGS

	* NCO 5.2.0-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.0-alpha02: Lysanne-a-thon';git push
	git tag -a 5.2.0-alpha02 -m 'ncks: nco_chk_bnd(); ncremap: trfv2';git push --tags

	* ncks: nco_chk_???() print full-names only when variable or group is not at root level

	* ncks: Finish nco_chk_bnd()

2023-12-01  Charlie Zender  <zender@uci.edu>

	* ncks: nco_chk_bnd() stubs

	* ncremap: Give v3 algorithm names preference/precedence in listings, docs

	* Add ncoaave as legitimate map-type directly to nco_rgr.c

	* Compile by default with -UNCO_ABORT_ON_ERROR not -DNCO_ABORT_ON_ERROR

2023-11-30  Charlie Zender  <zender@uci.edu>

	* ncremap tweaks for new algorithm names, e.g., ncoaave, trfv2

	* NCO 5.2.0-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.2.0-alpha01: Crown Princess';git push
	git tag -a 5.2.0-alpha01 -m 'Functionally identical to 5.1.9 (except ncremap, ncremap: support fv2, fix mbtr alg_typ=tempest, deprecate sprintf(); ncks doc chk_xtn)';git push --tags

	* ncremap implement alg_typ fv2, fvnp2

	* Correct wgt_opt_mbt for alg_typ=tempest to use order = se_np_nbr == 4 by default (since TR uses order=4)

2023-11-29  Charlie Zender  <zender@uci.edu>

	* Move ${DATA}/ne30/rgr/ne30_tst.nc to ${DATA}/ne30/raw/ne30_tst.nc

	* ncap2 deprecate more sprintf()'s, use snprintf() instead, to quiet Clang warnings

2023-11-09  Charlie Zender  <zender@uci.edu>

	* ncap2 deprecate sprintf(), use snprintf() instead, to quiet Clang warnings

	* Document ncks --chk_xtn

2023-11-07  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.9 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.9: Likanne o ka Moana';git push
	git tag -a 5.1.9 -m 'all: flg_ilv fix, WIN32 sls_chr; bm: rsync; ncap2 parse NC_MIN_INT64; ncks: chk_xtn; ncremap: mpt_mss, trbilin, trintbilin, ncoaave, ...;';git push --tags

	* NCO 5.1.9-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.9-beta01: Likanne o ka Moana';git push
	git tag -a 5.1.9-beta01 -m 'all: flg_ilv fix, WIN32 sls_chr; bm: rsync; ncap2 parse NC_MIN_INT64; ncks: chk_xtn; ncremap: mpt_mss, trbilin, trintbilin, ncoaave, ...;';git push --tags

2023-11-03  Charlie Zender  <zender@uci.edu>

	* Update ncclimo regression test to use v2 not v1 data

	* Use rsync rather than scp in NCO_rgr.pm (fixes many regression tests)

	* Update config.guess, config.sub from GNU Savannah

	* Determine sls_chr from _MSC_VER and (new) WINOS token instead of (old) WIN32 token

	* Deprecate WIN32 token, use WINOS instead (in pvmgetarch, Makefile, Makefile.old, configure.ac)

	* Add MinGW to GNU_TRP and PVM_ARCH types that define WINOS token

2023-11-02  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.9-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.9-alpha03: Caring Bridge';git push
	git tag -a 5.1.9-alpha03 -m 'all: fix uninitialized flg_ilv to fix ncra, ncrcat bugs; ncap2: refactor exit(), parse NC_MIN_INT64; ncks: chk_xtn';git push --tags

	* Add --chk_xtn to check DIWG filename extension recommendation in diwg_chk

	* Determine sls_chr from _MSC_VER not WIN32 (archaic)
	Fixes bug where NCO expected Windows filenames like C:/foo.nc instead of C:\foo.nc

2023-11-01  Charlie Zender  <zender@uci.edu>

	* Henry fixes NC_MIN_INT64 parsing so limits.nco completes successfully!

2023-10-31  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo: Update Perlmutter modules

	* Add ncremap error messages for for esmfbilin, esmfaave, trbilin, trintbilin

	* Try std::strtoll() and std::strtoull() in ncoGrammar.g to fix	limits.nco behavior (requires ISO C++ 2011)

	* Initialize flg_ilv=False in nco_lmt_evl() to fix ncra bug reported by Chris G. and Jim Benedict
	This eliminates ALL valgrind uninitialized value warnings when SSC specified without ILV

2023-10-24  Charlie Zender  <zender@uci.edu>

	* Cleanup ncap2 limits.nco test, which fails on MacOS and Linux

2023-10-20  Charlie Zender  <zender@uci.edu>

	* in_zarr4.cdl: Temporarily eliminate NC_UNLIMITED dimension so NCO 5.1.9+ distribution does not break when building with netCDF <= 4.9.2

	* ncap2 main() return with nco_exit_gracefully(), like other operators

	* ncap2 main() return with EXIT_SUCCESS instead of antlr_ret (which was 133?)

	* ncap2 add -v synonyms extract_defined_derived_variables, xtr_dfn_drv_var

2023-10-19  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.9-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.9-alpha02: Elk Rut';git push
	git tag -a 5.1.9-alpha02 -m 'all: NCZarr unlim dim; ncremap --mpt_mss';git push --tags

	* Document --mpt_mss

	* Implement --mpt_mss as ncremap switch and pass-through. Solves problem.

	* Implement flg_mpt_mss so MPAS-Seaice data remains, by default, zero in open-ocean regions

	* Verify that ncgen produces, and ncks reads, NCZarr-format in_zarr4. Yay!

	* Restore NC_UNLIMITED dimension to in_zarr4.cdl after PR #2744 added support

2023-10-01  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.9-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.9-alpha01: Bandelier';git push
	git tag -a 5.1.9-alpha01 -m 'Functionally identical to 5.1.8 (except ncremap)';git push --tags

	* Add ncremap invocations for trbilin, trintbilin

	* Add ncremap synonyms esmfaave, ncoaave, traave, esmfbilin, esmfndtos

2023-09-17  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.8 release procedure:
	cd ~/nco;git commit -a -m "Version 5.1.8: Cafe Pasqual\'s";git push
	git tag -a 5.1.8 -m 'all: NC_STRING atts ok, Frontier;ncremap mpas grd rdn, E3SMU 1.9.0;ncks chk_chr, chk_mss, diwg_chk';git push --tags

2023-09-14  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.8-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.8-alpha05: Foggy Wharf';git push
	git tag -a 5.1.8-alpha05 -m 'ncclimo: disambiguate Frontier/Perlmutter login nodes; ncremap: nrm=N/A; E3SMU 1.9.0 paths';git push --tags

	* Verify nco_bm.pl --regress ncremap works once again with server dust=imua

	* ncremap/ncclimo update NPO paths to be consistent with E3SMU 1.9.0

2023-09-07  Charlie Zender  <zender@uci.edu>

	* Make "N/A" equivalent to "none" when parsing ESMF "normalization" map attributes

2023-09-01  Charlie Zender  <zender@uci.edu>

	* Disambiguate Frontier + Perlmutter nodes named login[0123456789][0123456789]

2023-08-31  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.8-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.8-alpha04: Happy Valley';git push
	git tag -a 5.1.8-alpha04 -m 'all: Frontier';git push --tags

	* ncremap/ncclimo: modify to support Frontier

	* Build on Frontier with Makefile build-engine

2023-08-30  Charlie Zender  <zender@uci.edu>

	* Clarify error message with how to get filters working

	* Copy many variables from in.cdl to in_4.cdl to facilitate compression testing

2023-08-21  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.8-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.8-alpha03: Giggles';git push
	git tag -a 5.1.8-alpha03 -m 'ncks --chk_chr, --chk_mss';git push --tags

	* Refactor output of DIWG compliance checks to be more legible,	uniform for diwg_chk

	* Document --chk_chr, --chk_mss, --chk_nan

	* Add nco_chk_mss() to check for missing_value attributes

2023-08-18  Charlie Zender  <zender@uci.edu>

	* Add nco_chk_chr(), nm_cf_chk(), --chk_chr to check identifier	names for CF-Compliance (DIWG)

2023-08-16  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.8-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.8-alpha02: Victoria Beach';git push
	git tag -a 5.1.8-alpha02 -m 'all: allow NC_STRING instead of NC_CHAR atts; ncremap: nfr mpas grd rdn';git push --tags

	* nco_grd_nfr() test MPAS coordinates without units attributes for being radians not degrees

2023-08-15  Charlie Zender  <zender@uci.edu>

	* Remove WARNING statements about NC_STRING not being supported/CF-compliant

2023-08-14  Charlie Zender  <zender@uci.edu>

	* Verify CF bounds attribute now handled correctly when stored as NC_STRING

	* Add nco_free_string() in support of NC_STRING support

2023-08-12  Charlie Zender  <zender@uci.edu>

	* nco_xtr_cf_var_add() nco_is_spc_in_cf_att(): update WARNING messages about NC_STRING attributes not being CF-compliant

2023-07-27  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.8-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.8-alpha01: For All Mankind';git push
	git tag -a 5.1.8-alpha01 -m 'Functionally identical to 5.1.7';git push --tags

2023-07-26  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.7 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.7: Barbenheimer';git push
	git tag -a 5.1.7 -m 'all: Intel compiler fixes;ncclimo/ncremap implement cmp_sng; ncremap: CF lon_bnds';git push --tags

	* Remove call to nco_msh_lon_cf() for further debugging in 5.1.8 (it crashes Anaconda tests in a manner unreproducible on my laptop)

	* Add "DOI = 10.1016/j.envsoft.2008.03.004" in NCO global attribute

2023-07-25  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.7-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.7-beta01: Fan Dance';git push
	git tag -a 5.1.7-beta01 -m 'all: Intel compiler fixes;ncclimo/ncremap implement cmp_sng; ncremap: CF lon_bnds';git push --tags

	* ncks.c protect omp_set_num_threads() with ENABLE_OPENMP to fix #271

2023-07-23  Charlie Zender  <zender@uci.edu>

	* Implement nco_msh_lon_cf() in nco_rgr_wgt() to ensure	CF-compliant longitude bounds in regridded files

2023-07-16  Charlie Zender  <zender@uci.edu>

	* Tidy nco_map_mk(), nco_msh_lon_crr() to prepare to always output bounds on same branch cut

2023-06-23  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.7-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.7-alpha02: Prom';git push
	git tag -a 5.1.7-alpha02 -m 'all: fix Intel compiler issue with	OpenMP pragma; ncremap/ncclimo cmp_sng fix';git push --tags

	* ncremap/ncclimo: Insert backslashes into cmp_sng to protect pipe characters from shell

2023-05-25  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo: Excise all Cori-specific script commands

2023-05-22  Charlie Zender  <zender@uci.edu>

	* Fix Intel compiler error by using grd_nbr instead of grd_sz_in in OpenMP block

2023-05-21  Charlie Zender  <zender@uci.edu>

	* Tidy header files

2023-05-16  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.7-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.7-alpha01: Promotion';git push
	git tag -a 5.1.7-alpha01 -m 'Functionally identical to 5.1.6';git push --tags

2023-05-12  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.6 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.6: Crossroads';git push
	git tag -a 5.1.6 -m 'all: CF dfl; fix NCZarr overwrite/removal; ncap2: cmp_sng; ncclimo: --split, --stdin docs, eamxx; ncremap: vrt xtr dyn hrz/vrt_mrv ncr_in/out, vrt non-spt dmn lrv, cpl dmn, vrt tms prs->prs, --col_dmn;';git push --tags

	* Fix NaN->NaNf in in_4.cdl, beef-up nco_chk_nan()

2023-05-10  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.6-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.6-beta01: Monte Nido';git push
	git tag -a 5.1.6-beta01 -m 'ncap2: cmp_sng';git push --tags

	* ncap2 replace old nco_def_var_deflate() with new cmp_sng and nco_flt_def_out()

2023-05-05  Charlie Zender  <zender@uci.edu>

	* nco_scm.c: Fix cvs_Name back-compatibility issue

	* Perlmutter: add 'module load gsl' to ncremap/ncclimo --npo configuration

2023-05-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.6-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.6-alpha03: Smoker';git push
	git tag -a 5.1.6-alpha03 -m 'ncclimo: --split, --stdin docs, eamxx; ncremap: use flg_hrz_mrv and ncr_idx_in/out to set xtr flg for hyb+dpt_3D';git push --tags

	* ncremap allow missing values, hrz/vrt dimension ordering, ncr/dcr monotonicity when computing min/max values for dpt_3d fields

2023-04-28  Charlie Zender  <zender@uci.edu>

	* Tidy man pages

	* ncclimo/ncremap reveal --npo option to users in help message

2023-04-27  Charlie Zender  <zender@uci.edu>

	* Name-generation algorithm for EAMxx works if caseid is supplied as any full filename

2023-04-25  Charlie Zender  <zender@uci.edu>

	* Change Chrysalis build procedure to use Anaconda gcc/g++ to workaround unresolved function link error in new libicuuc library

2023-04-12  Charlie Zender  <zender@uci.edu>

	* nco.texi update documentation to reflect --split and --stdin changes from 5.0.4

2023-04-11  Charlie Zender  <zender@uci.edu>

	* ncclimo: emit deprecation ERROR and HINT when invoked with --stdin

2023-04-10  Charlie Zender  <zender@uci.edu>

	* Improve pressure bounds check to account for missing values in dpt_3D grids

	* configure.ac use clang++ -std=c++14 to avoid deprecated std::binary_operator error with default -std=c++17 in Clangv16

	* Henry patched NCO (NcapVector.hh) to avoid using std::binary_operator

	* Replace #if 0 with #if false

2023-04-09  Charlie Zender  <zender@uci.edu>

	* Implement correct pressure bounds check for input dpt_3D grids with arbitrary flg_hrz_mrv and ncr_idx_in

	* Diagnose rather than assume whether input/output hybrid coordinates increase or decrease in index (not geometric) space

2023-04-05  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.6-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.6-alpha02: Indictment Excitement';git push
	git tag -a 5.1.6-alpha02 -m 'all: fix NCZarr overwrite/removal;	ncremap cpl dmn, tms prs, non-spatial lrv';git push --tags

	* ncremap support non-spatial dimensions (temporal, spectral, chemical) for all vertical grid types

	* ncremap support vertical interpolation of timeseries data from pure-pressure to pure-pressure grids

2023-04-02  Charlie Zender  <zender@uci.edu>

	* ncremap add nco_vrt_grd_sng() to debug prs->prs issues

2023-03-31  Charlie Zender  <zender@uci.edu>

	* ncremap add --col_dmn

	* ncremap/ncclimo remove alcf mira, add e3sm.ess.uci.edu

2023-03-30  Charlie Zender  <zender@uci.edu>

	* ncremap add coupler x-dimension names as unstructured dimension candidates

	* ncremap/ncclimo add prc_typ='cpl' option stub

2023-03-29  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo cease printing example Panoply instructions

2023-03-22  Charlie Zender  <zender@uci.edu>

	* Note that ERWG 8.4.1 from Conda-Forge fails due to not being built with PIO

	* Treat all datasets as CF-compliant (to carry associated coordinate variables and multi-dimensional associate coordinates)

2023-03-21  Charlie Zender  <zender@uci.edu>

	* ncremap add x2[aglro]_n[xy] dimensions and dom[lr]_[lat/lon] variables for coupler land and river domains to database

	* ncremap correct lon/lat dimension keys in error HINT

	* Hint that error code -137, "NetCDF: NCZarr error" can be a NCZarr codec decompression issue

2023-03-14  Charlie Zender  <zender@uci.edu>

	* Call nco_fl_rm(fl_ncz) not nco_fl_rm(fl_psx)

	* Fix nco_drc_ncz_rm() to attempt nc_open(ncz_fl) not nc_open(psx_fl)

	* NCO 5.1.6-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.6-alpha01: Baltimore';git push
	git tag -a 5.1.6-alpha01 -m 'Functionally identical to 5.1.5';git push --tags

	* Update supported netCDF library versions

	* NCO 5.1.5 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.5: Rhubarb Pi';git push
	git tag -a 5.1.5 -m 'all: tgl->abs, NCZarr chk drc, dnd rgl fl; ncrcat: no_cll_mth; ncremap eamxx pdq plev, CF, prs_stt_usr fix plev_nm, ps_rtn, mss_val var_lst_zmid';git push --tags

	* NCO 5.1.5-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.5-beta01: Heisler Picnic';git push
	git tag -a 5.1.5-beta01 -m 'all: tgl->abs, NCZarr chk drc, dnd rgl fl; ncrcat: no_cll_mth; ncremap eamxx pdq plev, CF, prs_stt_usr fix plev_nm, ps_rtn, mss_val var_lst_zmid';git push --tags

	* Document new features for 5.1.5

	* Peter Caldwell verifies roundtrip mss_val vertical interpolation works for him

2023-03-13  Charlie Zender  <zender@uci.edu>

	* Tweak NCZarr debug verbosity and information reported

	* NCO 5.1.5-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.5-alpha04: Rehab paddling';git push
	git tag -a 5.1.5-alpha04 -m 'all: Toggle->Absolute; ncremap ps_rtn, vrt mss_val';git push --tags

2023-03-12  Charlie Zender  <zender@uci.edu>

	* ncremap vertical interpolation on half-range missing values copies from valid value

2023-03-11  Charlie Zender  <zender@uci.edu>

	* ncremap add --ps_rtn flag

	* ncremap prevent vertical interpolation calculations from using missing values

2023-03-10  Charlie Zender  <zender@uci.edu>

	* Change toggle to absolute False for FL_LST_IN_APPEND, HISTORY_APPEND, RM_RMT_FL_PST_PRC switches

	* Change toggle to absolute True for FORTRAN_IDX_CNV switch

2023-03-09  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.5-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.5-alpha03: Blizzard';git push
	git tag -a 5.1.5-alpha03 -m 'NCZarr chk drc, dnd rgl fl; ncremap eamxx pdq plev, eamxx CF, fix prs_stt_usr';git push --tags

	* Provide more information when NCZarr path attempts to mv or rm non-NCZarr files/directories

2023-03-05  Charlie Zender  <zender@uci.edu>

	* Prevent NCO from deleting/overwriting regular files with NCZarr directories

2023-03-04  Charlie Zender  <zender@uci.edu>

	* ncremap: fix prs_stt_usr translation into prs_stt that has used wrong	(opposite) logic since ... forever?

	* ncpdq: Quiet warning message about non-identity re-ordering of multiple dimensions with same names (EAMxx restarts have multiple dimensions named gp)

	* ncremap: Add plev to pdq_opt for EAMxx files

2023-02-25  Charlie Zender  <zender@uci.edu>

	* Thwart attempts to remove directories that are not NCZarr objects

2023-02-24  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.5-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.5-alpha02: Champignons';git push
	git tag -a 5.1.5-alpha02 -m 'all: EAMxx CF, ncks bnr_wrt fix; ncrcat: no_cll_mth, ncremap var_lst zmid';git push --tags

2023-02-23  Charlie Zender  <zender@uci.edu>

	* ncremap acquire timeMonthly_avg_zMid iff necessary for vertical interpolation

	* Infer CF-compliance from if global attribute Conventions contains "None yet" (currently true for SCREAMv1/EAMxx output)

2023-02-22  Charlie Zender  <zender@uci.edu>

	* ncremap re-enable plev_nm_out options, default to plev not lev for nco_vrt_grd_prs

2023-02-20  Charlie Zender  <zender@uci.edu>

	* Change implementation of FORCE_APPEND, FORCE_OVERWRITE from toggle to absolute

2023-02-19  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo WARNING and ERROR when user specifies output directory beginning with dash

2023-02-16  Charlie Zender  <zender@uci.edu>

	* nco_bnr_wrt() change wrt_bnr from C-type long to C-type size_t for UNIX/Windows consistency

	* nco_bnr_wrt() use unsigned long long pointers (not unsigned long pointers) for eight-byte words

	* nco_fl_nm_vld_ncz_syn() caveat that WARNING about missing fragment only applies to NCZarr objects

2023-02-15  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo use NERSC-compiled module since Cori now missing Intel library used by personal executables

2023-02-12  Charlie Zender  <zender@uci.edu>

	* Updated ChangeLog with earliest (1995) announcements of NCO availability

	* Successfully build and test with netCDF 4.9.1-final

2023-01-19  Charlie Zender  <zender@uci.edu>

	* Append cell_method by default only with ncra, not ncrcat/nces

2023-01-17  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.5-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.5-alpha01: Morning Show';git push
	git tag -a 5.1.5-alpha01 -m 'Functionally identical to 5.1.4';git push --tags

	* Quiet clang++ v. 13 compiler warnings by shifting from sprintf() to snprintf()

2023-01-10  Charlie Zender  <zender@uci.edu>

	* Update homepage with NASA OSTFL project

	* NCO 5.1.4 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.4: Bakhmut';git push
	git tag -a 5.1.4 -m 'all: deactivate SIMD, cxl UDUNITS2_PATH, no cmp NC_STRING/NC_VLEN, NCO_ERR_FL_LN; ncremap: +ve-dwn dpt, ARGO SOSE WOA18';git push --tags

2023-01-09  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.4-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.4-beta01: Habana';git push
	git tag -a 5.1.4-beta01 -m 'fix ilev_nm_out';git push --tags

	* Copy ilev_nm_out from rgr->ilev not rgr->lev for prs_out grids

2023-01-06  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.4-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.4-alpha07: Atmospheric River';git push
	git tag -a 5.1.4-alpha07 -m 'ncremap: +ve-dwn dpt, ARGO SOSE';git push --tags

2023-01-05  Charlie Zender  <zender@uci.edu>

	* ncremap: Hooks to support SOSE vertical grid

	* ncremap: Verify that SIMD pragmas caused E3SMU Compy compute-node issues

	* ncremap: Allow positive-downwards 1D depth coordinates, verify with ARGO

2023-01-04  Charlie Zender  <zender@uci.edu>

	* ncremap: Add LATITUDE, LONGITUDE coordinates to database for ARGO observations

	* NCO 5.1.4-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.4-alpha06: Postop';git push
	git tag -a 5.1.4-alpha06 -m 'all: deactivate SIMD, cxl UDUNITS2_PATH; ncremap: fix ilev rst->3D';git push --tags

	* De-activate SIMD pragmas by resetting compiler version threshold from 8 to 737

2023-01-03  Charlie Zender  <zender@uci.edu>

	* Update nco.texi with new vertical interpolation features

2022-12-23  Charlie Zender  <zender@uci.edu>

	* Allow interpolation of ilev variables in input restart files to flg_grd_out_dpt_3D

	* Implement new Perlmutter build packages

2022-12-22  Charlie Zender  <zender@uci.edu>

	* Remove UDUNITS2_PATH from autoconf build commands

2022-12-21  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.4-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.4-alpha05: Antlr';git push
	git tag -a 5.1.4-alpha05 -m 'all: Simplify UDUnits cnf';git push --tags

	* configure.ac: De-cruft, revamp, simplify UDUnits support, eliminate UDUNITS_PATH argument

2022-12-20  Charlie Zender  <zender@uci.edu>

	* Initialize previously uninitialized att_nm[NC_MAX_NAME+1L]={0}; at line 702 of nco_att_utl.c.
	This eliminates vexing "Conditional jump or move depends on uninitialised value(s)" valgrind errors.

	* Use NC_MAX_NAME+1 instead of NC_MAX_NAME

	* NCO 5.1.4-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.4-alpha04: Messi';git push
	git tag -a 5.1.4-alpha04 -m 'ncremap: vrt 3D->1D, 3D->3D, 1D->3D, 1D->1D work;';git push --tags

	* Successfully test 3D->1D, 3D->3D, 1D->3D, 1D->1D

	* Add "depth" and "depth_bnds" to nco_var_is_fix()

	* Increase flexibility with mlc_nm, bd_nm, lt_nm, and flg_mlc_out

	* Fix mlc_out dimensions and missing values

	* Revamp determination of horizontal bounds for flg_grd_in_dpt_1D

2022-12-16  Charlie Zender  <zender@uci.edu>

	* Refine defaults for ease-of-use

	* Verify simultaneous hrz + vrt with WOA18 r025 destination grid

	* NCO 5.1.4-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.4-alpha03: FOMO';git push
	git tag -a 5.1.4-alpha03 -m 'ncremap: rgr rst, nfr mlc_in, dpt_mdp';git push --tags

	* Interpolation appears to work on regridded restarts

	* Add missing value logic to inferral of dpt_mdp, mlc_in

2022-12-15  Charlie Zender  <zender@uci.edu>

	* Revamp cnv->MPAS determination for v2, add maxLevelCell to horizontal exclusion list

	* Construct maxLevelCell from layerThickness if necessary

	* Allow zMid construction from horizontal or vertical MRV inputs

	* Interpolating MPAS-O (depth-MRV) restart files appears to work

2022-12-14  Charlie Zender  <zender@uci.edu>

	* Construct dpt_mdp from depth-MRV layerThickness, bottomDepth

2022-12-13  Charlie Zender  <zender@uci.edu>

	* ncremap add --dpt_nm option

	* Default MPAS-O monthly output interpolates correctly, restarts need to construct zMid

	* Omit all MPAS profiles derived for spatiallly aggregated horizontal regions

2022-12-12  Charlie Zender  <zender@uci.edu>

	* ncclimo add buid enviroment variables on Compy

	* Output 3D depth/height variable

	* Account for memory ordering when consructing mlc_in

	* Die if memory ordering of depth/height field differs between input and output

	* Exclude vertical dimensions from allowed horizontal dimensions

	* Interpolate interface and midpoint depth fields to same 1D output grid

2022-12-11  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.4-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.4-alpha02: Humerus';git push
	git tag -a 5.1.4-alpha02 -m 'all: no cmp NC_STRING, NC_VLEN; ncremap: dpt ntp, drv mlc dpt_ntf';git push --tags

	* nco_ntp_vrt() produces reasonable-looking 3D -> 1D depth interpolation

2022-12-10  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() creates legible (though incorrect) output files!

	* Check for presence of run-time extensive variables adding to exclusion list

2022-12-08  Charlie Zender  <zender@uci.edu>

	* Include depth in min/max vertical coordinate search

	* Construct maxLevelCell if necessary

2022-12-04  Charlie Zender  <zender@uci.edu>

	* Read dpt_in from external, functionalize nco_xtr_var_get()

2022-12-02  Charlie Zender  <zender@uci.edu>

	* Add stubs to handle (MPAS) depth-coordinate grids

2022-11-30  Charlie Zender  <zender@uci.edu>

	* Explicitly disallow compression of variable-length types

2022-11-29  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.4-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.4-alpha01: Seal Bottling';git push
	git tag -a 5.1.4-alpha01 -m 'Functionally identical to 5.1.3. all: NCO_ERR_FL_LN';git push --tags

	* Add Add NCO_ERR_FL_LN macro for automatic file/line debugging info, start to use in nco_map.c

	* nco_grd_nfr(): Check bnd_dmn_nm existance before access, prevent segfault inferring unstructured grids

2022-11-28  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.3 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.3: Mauna Loa';git push
	git tag -a 5.1.3 -m 'ncremap automagical hrz_mrv determination/usage';git push --tags

	* NCO 5.1.3-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.3-alpha02: Thai Massage';git push
	git tag -a 5.1.3-alpha02 -m 'ncremap automagical hrz_mrv determination/usage';git push --tags

2022-11-25  Charlie Zender  <zender@uci.edu>

	* Realize that 20221108 change in 5.1.2 broke nco_ntp_vrt() for vrt_mrv data like eamxx
	because datasets were no longer permuted to hrz_mrv that nco_ntp_vrt() assumed

	* nco_ntp_vrt() use flg_hrz_mrv, appears to work

	* nco_ntp_vrt() add stubs to automagically determine flg_hrz_mrv/flr_vrt_mrv

	* nco_map_rgr() assign col_nm_in to ncol_p not ncol_d

2022-11-23  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.3-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.3-alpha01: Tavern House';git push
	git tag -a 5.1.3-alpha01 -m 'Functionally identical to 5.1.2';git push --tags

	* Simplify vertical interpolation if input vertical dimension is most-rapidly-varying (--vrt_mrv)

2022-11-18  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.2 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.2: Guerilla Poetry';git push
	git tag -a 5.1.2 -m 'ncclimo/ncremap: -P eamxx, --npo, hrd_pth; ncremap ps_nm_in, vrt_in, vrt_out';git push --tags

	* Remove unnecessary assert() in nco_cnk_sz_set_trv() that prevents SCREAM regrid

	* Update package availability on homepage index.shtml

2022-11-16  Charlie Zender  <zender@uci.edu>

	* ncremap pdq_opt includes CMOR dimensions time, olevhalf for MPAS output

2022-11-13  Charlie Zender  <zender@uci.edu>

	* ncks fix accidental assignment of fl_out_fmt to NC_FORMAT_64BIT_OFFSET in nco_prn.c

2022-11-09  Charlie Zender  <zender@uci.edu>

	* Document --ps_nm, --vrt_in in nco.texi

	* Add new options to usage and man pages

	* NCO 5.1.2-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.2-beta01: Nashville';git push
	git tag -a 5.1.2-beta01 -m 'ncclimo/ncremap: -P eamxx, hrd_pth; ncremap ps_nm_in, vrt_in, vrt_out';git push --tags

	* ncz2psx: Add --hrd_pth/--npo support for consistency with ncremap/ncclimo

2022-11-08  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.2-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.2-alpha04: Ladybug';git push
	git tag -a 5.1.2-alpha04 -m 'ncclimo/ncremap: -P eamxx, hrd_pth';git push --tags

	* ncremap: Turn permutation off (pdq_flg=No, pdq_opt='') unless horizontal regridding is invoked

	* ncclimo/ncremap: --hrd_pth or --npo as first argument sets NCO_PATH_OVERRIDE='Yes'

2022-11-07  Charlie Zender  <zender@uci.edu>

	* ncremap: -P eamxx set pdq_opt=ilev,lev,dim2,col and ps_nm=ps

2022-11-04  Charlie Zender  <zender@uci.edu>

	* ncremap: Require pdq_flg=Yes to enable pdq_opt for all prc_typ

	* ncclimo/ncremap: Shift slurm mail options to use --mail-type and --mail-user

2022-11-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.2-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.2-alpha03: Love, Death, & Robots';git push
	git tag -a 5.1.2-alpha03 -m 'ncremap ps_nm_in, vrt_in, vrt_out,	stg_grd, T_mid, ';git push --tags

	* ncks: add --vrt_in, shift to --vrt_out

	* ncclimo, docs: shift from --vrt, --vrt_fl to --vrt_out

	* ncremap/ncremap shift from -C, -p to --constraint, --partition

	* ncclimo/ncremap consistent node-names, paths for machine-specific environments, NCO_PATH_OVERRIDE

	* ncremap new functionality appears to work for SCREAM!

	* ncremap accept --vrt_in to specify optional input vertical grid filename (vetted)

2022-11-02  Charlie Zender  <zender@uci.edu>

	* ncremap shift from vrt_fl to vrt_out for canonical vertical interpolation

	* ncremap --ps_nm_in=ps_nm with optional embedded filename (vetted)

	* NCO 5.1.2-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.2-alpha02: Gould Median';git push
	git tag -a 5.1.2-alpha02 -m 'all: prn_usg() not OOM; ncremap: recognize T_mid, ps/plev_nm_in/out/tpl, stg_grd dfl False; ncz2psx: man';git push --tags

	* ncremap turn-off staggered grid by default in nco_rgr.c to avoid --no_stg_grd

2022-11-01  Charlie Zender  <zender@uci.edu>

	* ncremap add ps_nm_in, ps_nm_out, plev_nm_in, plev_nm_out to excluded variables list

2022-10-31  Charlie Zender  <zender@uci.edu>

	* ncremap treat T_mid as temperature and VerticalLayerMidpoint as geopotential height in vertical interpolation (for SCREAM)

	* ncpdq ncbo ncwa ncflint print usage not die with OOM when called without arguments

2022-10-30  Charlie Zender  <zender@uci.edu>

	* Add man page ncz2psx.1

2022-10-28  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.2-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.2-alpha01: Twit';git push
	git tag -a 5.1.2-alpha01 -m 'Functionally identical to 5.1.1';git push --tags

	* nco_rgr.c add plev_nm_out, ps_nm_in, ps_nm_out as user-modifiable

	* NCO 5.1.1 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1: Tangentially Speaking';git push
	git tag -a 5.1.1 -m 'all: stdin, -o fl_out, ncz2psx, nsb->nesb, bgr->btg, bgb->bgr, cdc_lst_bld fix; ncclimo: rgn_avg; ncremap: chk_map bln xcp, fix idw, mpas add_fll, no_add_fll, msk sgs, vrt ntp 1D, vrt_xtr mth=zero,lnr, dpr correct_areas, mono3';git push --tags

2022-10-21  Charlie Zender  <zender@uci.edu>

	* Makefile.old implement ANTLR_LIB_FLG ANTLR_INC_FLG to fix Andes build

	* NCO 5.1.1-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-beta01: Pancreatic';git push
	git tag -a 5.1.1-beta01 -m 'all: stdin, -o fl_out, ncz2psx, nsb->nesb, bgr->btg, bgb->bgr, cdc_lst_bld fix; ncclimo: rgn_avg; ncremap: chk_map bln xcp, fix idw, mpas add_fll, no_add_fll, msk sgs, vrt ntp 1D, vrt_xtr mth=zero,lnr', dpr correct_areas, mono3;git push --tags

	* Document stdin, NCZarr, rgn_avg, chk_map, add_fll, msk_apl, vrt_xtr

2022-10-20  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.1-alpha13 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha13: Faint';git push
	git tag -a 5.1.1-alpha13 -m 'ncremap: add_fll mpaso, landmask fix, --no_add_fll, msk sgs < rnr_thr';git push --tags

	* ncremap re-compute ELM/CICE area variable in model-native units iff no_cll_msr != Yes

	* ncap2 create dummy input and output files when no filenames provided

	* ncremap add_fll place _FillValue where sgs_frc_out < rnr_thr = wgt_vld_thr (if provided)

	* ncremap add --no_add_fll switch to override new MPAS default

2022-10-19  Charlie Zender  <zender@uci.edu>

	* ncremap set add_fll automatically for all MPAS datasets

	* ncremap do not set default mask for sgs to landmask for back-compatibility, leave it unset

	* Change nco_bnr_wrt() prototype to accept size_t var_sz

2022-10-18  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.1-alpha12 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha12: Seven Falls';git push
	git tag -a 5.1.1-alpha12 -m 'ncremap undup mpas no_stg_grd rnr_thr switches, mpassi add_fll, vrt_ntp: tpt, 1D OK, vrt_xtr add mth=zero,lnr; ncks add_fll trigger where sgs_frc=0.0';git push --tags

	* ncremap move/combine passing of --no_stagger to ncks to avoid double-setting it

	* ncremap move/combine passing of --rnr_thr to ncks to avoid double-setting it

	* ncremap set --add_fll to true for sea-ice models

	* ncremap add clause to cause --add_fll to set cells with sgs_frc == 0.0 to _FillValue

2022-10-13  Charlie Zender  <zender@uci.edu>

	* Add vertical extrapolation methods linear and zero

2022-10-12  Charlie Zender  <zender@uci.edu>

	* Vertically interpolate all variables whose names start with "tpt" with temperature method

	* ncremap allow vertical interpolation on single dimensional (vertical) files

2022-10-09  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.1-alpha11 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha11: Tangentially Speaking';git push
	git tag -a 5.1.1-alpha11 -m 'all: stdin requires -o for fl_out; ncap2: stdin reorg';git push --tags

	* Re-organize ncap2 filename handling to treat stdin equivalent to positional in all cases

	* Check stdin for input filenames as last resort not first resort

	* ncks/ncrename/ncatted require -o for output file if stdin for	input (except for MFOs, for backward compatibility)

2022-10-07  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.1-alpha10 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha10: Jinx Drives Solo';git push
	git tag -a 5.1.1-alpha10 -m 'ncremap nSnowLayers, sgs_frc prs, sgs_nrm prs, Chrysalis paths';git push --tags

	* ncremap add nSnowLayers dimension to pdq_opt for MPAS-SI

	* ncremap fix sgs_frc option handling that 5.1.0 broke for MPAS-SI, CICE

	* ncremap pass sgs_nrm for CICE and not others

2022-10-06  Charlie Zender  <zender@uci.edu>

	* nco_grd_nfr() print names of missing MPAS mesh variables needed to create mesh

	* Update Chrysalis paths for NCO_PATH_OVERRIDE

2022-10-05  Charlie Zender  <zender@uci.edu>

	* Restrict available synonyms for MALI to mali, pending renaming of Land Ice model

2022-09-29  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.1-alpha09 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha09: Taylor Hawkins Tribute';git push
	git tag -a 5.1.1-alpha09 -m 'all: FL_LST_IN_APPEND; ncremap: correct_areas, mono3';git push --tags

	* Exit gracefully instead of attempting to read empty positional arguments

	* Document -H support

	* All operators support FL_LST_IN_APPEND by default and -H to turn it off

2022-09-28  Charlie Zender  <zender@uci.edu>

	* ncremap remove --correct_areas since TR 2.1.12 made this default and eliminated option

	* ncremap replace --mono3 by --method mono3 since TR 2.1.14, 2.1.15 changed option name

2022-09-27  Charlie Zender  <zender@uci.edu>

	* ncks: append input files from stdin to output file

2022-09-26  Charlie Zender  <zender@uci.edu>

	* Adopt nco_fl_lst_stdin() for all operators except ncap2

	* Simplify nco_fl_lst_stdin() prototype

2022-09-25  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.1-alpha08 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha08: Sham Referendum';git push
	git tag -a 5.1.1-alpha08 -m 'all: NSB->NESB; ncks bgr->btg, bgb->bgr, stdin, chk_map bln xcp; ncremap nco_idw fix';git push --tags

	* Functionalize nco_fl_lst_stdin()

	* ncremap replace ConvertSCRIPToExodus (no longer exists) by ConvertMeshoExodus

	* ncks chk_map add INFO not scary WARNING when weights are intentionally non-conservative

	* map checker examines global attributes map_method, no_conserve, noconserve to determine whether weights are intentionally non-conservative

2022-09-23  Charlie Zender  <zender@uci.edu>

	* ncrename stdin search for input filenames works, though cannot copy from NCZarr to POSIX

	* ncks stdin search for input filenames works

	* ncremap replace general occurances of dwe with idw

	* ncremap fix bug where alg_opt=nco_idw (though not nco_dwe) was interpreted as nco_con

2022-09-22  Charlie Zender  <zender@uci.edu>

	* Change BitGroomBitRound and 'bgb' to BitGroomRound and 'bgr', respectively

	* Abbreviate BitGroom as 'btg' not 'bgr'

	* Shift NSB to NESB and/or "number of significant bits" to "number of stored bits"

2022-09-20  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.1-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha07: Cantalina';git push
	git tag -a 5.1.1-alpha07 -m 'all: ncz2psx works as intended; ncclimo sgs mdl_nm fix';git push --tags

2022-09-18  Charlie Zender  <zender@uci.edu>

	* ncclimo set mdl_nm to elm for prc_typ=sgs

2022-08-26  Charlie Zender  <zender@uci.edu>

	* Tidy nco_fl_utl.c to prepare to allow stdin filename access for all operators

	* Fix NCZarr->POSIX write issue by eliminating Lat/Lon dimensions from in_zarr4.cdl

2022-08-25  Charlie Zender  <zender@uci.edu>

	* MFOs like ncea correctly write Zarr output but not POSIX output given Zarr input

	* MFOs like ncea correctly write Zarr output and POSIX output given POSIX input

	* ncz2psx properly transforms local NCZarr-store directory names to NCZarr file:// URLs

2022-08-24  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.1-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha06: Cheney';git push
	git tag -a 5.1.1-alpha06 -m 'all: in_zarr4, nco_fl_blocksize() fix;ncclimo region_name, cell_methods';git push --tags

	* Add install rules for ncz2psx to Makefile.am, CMakeLists.txt, bld/Makefile

	* Add build rules for NCZarr files to data/Makefile.am, build in_zarr4 and symlinks

2022-08-23  Charlie Zender  <zender@uci.edu>

	* Add scalar dimension to in_zarr4.cdl to workaround NCZarr scalar bug

2022-08-21  Charlie Zender  <zender@uci.edu>

	* nco_fl_blocksize() determine extended filetype via output file name not input file ID

2022-08-19  Charlie Zender  <zender@uci.edu>

	* Add in_zarr.cdl and in_zarr4.cdl to generate more complex NCZarr test files

2022-08-17  Charlie Zender  <zender@uci.edu>

	* ncclimo add cell_methods="area: mean" attribute

	* ncclimo add coordinates="region_name" attribute

	* NCO 5.1.1-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha05: Round Ray';git push
	git tag -a 5.1.1-alpha05 -m 'ncclimo rgn_avg';git push --tags

	* ncclimo: Fold-in --glb_avg into --rgn_avg regional average timeseries capabilities

2022-08-11  Charlie Zender  <zender@uci.edu>

	* ncclimo/ncremap: Add Cori build environment modules to NCO_OVERRIDE_PATH (required for Intel)

	* NCO 5.1.1-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha04: Curtis';git push
	git tag -a 5.1.1-alpha04 -m 'nco_fl_chmod, ncatted, ncrename with NCZarr;ncclimo hms_avg';git push --tags

	* Verify --hms_avg is exact for unstructured EAM variables without _FillValue

2022-08-10  Charlie Zender  <zender@uci.edu>

	* ncclimo add hemispheric-mean timeseries switch --hms_avg

2022-07-18  Charlie Zender  <zender@uci.edu>

	* Fix permissions of chmod, test with complex files. Almost ready for primetime.

2022-07-15  Charlie Zender  <zender@uci.edu>

	* NCO 5.1.1-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha03: Moon Sun Run';git push
	git tag -a 5.1.1-alpha03 -m 'nco_fl_[mv,rm,cp] works with NCZarr';git push --tags

	* Verify that file manipulation works for NCZarr I/O!

	* Extend nco_fl_mv(), nco_fl_rm(), and nco_fl_cp() to handle directories

	* Use and verify nco_fl_ncz2psx() in nco_fl_mv()

	* Prevent MSVC build errors by searching in volatile not const strings

	* Fix invalid pointer references

	* Draft and test nco_fl_ncz2psx()...it fails

2022-07-14  Charlie Zender  <zender@uci.edu>

	* Finish and employ nco_fl_is_nczarr()

	* Prototype nco_fl_ncztopth(), fix compile issue for NCZarr with old netCDF

	* Call nc_inq_filter_avail() only if it exists and might be successful, quiet messages

2022-07-13  Charlie Zender  <zender@uci.edu>

	* Retrofit nco_fl_blocksize() and nco_fl_mv() to handle NCZarr file:// schema storage

	* NCO 5.1.1-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha02: Webb';git push
	git tag -a 5.1.1-alpha02 -m 'ncks: read/hyperslab/print NCZarr files';git push --tags

	* Add external data type NC_FORMATX_NCZARR

	* Remove "-D_BSD_SOURCE -D_POSIX_SOURCE" from gnu and icc in configure.ac

	* Treat NCZarr files with file:// scheme like DAP files so printing works

2022-07-12  Charlie Zender  <zender@uci.edu>

	* Call nco_cdc_lst_bld() only if an invoked filter was not found

	* Add stubs to let NCO examine files with NCZarr file:// schema

	* NCO 5.1.1-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.1-alpha01: Bali';git push
	git tag -a 5.1.1-alpha01 -m 'Functionally identical to 5.1.0';git push --tags

	* Increase NCO_MIN_CNK_BLOSC from 1U to 4096U to prevent some Blosc errors

	* NCO 5.1.0 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.0: Rattlesnake';git push
	git tag -a 5.1.0 -m 'all: filters, cmp_sng, CCR, nc 4.9.0; ncremap fix sub-sgs nrm, add ssgs thr';git push --tags

	* Change E3SMU_ROOT from 1.6.0 to 1.7.0 in ncremap

	* Warn about Blosc codec in docs

2022-07-11  Charlie Zender  <zender@uci.edu>

	* Tidy nco_fl_mk_lcl() in preparation for Zarr-access work

	* Flesh-out HINT for missing codec WARNING

	* Prevent carrying rcd from cdc_lst_bld into filter loop

2022-07-09  Charlie Zender  <zender@uci.edu>

	* Rewrite nc_inq_var_filter_info() stub for old (pre-4.7.4) netCDF libraries

	* Rewrite nc_inq_var_filter_ids() stub for old (pre-4.7.4) netCDF libraries

	* Simplify nco_cnv_arm_time_install() prototype to exploit new compression API

	* Return from nco_flt_def_wrp() with old (pre-4.7.4) netCDF libraries before encountering new API calls

2022-07-08  Charlie Zender  <zender@uci.edu>

	* Consider variable compressed (and thus requiring chunking) in	nco_cnk_sz_set_trv() whenever _any_ filters have been applied to it

	* Add NC_COMPACT to metadata printing

	* Add NC_EINVAL debugging to nco_def_var_chunking()

	* NCO 5.1.0-beta04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.1.0-beta04: Steerage';git push
	git tag -a 5.1.0-beta04 -m 'all: documentation, polishing, default levels, dns, blosc';git push --tags

	* Invoke known filters by generic nc_var_def_filter() when given ID as name in filter string

	* Clarify ncremap -m map-file usage in code and -G grd_sng usage in manual

2022-07-07  Charlie Zender  <zender@uci.edu>

	* Add Blosc examples to documentation

	* Pass unknown IDs through to invocation execution

	* Build cmp_sng_glb with filter ID as name when filter is unknown

	* Build nco_cdc_lst_glb using mostly nc_inq_filter_avail()

	* Tidy Blosc support

2022-07-06  Charlie Zender  <zender@uci.edu>

	* Realize that Blosc fails on benchmark EAM file, succeeds on simpler files, unsure why

	* Default Blosc to LZ, decode Blosc subcompressors in _Filter metadata

	* Reformulate implementation of default levels to include BLOSC filters

	* Rework listing of BLOSC filters

	* BLOSC filters work! Allow BLOSC Shuffle to pre-empt HDF5 Shuffle

2022-07-04  Charlie Zender  <zender@uci.edu>

	* Bump next version to 5.1.0 instead of 5.0.8

2022-07-03  Charlie Zender  <zender@uci.edu>

	* Merge CR figures with text more naturally

	* NCO 5.0.8-beta03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.8-beta03: Backslapper';git push
	git tag -a 5.0.8-beta03 -m 'all: documentation, polishing, default levels, dns';git push --tags

	* Add quantization/compression CR figures to documentation and to distribution

	* Add nco_flt_dns codec to do DEFLATE No Shuffle without recompilation

	* Incorporate feedback from E. Hartnett into documentation

2022-07-01  Charlie Zender  <zender@uci.edu>

	* Build/verify NCO with Intel on Cori

	* Build/verify NCO with GNU on Perlmutter

	* Merge three MSVC changes suggested by Pedro Vicente

2022-06-30  Charlie Zender  <zender@uci.edu>

	* Update homepage with recent presentations/pubs

	* Verify runtime executables (except ncap2) work on NERSC perlmutter

	* Prepare 5.0.8 release documentation

2022-06-29  Charlie Zender  <zender@uci.edu>

	* Document filter features and compression best practices

	* Add PPC default synonyms dfl, global, glb

	* Change name/acronym from BitGroomRound (RND) to BitGroomBitRound (BGB)

	* Add default levels for BitGroom, BitRound, and GranularBR

	* Re-order enum list to accord better with filter IDs

2022-06-28  Charlie Zender  <zender@uci.edu>

	* Add default level for Bzip2

	* Insert default in place of omitted levels for DEFLATE, Shuffle, Zstandard, regardless of filter location

	* Add debug message clarifying where/why coordinate-like variables not lossily compressed

	* Prepend _Filter help string with "Codec(s): "

	* Recognize codec names spelled with optional spaces and hyphens

	* Add --cmp_sng to usage, man pages

	* NCO 5.0.8-beta02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.8-beta02: Iron Champs';git push
	git tag -a 5.0.8-beta02 -m 'all: xcl cf crd_lk_var from lsy flt';git push --tags

2022-06-27  Charlie Zender  <zender@uci.edu>

	* Print filter names in CDL comments for _Filter when dbg >= 2

	* Remove DEFLATE, Shuffle, and Fletcher32 from Filter string. Always print them separately.

	* Prevent calling BLOSC filter on variables of storage type NC_CONTIGUOUS

	* Write nco_is_crd_var() and preserve full precision (prevent lossy filters) on bonafide 1D coordinates

	* Preserve full precision (prevent lossy filters) on CF bounds, climatology, coordinates, and grid_mapping variables

2022-06-26  Charlie Zender  <zender@uci.edu>

	* Reset rcd to NC_NOERR after non-fatal filter errors

	* Verify netCDF library quantization yields same CRs as NCO library quantization

	* Prevent attempted quantization of non-floating-point variables (to avoid bad return codes from netCDF)

2022-06-24  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.8-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.8-beta01: Rothaniel';git push
	git tag -a 5.0.8-beta01 -m 'Filterama';git push --tags

	* Prepare release notes

	* Clip erroneous trailing commas from inferred filter strings for filters with zero parameters (like Fletcher32)

	* Re-protect nco_flt_def_wrp() call within NETCDF4 ifdefs in nco_grp_utl.c

	* NCO 5.0.8-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.8-alpha06: Kai Elua';git push
	git tag -a 5.0.8-alpha06 -m 'improve nc_inq_filter_avail() stub, fix nco_flt_nm2enmid(), nco_flt_def_wrp(), nco_flt_def_out() bugs';git push --tags

	* netCDF 4.9.0 only lets quantize succeed with NETCDF4 files (possible netCDF bug)

	* netCDF 4.9.0 Zstandard and Bzip2 codecs fail when duplicate codecs with same API from CCR are also available

	* NUL-terminate flt_sng before strcat()

2022-06-23  Charlie Zender  <zender@uci.edu>

	* Ensure nco_flt_nm2enmid() always returns ID if requested

	* Ensure nco_flt_def_wrp() does not rely on command-line dfl_lvl being explicitly passed

	* Merge compression infrastructure into ncbo, ncecat, ncflint, ncpdq, ncra, ncwa

	* Move nc_inq_filter_avail() and HDF5 tokens from nco_flt.[ch] to nco_netcdf.[ch]

	* Move nc_inq_filter_avail() stub nco_flt.[ch] since it involves so many HDF5 tokens

	* Improve nc_inq_filter_avail() stub to handle DEFLATE, SHUFFLE, FLETCHER32

2022-06-21  Charlie Zender  <zender@uci.edu>

	* Fix NC_LIB_VER to be NC_LIB_VERSION

	* NCO 5.0.8-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.8-alpha05: Kahakai';git push
	git tag -a 5.0.8-alpha05 -m 'all: add hdn.cdl xmp; ncks Fletcher32.';git push --tags

	* Add extra test cases to hdn.cdl

	* For netCDF < 474 copy input deflate settings and skip nco_flt_def_out()

	* Print Fletcher32 keyword without printing _Filter as well

	* Allow nco_prn.c awareness of filter header

2022-06-19  Charlie Zender  <zender@uci.edu>

	* Never search NULL cmp_sng for "none"

	* Remove OpenMP default(none) on Clang: not helpful, breaks frazil

2022-06-17  Charlie Zender  <zender@uci.edu>

	* Provide nc_def_var_bzip() stub when necessary

	* NCO 5.0.8-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.8-alpha04: June Strawberry Moon';git push
	git tag -a 5.0.8-alpha04 -m 'all: support decompression, netCDF 4.9.0 compat; ncremap, ncclimo: cmp_sng; ncks fix sub-sgs rgr; ';git push --tags

	* Refactor BLOSC_ token definition

	* Tweak CMake searches for netcdf_filter.h NC_HAVE_RENAME_GRP

	* Algorithmatize decision to print DEFLATE, Shuffle separately or use _Filter

	* Add nco_inq_filter_avail_flg()

	* Adopt NC_HAS_QUANTIZE and NC_HAS_ZSTD tokens from netcdf_meta.h

	* Update to newer NC_ pre-processor tokens like NC_HAVE_NEW_CHUNKING_API, NC_HAVE_RENAME_GRP

	* Update release return codes to netCDF 4.9.2

	* Work on compatibility with netCDF 4.9.0, released 20220610

2022-06-16  Charlie Zender  <zender@uci.edu>

	* WTF with OpenMP and sub_sgs_frc_out_thr? Add remaining BLOSC sub-compressors.

	* Solution is to threshold normalization by sub_sgs_frc_out based on input sgs_frc precision

	* Rounding errors due to single precision landfrac CLM/ELM caused 2 bad temperatures in 180x360 regridding of vegetated-only gridcells

2022-06-15  Charlie Zender  <zender@uci.edu>

	* Fix normalization of multi-level sub-SGS variables (to be just like single-level variables)
	Expected this to completely solve vexing bug. Instead, it allowed regridding to complete,
	though temperatures near 0.0 indicate a	different bug remains.

	* Store output decompressed when specification includes "none" or synonyms

2022-06-14  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.8-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.8-alpha03: Sievierodonetsk';git push
	git tag -a 5.0.8-alpha03 -m 'Improve support for unknown HDF5 filter IDs, Shuffle, consistency with ncdump';git push --tags

	* Invoking Shuffle filter as shf,1 or 2,1 both seem to work

	* Refactor to allow invocation with unknown filter ID

2022-06-13  Charlie Zender  <zender@uci.edu>

	* Add --cmp to ncclimo

	* Standardize invocation as --cmp, --cmp_sng instead of --cdc

	* Add nco_inq_blk_sz() and BLOSC Snappy invocation option

2022-06-10  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.8-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.8-alpha02: adopt new filter handlers';git push
	git tag -a 5.0.8-alpha02 -m 'Vienna';git push --tags

	* Name-swap so nco_flt_def_out/wrp() is nco_flt_old_out/wrp(), nco_tst_def_out/wrp() is nco_flt_def_out/wrp()

	* Adopt nco_tst_def_out() in regridder and map routines

	* Refactor to eliminate dfl_lvl from nco_tst_def_wrp()

	* Make nco_cmp_sng_glb global variable with get()/set() accessor functions

	* Refactor so nco_tst_def_out() receives filter flag instead of superfluous dfl_lvl

	* nco_tst_def_out() uses nco_cmp_sng_glb if cmp_sng not passed

2022-06-09  Charlie Zender  <zender@uci.edu>

	* Fix ncap2 compression segfault by not free()'ing cmp_sng in main() (unsure why)

	* Do not print _DeflateLevel or _Shuffle if a non-DEFLATE filter was applied (print _Filter instead)

	* Draft filter handler works on old-style DEFLATE specification (e.g., -L 1)

2022-06-08  Charlie Zender  <zender@uci.edu>

	* Draft filter handler works on multiple variables

	* Filter handler applies CCR filters as requested, and copies filters used in input files on one variable

	* Completely re-write filter handling to copy generic filters from input files

2022-05-27  Charlie Zender  <zender@uci.edu>

	* Allow use of netCDF-defined APIs for BitGroom, GranularBR, BitRound

2022-05-26  Charlie Zender  <zender@uci.edu>

	* Allow use of netCDF-defined APIs for BZIP2, ZSTANDARD, BLOSC

	* Add netCDF 4.9.0 BLOSC filters to table

	* Implement nco_inq_filter_avail() and stubs for pre-4.9.0

	* Print info for multiple filters per variable separated by pipes

	* Remove extra quotes form multi-word format names in _Format attribute

2022-05-25  Charlie Zender  <zender@uci.edu>

	* Fix so CCR codecs work, including codec chains

2022-05-24  Charlie Zender  <zender@uci.edu>

	* Quiet hocus-pocus INFO message

	* Use nco_flt_glb_lss/lsl_alg/lvl values with CCR codecs

2022-05-23  Charlie Zender  <zender@uci.edu>

	* Add nco_flt_glb_lss/lsl_alg/lvl_get/set() helper functions

2022-05-22  Charlie Zender  <zender@uci.edu>

	* Update to MacOS 12.4

2022-05-18  Charlie Zender  <zender@uci.edu>

	* Compile/link (except ncap2) on perlmutter, runtime fails due to missing librca.so*

	* ncclimo/ncremap add draft NERSC Perlmutter settings

2022-05-04  Charlie Zender  <zender@uci.edu>

	* Complete refactoring to test more codecs with nco_tst_def_*() functions

	* Adopt nco_flt_def_*() in nco_var_utl.c

2022-05-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.8-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.8-alpha01: Functionally identical to 5.0.7';git push
	git tag -a 5.0.8-alpha01 -m 'QuickBlade';git push --tags

	* Adopt nco_flt_def_*() in nco_map.c, nco_cnv_arm.c, ncap_utl.c, nco_rgr.c, nco_s1d.c

2022-05-02  Charlie Zender  <zender@uci.edu>

	* Adopt nco_flt_def_wrp() in nco_grp_utl.c:nco_cpy_var_dfn_trv(),

	* NCO 5.0.7 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.7: all: bit_xpl_dbl=52, tkn rdf wrn; ncap2: where() mss_val; ncclimo: -P fix; ncremap: add_fll fix, sub-SGS nrm, sgs_nm_gnr wrn';git push
	git tag -a 5.0.7 -m 'Mariupol';git push --tags

	* Update allowed netCDF versions to include 4.9.0, 4.9.1

	* Add nco_flt_def() stub

2022-04-29  Charlie Zender  <zender@uci.edu>

	* Add stub global variables for separate lossless, lossy codec specifications

	* Tidy nco_mta.[ch]

	* NCO 5.0.7-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.7-alpha05: all: fix tkn rdf wrn, ncap2: where() mss_val; ncclimo: rgr#1; pynco prs';git push
	git tag -a 5.0.7-alpha05 -m 'Easter';git push --tags

	* Merge multiple PyNCO PRs from Luke Davis of CSU

2022-04-22  Charlie Zender  <zender@uci.edu>

	* Stubs to request quantization method by string not enum

	* Fix ncclimo regression test #1 to use -P cam so correct files found

	* Henry fixed ncap2 where() to allow mss_val=NC_FILL_INT

2022-04-18  Charlie Zender  <zender@uci.edu>

	* Fix duplicate definition warnings for RINTF, NEARBYINTF, ROUNDF, TRUNCF

	* Check that omitting #define NEED_XXXF in nco_rth_flt.[ch] builds everywhere

2022-04-17  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.7-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.7-alpha04: sub-sgs normalization for landunit-specific fields';git push
	git tag -a 5.0.7-alpha04 -m 'Poke Kai';git push --tags

	* nco_rgr_wgt() allows for missing values in fields with valid SGS area
	Previously, assumed SGS fields to be valid wherever sgs_frc > 0.0
	That low-biased fields like TSOI which are sub-SGS normalized to specific landunits
	Now sub-SGS values are extrapolated, incorrect though not crazy-bad like before
	No more temperatures near 0.0 for landunit-specific fields in ELM/CLM

2022-04-13  Charlie Zender  <zender@uci.edu>

	* ncremap fix --sgs_frc and prc_typ logic, introduce prc_sgs, fix sgs_nm_gnr logic

2022-04-03  Charlie Zender  <zender@uci.edu>

	* nco_bld_rec_dmn() call nco_lmt_init() on new limits

2022-03-25  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.7-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.7-alpha03: ncremap -P bugfix, SGS spot-check wrn';git push
	git tag -a 5.0.7-alpha03 -m 'Afterlife';git push --tags

	* Change ncremap test to use NCO weights so test succeeds when ERWG not available

	* Add synonyms preserve=gridcell, gridcell_mean, natural_values

2022-03-24  Charlie Zender  <zender@uci.edu>

	* ncremap warn when SGS not invoked despite presence of indicator variables

	* ncremap/ncclimo always enclose -n/-z shell variables in double quotes

	* Discover 5.0.6 (or earlier?) bug preventing ncremap from parsing -P prc_typ options
	However, ncclimo --sgs_frc=XXX options were passed and parsed correctly
	And ncclimo -P prc_typ was used correctly (and necessarily) for	name generation
	Thus commands of form ncclimo -P mdl_nm --sgs_frc=var_nm worked correctly

2022-03-20  Charlie Zender  <zender@uci.edu>

	* Build on updated Cori OS with netCDF 4.8.1.1

2022-02-25  Charlie Zender  <zender@uci.edu>

	* Add mss_val_dfl capability to nco_prn_var_val_cmt()

2022-02-24  Charlie Zender  <zender@uci.edu>

        * NCO 5.0.7-alpha02 release procedure:
        cd ~/nco;git commit -a -m 'Version 5.0.7-alpha02: all: bit_xpl_dbl=52 fix, config.sub/guess update';git push
        git tag -a 5.0.7-alpha02 -m 'Jack Ryan';git push --tags

	* First successful build/check on Apple silicon!

	* Update config.guess from timestamp='2019-07-24' to '2022-01-09' for arm64-apple M1 Max recognition

	* Update config.sub from timestamp='2019-07-24' to '2022-01-03' for arm64-apple M1 Max recognition

2022-02-23  Charlie Zender  <zender@uci.edu>

	* Fix compiler warnings for clang 13.0

2022-02-19  Charlie Zender  <zender@uci.edu>

	* No longer add additional bit to prc_bnr_xpl_rqr for BitGroom NC_DOUBLE
	Restores BG behavior to original Zen16, netcdf-c, CCR implementations

2022-02-18  Charlie Zender  <zender@uci.edu>

	* in.cdl add all tests in CCR tst_bitgroom.c and netcdf-c/tst_quantize.c

	* Set bit_xpl_nbr_sgn_dbl=52 not 53 since limits.h/climit DBL_MANT_DIG=53 (which includes implicit bit)

2022-02-07  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.7-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.7-alpha01: add_fll val fix';git push
	git tag -a 5.0.7-alpha01 -m 'Great Horned Owl';git push --tags

	* ncremap/nco_rgr.c: Use mss_val_cmp_dbl not NC_FILL_DOUBLE with --add_fll

2022-02-03  Charlie Zender  <zender@uci.edu>

	* tpt_brt.nco: Remove coordinates attribute in tpt_brt.nco so Panoply plots

2022-02-01  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.6 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.6: Alanis';git push
	git tag -a 5.0.6 -m 'ncclimo/ncremap E3SMU Conda PATH; ncclimo bs_nm fl_in[0] fix; ncremap sgs_frc_usr fix;';git push --tags

	* ncremap/ncclimo add HINT for when NCO binaries not found

	* ncclimo eliminate warnings when caseid and fml_nm not provided in timeseries mode

2022-01-31  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.6-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.6-alpha02: Chiang Rai';git push
	git tag -a 5.0.6-alpha02 -m 'ncclimo/ncremap add Conda PATH on login nodes when in E3SMU nvr; ncclimo basename fl_in[0] fix; ncremap sgs_frc_usr fix;';git push --tags

	* ncremap/ncclimo add Conda PATH when in E3SMU env to find NCO binaries on login nodes

2022-01-30  Charlie Zender  <zender@uci.edu>

	* ncclimo prevent basename() from operating on undefined fl_in[0] in inp_aut mode

2022-01-29  Charlie Zender  <zender@uci.edu>

	* ncremap keep user-specified and/or ncclimo-specified sgs_frc value, if any, intact

2022-01-25  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.6-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.6-alpha01: Blue Rondo a la Turk';git push
	git tag -a 5.0.6-alpha01 -m 'cxl -lm rqr. Functionally identical to 5.0.5';git push --tags

	* configure.ac remove -lm check for sin() to (try to) prevent search for -lm

	* configure.ac remove g95 check

2022-01-24  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.5 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.5: Heather';git push
	git tag -a 5.0.5 -m 'all: btr,bgr_btr,gbg=gbr; ncatted: fix modify mode when fll_val dne, prepend mode; ncclimo mpas inp_aut/std/psn, ppn_opt';git push --tags

	* Unsuccessfully searched for bug triggered by Spack NCO on Chrysalis compute nodes

2022-01-12  Charlie Zender  <zender@uci.edu>

	* ncremap change E3SMU_ROOT from 1.5.0 to 1.6.0

2022-01-11  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.5-beta03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.5-beta03: Bulleit';git push
	git tag -a 5.0.5-beta03 -m 'all: btr,bgr_btr,gbg=gbr; ncatted: fix modify mode when fll_val dne, prepend mode; ncclimo mpas inp_aut/std/psn, ppn_opt';git push --tags

	* ncclimo simplify and invoke ppn_opt block for all file input modes

2022-01-09  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.5-beta02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.5-beta02: Yellowstone';git push
	git tag -a 5.0.5-beta02 -m 'all: btr,bgr_btr,gbg=gbr; ncatted: fix modify mode when fll_val dne, prepend mode; ncclimo mpas inp_aut/std/psn, ppn_opt';git push --tags

	* nco.texi: Document prepend mode

2022-01-07  Charlie Zender  <zender@uci.edu>

	* ncatted: Add prepend mode

	* ncatted: Prevent modify mode netCDF4 _FillValue from trying to rename non-existing attribute

2022-01-04  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.5-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.5-beta01: Paddle to Beachcombers';git push
	git tag -a 5.0.5-beta01 -m 'btr, bgr_btr, gbg=gbr, ncclimo mpas inp_aut/std/psn, ppn_opt';git push --tags

	* Change external name of Granular BitGroom (GBG) to Granular BitRound (GBR).

	* nco_flt.h remove type qualifiers on return types to fix Intel	compiler warnings

2022-01-01  Charlie Zender  <zender@uci.edu>

	* nco.texi document BitRound/HalfShave changes

	* nco.texi clarify NaNf documentation

2021-12-31  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.5-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.5-alpha01: NYE';git push
	git tag -a 5.0.5-alpha01 -m 'all: separate btr from bgr_btr; ncclimo mpas inp_aut fix, ppn_opt for inp_std,inp_psn; otherwise functionally identical to 5.0.4';git push --tags

	* nco_ppc_bitmask() add pbxr/bxnz diagnostic

	* Allow only one explicit bit to be preserved (useful for NSB algorithms like BitRound)

	* nco_ppc_bitmask() fix mask initialization, insert missing break to fix quantization

	* ncclimo always use ppn_opt for input files provided via inp_std, inp_psn

	* ncremap add prc_typ=mpaso|mpasocean as valid synonyms for back-compatibility

2021-12-16  Charlie Zender  <zender@uci.edu>

	* Refactor nco_ppc_bitmask() to reduce redundant code, facilitate specifying NSD or NSB independently of BGR

2021-12-15  Charlie Zender  <zender@uci.edu>

	* Refactor baa_btr to be BitRound based on NSB and baa_bgr_btr to be BitRound with keepbits determined by BitGroom algorithm

	* nco_ppc.c nco_ppc_bitmask() fix msk_rst64 unsigned long long (was just long)

	* nco_ppc.c nco_ppc_around() fix int64/uint64 cast to be long long (was just long)

2021-12-08  Charlie Zender  <zender@uci.edu>

	* ncclimo/ncremap fix INFO message on MPI scheduling strategy

2021-12-07  Charlie Zender  <zender@uci.edu>

	* ncclimo ensure inp_std works for MPAS climos

	* ncclimo use inp_aut when nm_typ == mpas and clm_md == mth (as MPAS Analysis expects)

	* ncclimo clarify input filename construction/read method

2021-12-04  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.4 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.4: Potato Eaters';git push
	git tag -a 5.0.4 -m 'ncks -L 0 fix; ncclimo mth stdin clm, --split API, wnd_md; ncremap idw, mpas nfr, area_dgn, --pdq API, ERWG bilin/idavg; ncwa avg cmp fix';git push --tags

2021-12-02  Charlie Zender  <zender@uci.edu>

	* Xylar verifies beta01 builds with Conda

2021-12-01  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.4-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.4-beta01: Sinner';git push
	git tag -a 5.0.4-beta01 -m 'ncks -L 0 fix; ncclimo mth stdin clm, --split API, wnd_md; ncremap idw, mpas nfr, area_dgn, --pdq API, ERWG bilin/idavg; ncwa avg cmp fix';git push --tags

	* ncremap: Document --split option

2021-11-30  Charlie Zender  <zender@uci.edu>

	* ncremap: Document --area_dgn feature

	* ncremap: Document --permute API change

	* ncclimo: warn and hint when job_nbr > job_nbr_wrn = 150

2021-11-29  Charlie Zender  <zender@uci.edu>

	* ncclimo: add, implement, and successfully test --split flag

2021-11-19  Charlie Zender  <zender@uci.edu>

	* ncremap change API from --permute='-a time,lat,lon' to --permute=time,lat,lon

2021-11-18  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.4-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.4-alpha04: Ted Lasso';git push
	git tag -a 5.0.4-alpha04 -m 'all: put_att nc-safe nm;ncclimo wnt_md, stdin; ncremap bilin esmf_typ idavg';git push --tags

	* ncremap use nearestidavg extrapolation with bilinear algorithm by default
	Significantly improves frac_b avg, min, max, mbs, rms, sdn compared to esmf_typ=none

	* ncclimo implement stdin, positional, and globbing input methods for monthly climos

	* nco_put_att() re-try with safe name after NC_EBADNAME errors

	* nco_att_cpy() fix debug message order of file/attribute type string

2021-11-09  Charlie Zender  <zender@uci.edu>

	* ncclimo: change preferred name from december_mode to winter_mode or --wnt_md

2021-11-05  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.4-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.4-alpha03: Dizz\'s As Is';git push
	git tag -a 5.0.4-alpha03 -m 'ncclimo: mth stdin clm; ncremap: mpas nfr to_scrip(), area_dgn, nfr x,y, mbtempest loop;';git push --tags

	* nco_xtr_mk(): Quiet WARNING and HINT when regular expression does not match any variable/group

2021-11-04  Charlie Zender  <zender@uci.edu>

	* ncclimo: compute climos from (instead of split) monthly files provided via stdin/position/glob if clm_md=mth is explicitly specified

2021-11-03  Charlie Zender  <zender@uci.edu>

	* ncremap: use mbpart --recompute_rcb_box for Zoltan RCB algorithm per suggestion of Vijay/Iulian on Slack

	* ncremap: add -p 2 option to mbpart for source grids per suggestion of Iulian on Slack

	* ncremap: add imbalance option -i 1.002 to Zoltan recursive bi-section RCB partitions

2021-11-02  Charlie Zender  <zender@uci.edu>

	* nco_grd_nfr() always diagnose area from MPAS files

	* ncremap: duplicate mbtempest source-grid preprocessing in file loop

	* ncremap: isolate mbtempest destination-grid preprocessing from source grid

2021-10-31  Charlie Zender  <zender@uci.edu>

	* ncremap: add (temporary) informative error exit when mbtempest invoked with inferred source grid

	* nco_grd_nfr() try x,y for lon,lat coordinate names to work with Rignot (2013) ice melt dataset

	* nco_grd_nfr() change area units to sr when flg_dgn_area is true

	* ncremap add --area_dgn flag to diagnose (rather than copy) grid_area in inferred grids

	* nco_grd_nfr() replace inelegant homebrew MPAS-inferral algorithm with MPAS to_scrip() algorithm

2021-10-29  Charlie Zender  <zender@uci.edu>

	* nco_grd_nfr() print WARNING when area units are not steradians

	* NCO 5.0.4-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.4-alpha02: Rodrigo Amarante';git push
	git tag -a 5.0.4-alpha02 -m 'all regularize rgr msgs;ncks -L 0 fix; ncremap lon-lat, idw;ncwa avg cmp fix';git push --tags

	* NCO_rgr.pl fix (via a workaround) ncks issue #108 Unchunk variable with Shuffle flag set

	* NCO_rgr.pl regularize ERROR messages from ncks regression tests

	* nco_cpy_var_dfn_trv() call nco_def_var_deflate() when dmn_nbr_out (not dmn_nbr_in) > 0 (fixes ncwa issue)

	* Add Granular BitGrom = GBG to NCO filter list

	* Call nc_def_var_deflate() at most once per variable due to new netCDF behavior

	* ncremap fix alg_typ for nco_idw

	* ncremap nco_rgr_wgt() remove assumption that input horizontal dimensions for nco_rgr_grd_2D_to_1D are in lat-lon order (now can be lon-lat)

2021-10-28  Charlie Zender  <zender@uci.edu>

	* ncremap nco_grd_nfr() fix units attribute for output grid_center_lon variable

2021-10-21  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.4-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.4-alpha01: Courgette';git push
	git tag -a 5.0.4-alpha01 -m 'idw not dwe, ninja, Functionally identical to 5.0.3';git push --tags

	* #include <fcntl.h> for MacOS so ninja build-engine finds creat()

2021-10-20  Charlie Zender  <zender@uci.edu>

	* Use 0ULL in PPC for double precision

2021-10-19  Charlie Zender  <zender@uci.edu>

	* Change default key and documentation from dwe to idw

2021-10-13  Charlie Zender  <zender@uci.edu>

	* Add 'idw' (inverse-distance-weighted) synonym to NCO dwe weight algorithm

2021-10-06  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.3 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.3: Daikokuya';git push
	git tag -a 5.0.3 -m 'all: ppc dgr gbg, dsd att_nm; ncremap mpi_nbr_usr, E3SMU=SYSTEM, alg_typ=tempest fixes';git push --tags

	* Testing by Xylar confirms this condifies, relabel 5.0.3-beta01 as 5.0.3 and release

	* NCO 5.0.3-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.3-beta01: Daikokuya';git push
	git tag -a 5.0.3-beta01 -m 'all: ppc dgr gbg, dsd att_nm; ncremap mpi_nbr_usr, E3SMU=SYSTEM, alg_typ=tempest fixes';git push --tags

	* Update PPQ documentation

2021-10-03  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.3-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.3-alpha02: Infrastructure';git push
	git tag -a 5.0.3-alpha02 -m 'ppc dgr gbg, dsd att_nm';git push --tags

	* PPQ: Change default bit-adjustment-algorithm to GBG

	* PPQ: Change regression tests to use updated NSD attribute names

	* PPQ: Write quantize algorithm-specific attribute names like QuantizeBitGroomNumberOfSignificantDigits

	* PPQ: Implement double-precision GBG

	* PPQ: Tidy GBG. CR(GBG) ~ 9% better than DR. CR(Granular DR) ~3% better than GBG.

	* PPQ: DR and GBG pass Zen16 quantization checks, GBG significantly more accurate for NSD=1, otherwise comparable

	* PPQ: Harden quantization guarranty checks, GBG CR ~ DR CR

2021-10-02  Charlie Zender  <zender@uci.edu>

	* PPQ: Use BFB identical constants as DCG19 and code in NCO implementation

	* PPQ: Implement mnt_log10_tbl_prx in full 15-digit double precision for GBG

2021-10-01  Charlie Zender  <zender@uci.edu>

	* PPQ: Convert GBG from digit-based to bit-based, demonstrate viability

2021-09-30  Charlie Zender  <zender@uci.edu>

	* PPQ: Draft GBG from DR granularity, BG treatment of mss_val & 0, BR hshv

2021-09-28  Charlie Zender  <zender@uci.edu>

	* PPQ: change Juan's baa_gbg to baa_brt (Brute Force) and baa_bg2 to baa_gbg (Granular Bit Groom)

	* PPQ: fix <float.h> and promote mnt_log10_tbl to double for MSVC

2021-09-27  Charlie Zender  <zender@uci.edu>

	* PPQ: implement draft Digit Rounding procedure using DCG19 algorithm

	* NCO 5.0.3-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.3-alpha01: General Sherman';git push
	git tag -a 5.0.3-alpha01 -m 'ncremap mpi_nbr_usr, E3SMU=SYSTEM, alg_typ=tempest fixes, otherwise functionally identical to 5.0.2';git push --tags

2021-09-26  Charlie Zender  <zender@uci.edu>

	* ncremap add conda create environment hint for MOAB

	* ncremap might add 2&>1 to --devnull to quiet mbconvert output

	* ncremap fix mbconvert options for alg_typ='tempest'

	* ncremap fix false-positive test result due to unquoted mpi_nbr_usr

2021-09-25  Charlie Zender  <zender@uci.edu>

	* ncremap only replace TR with mbtempest if mpi_nbr is set, not	when E3SMU=SYSYEM

2021-09-24  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.2 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2: moab, mem_mb=0, mss_val_cmp_dbl rgr/ntp, udu rcd, .h5m cnv/prt, mpi_nbr, nsx_alg, var_lst rx, ppq refactor, intel omp';git push
	git tag -a 5.0.2 -m 'Leptoukh';git push --tags

2021-09-23  Charlie Zender  <zender@uci.edu>

	* Fix ncoGrammer.g reference in Makefile.old

	* NCO 5.0.2-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2-beta01: Zyrtec';git push
	git tag -a 5.0.2-beta01 -m 'fix wgt_opt, ncoGrammar.g, MOAB doc';git push --tags

	* ncremap document unsupported MOAB algorithms

	* ncremap print info messages when selected output type not available for map-file

	* ncremap remove excess MBT debugging information

	* Update nco.texi and documentation for MOAB

2021-09-23  henry Butowsky  <henryb@hush.com>

	* Rename ncoGrammer->ncoGrammar downstream mods in src/nco++, bld, doc

2021-09-22  Charlie Zender  <zender@uci.edu>

	* Fix bad wgt_opt for MOAB when fl_fmt invoked

2021-09-19  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.2-alpha08 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2-alpha08: EdCo';git push
	git tag -a 5.0.2-alpha08 -m 'ncremap: no --mbt_flg, local_mean, global_integral';git push --tags

	* ncremap add synonyms 'local_mean' and 'global_integral'

2021-09-18  Charlie Zender  <zender@uci.edu>

	* Refactor grid converters to always use mbconvert -B

	* ncremap add ability to convert SCRIP grids to Exodus with ConvertSCRIPToExodus

	* Deprecate --mbt_flg

	* Specifying a TR algorithm and explicitly setting mpi_nbr implies MOAB

2021-09-16  Charlie Zender  <zender@uci.edu>

	* ncremap update help note on installing other regridders

	* NCO 5.0.2-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2-alpha07: Swabby';git push
	git tag -a 5.0.2-alpha07 -m 'ncremap nsx_alg advfront, mpi_pfx, mpi_nbr%prt_nbr;';git push --tags

2021-09-15  Charlie Zender  <zender@uci.edu>

	* ncremap ensure partition number is a multiple of mpi_nbr

	* ncremap utilize mpi_pfx if user explicitly sets mpi_nbr or E3SMU MPI detected

	* ncremap increase default mpi_nbr from 1 to 8

2021-09-14  Charlie Zender  <zender@uci.edu>

	* ncremap add intersection algorithm option --nsx_alg for mbtempest

	* configure.ac tinkering/testing with Antlr, prior to major rewrite

2021-09-09  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.2-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2-alpha06: Foo Fighters';git push
	git tag -a 5.0.2-alpha06 -m 'ncclimo: tpd nfr fix; ncclimo/ncremap: mem_mb=0, srun not salloc; ncremap: rgr/ntp	mss_val_cmp_dbl, has_mss_val if used, ncra: udu rcd;';git push --tags

	* Latest snapshot works on LANL ISMIP datasets

	* New missing value treatment part III: Define has_mss_val only when missing values, whether explicit or implicit, actually appear in input variable data

	* New missing value treatment part II: Compare and assign to mss_val_cmp_dbl for floats & ints

	* ncremap nco_rgr_wgt() new missing value treatment part I: BFB	with old treatment

2021-09-08  Charlie Zender  <zender@uci.edu>

	* ncremap nco_ntp_vrt() use NC_FILL_FLOAT/DOUBLE if _FillValue is not explicitly defined

	* ncremap nco_rgr_wgt() implement Hail Mary algorithm to allow logically 1D mapfiles to regrid logically 2D datasets

2021-09-07  Charlie Zender  <zender@uci.edu>

	* ncremap fix tolerance test that gave false negative for Gaussian grids
	Test worked for eqa and fv grids, not Gaussian grids
	Failed test was applied in nco_rgr_wgt(), nco_grd_mk(), and nco_grd_nfr()

2021-09-02  Charlie Zender  <zender@uci.edu>

	* ncclimo fix tpd_out inferral to work with single time-step input files

	* Add error diagnostics for UDUnits2 ut_read_xml() return codes

2021-09-01  Charlie Zender  <zender@uci.edu>

	* Add library/bm rcd support for upcoming netCDF versions 4.8.3, 4.8.4

	* Link to and successfully test newly released netCDF 4.8.1

	* ncclimo/ncremap update E3SMU paths to _latest and acme1 paths to /home/zender1

2021-08-31  Charlie Zender  <zender@uci.edu>

	* ncclimo change interactive compute node access from salloc to srun to avoid Compy issues

2021-08-30  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo change mem_mb default from 20000 to 0 (indicates unlimited RAM)

2021-08-29  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.2-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2-alpha05: HPV';git push
	git tag -a 5.0.2-alpha05 -m 'autoconf nco_c++=no; ncclimo/ncremap: /usr/bin/env bash, .h5m, p.h5m';git push --tags

	* ncremap HOSTNAME-dependent partition commands for compy, non

	* ncremap print sample map examination commands

	* ncclimo/ncremap: start scripts with #!/usr/bin/env bash instead of #!/bin/bash

	* ncremap partition .h5m to p.h5m

	* ncremap convert .g to .h5m

2021-08-27  Charlie Zender  <zender@uci.edu>

	* ncremap add stubs to convert .g to .h5m

2021-08-26  Charlie Zender  <zender@uci.edu>

	* configure.ac default --enable-nco_cxx to, remove have_valarray check, regain libnco_c++ build option

2021-08-25  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.2-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2-alpha04: Gluten Free';git push
	git tag -a 5.0.2-alpha04 -m 'ncclimo: var_lst rx;ncks nfr west_east/south_north';git push --tags

	* nco.texi ANNOUNCE documentation for 5.0.2

2021-08-24  Charlie Zender  <zender@uci.edu>

	* nco_grd_nfr() add west_east and south_north to coordinate database

2021-08-23  Charlie Zender  <zender@uci.edu>

	* ncclimo: expand splitter var_lst if it contains a globbing character: ^$+?.*[]{}|

2021-08-18  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.2-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2-alpha03: Goff Island';git push
	git tag -a 5.0.2-alpha03 -m 'ncclimo: dfl eam, hfs=sbs always';git push --tags

	* ncclimo: Turn-on splitter mode when clm_md=hfs and inp_glb=Yes

2021-08-15  Charlie Zender  <zender@uci.edu>

	* ncclimo: Change default model name from cam to eam

2021-08-11  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.2-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2-alpha02: Manta Ray';git push
	git tag -a 5.0.2-alpha02 -m 'all: PPQ refactor, rgr fix Intel OpenMP';git push --tags

	* Refactor PPQ/BitGrooming routines to compare to explicit/implicit missing value in same loop

2021-07-26  Charlie Zender  <zender@uci.edu>

	* nco_rgr_wgt() add msk_out to shared OpenMP clause (Thanks to Matt Thompson of NASA)

2021-07-16  Charlie Zender  <zender@uci.edu>

	* PPC/BitGroom NC_FILL_FLOAT or NC_FILL_DOUBLE if _FillValue is not explicitly defined

	* NCO 5.0.2-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.2-alpha01: Accuss';git push
	git tag -a 5.0.2-alpha01 -m 'Functionally identical to 5.0.1, bgr mss_val_dfl';git push --tags

	* Do not PPC or BitGroom NC_FILL_FLOAT or NC_FILL_DOUBLE

2021-07-13  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.1 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.1: AshMart';git push
	git tag -a 5.0.1 -m 'ncremap mpi_nbr, mpi_pfx, ERWG vrs, E3SMU_MPI, E3SMU_ROOT';git push --tags

	* nco.texi document mpi_pfx, mpi_nbr

	* ncremap point E3SMU_ROOT to e3sm_unified_latest for generic machines and cori, 1.5.0_$hostname for anvil, chrysalis, and compy

2021-07-07  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.1-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.1-alpha02: Nomadland';git push
	git tag -a 5.0.1-alpha02 -m 'ncremap mpi_nbr, mpi_pfx, ERWG vrs';git push --tags

	* ncremap add mpi_nbr option for MPI-enabled weight generators

2021-07-05  Charlie Zender  <zender@uci.edu>

	* ncremap add default MPI prefixes when E3SMU_MPI=SYSTEM in E3SM-Unified environments

	* ncremap add mpi_pfx option for MPI-enabled weight generators

	* Avoid invoking ERWG to determine version unless actual algorithm requires ERWG

2021-07-04  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.1-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.1-alpha01: 245';git push
	git tag -a 5.0.1-alpha01 -m 'Functionally identical to 5.0.0, MACOS, omp_in_parallel()';git push --tags

	* ncrename check return value of omp_in_parallel() from old AIX	OpenMP linker hack

2021-06-21  Charlie Zender  <zender@uci.edu>

	* Change MACOSX to MACOS everywhere: Makefiles, pvmgetarch, configure.ac, ncoGrammer.g, NCO_rgr.pm, CMakeLists.txt, nco_mmr.c, nco_var_lst.h, nco_lst_utl.h

2021-06-18  Charlie Zender  <zender@uci.edu>

	* Add nco/data/zarr.cdl to experiment with ncZarr

	* NCO 5.0.0 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.0: Bend';git push
	git tag -a 5.0.0 -m 'ncks aux wrp; ncremap add_fll, E3SM-U pth, mask_a/b, MPI fix, msk_apl, msk_nm, no_prm, stdin, ttl, SSM/I';git push --tags

	* ncks eliminate debugging output

2021-06-17  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.0-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.0-beta01: Astoria';git push
	git tag -a 5.0.0-beta01 -m 'all: sls_chr win32; ncremap msk_apl, ttl';git push --tags

2021-06-16  Charlie Zender  <zender@uci.edu>

	* Document add_fll, msk_apl, no_permute, and update ANNOUNCE

2021-06-10  Charlie Zender  <zender@uci.edu>

	* Change nco_char_att_put() to use overwrite mode instead of create mode

	* Fix locations where path separator character sls_chr should be backslash for Windows

2021-06-09  Charlie Zender  <zender@uci.edu>

	* ncremap add global attribute title "Regridded version of XXX" to untitled regridded files

2021-06-08  Charlie Zender  <zender@uci.edu>

	* ncremap revert flg_rnr as shared for Cori, enable Homebrew LLVM to get OpenMP

	* ncremap cause --msk_apl to trigger --add_fll to ensure masked fields regridded with TR maps have _FillValue

2021-06-07  Charlie Zender  <zender@uci.edu>

	* ncremap add --flg_rnr to OpenMP shared clauses (patch had to be reverted for Cori)

	* ncremap --msk_apl applies msk_out (i.e., mask_b) to variables after regridding

	* nco.texi on sastrugi fix TeXInfo to come from Homebrew

2021-06-04  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.0-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.0-alpha04: Pichetti';git push
	git tag -a 5.0.0-alpha04 -m 'ncremap CDO stubs, add_fll, no_permute, msk_nm, fix map mask_a/b';git push --tags

	* ncremap --add_fll uses frac_b to initialize input fields without _FillValue to the default missing value in unmapped destination cells

	* nco_rgr_wgt() clarify renormalization INFO message

	* nco_rgr_wgt() correct buffer types/lengths used to read/write mask variable in netCDF I/O

	* nco_map_mk() allocate msk_in/out as integer not double so output mask is correct (potentially large bug for maps created with 4.9.9)

	* nco_rgr_wgt() search for, and output if requested, mask_b in maps from all weight generators

	* ncremap pass mask_out to mask_nm not mask_var so name gets used in regridded files

2021-06-02  Charlie Zender  <zender@uci.edu>

	* nco_mss_val.c add nco_mss_val_dfl_get()

	* ncks handle --add_fll request during file lay-out

	* ncremap add --add_fll flag to add _FillValue to fields with empty destination cells

	* ncremap add --no_permute flag to turn-off dimension permutation with MPAS

	* ncremap add "coordinates" attribute to area variable in inferred skeleton files

	* ncremap add CDO functionality for gencon (RLL with full grid vertice information only)

2021-05-26  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.0-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.0-alpha03: Electric Dreams';git push
	git tag -a 5.0.0-alpha03 -m 'ncks aux wrp fix; ncremap nfr SSM/I grd';git push --tags

	* nco_aux: handle branch cut rules correctly when WESN bounding	box wraps in longitude

	* nco-feedstock disable OpenMP to fix MacOS Conda regridder

	* configure.ac use *clang* instead of clang* to match compiler names

2021-05-25  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo add hash -r HINT to mixed NCO location warning

	* configure.ac replace '-std=c99' with '-std=gnu11'

2021-05-24  Charlie Zender  <zender@uci.edu>

	* ncremap add xgrid, ygrid dimensions to support NOAA SSM/I, AMSR-E, SMMR

2021-05-21  Charlie Zender  <zender@uci.edu>

	* nco_cnv_ini() initialize all cnv members to defaults before dereferencing in nco_bld_trv_tbl()

	* in.cdl add pi1-pi7 arrays to test GBG

	* ncremap temporarily switch back to e3sm_unified_1.4.0

	* nco_ppc: Tidy GBG

2021-05-20  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.0-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.0-alpha02: Hangar24';git push
	git tag -a 5.0.0-alpha02 -m 'ncremap MPI fix, stdin fix, MBTR stubs, E3SM-U paths';git push --tags

	* ncremap change E3SM-U location to latest_e3sm_unified

2021-05-19  Charlie Zender  <zender@uci.edu>

	* nco_rgr_wgt() implement MBTR map-file type-specific checks

	* ncremap provide E3SM-U on binaries on all machines

	* ncremap check for mbconvert, ConvertSCRIPToExodus, mbpart

	* ncclimo/ncremap add mbtempest machine-specific paths for compy/chrysalis

	* ncclimo combine duplicated ncclimo mth_srt/end hfs code with default code

	* ncremap skip stdin check when -i in_fl used

2021-05-18  Charlie Zender  <zender@uci.edu>

	* ncclimo/ncremap deprecate rhea, aims4

	* ncremap fix MPI node-indexing on ncremap DOH!

2021-05-17  Charlie Zender  <zender@uci.edu>

	* ncclimo fix statement to print months beyond an integral year in splitter segment length

2021-05-16  Charlie Zender  <zender@uci.edu>

	* ncremap add stubs (prt_nbr) to configure various MOAB executables

2021-05-14  Charlie Zender  <zender@uci.edu>

	* NCO 5.0.0-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 5.0.0-alpha01: V for Victory';git push
	git tag -a 5.0.0-alpha01 -m 'Functionally identical to 4.9.9';git push --tags

	* Protect nco_map_var_min_max_ttl() from dereferencing NULL mask pointers from mbtempest

	* NCO 4.9.9 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9: Gesundheit!';git push
	git tag -a 4.9.9 -m 'bld noyywrap, https DAP wnd; ncks chk_map msk_a/b dgn, msk no wrn min frac_a/b; ncclimo hfs mth_srt/end, nfr dpf, fix tpd; ncremap ccw_chk fix, msk fix, tr allow_no_overlap, rgr_wgt rint() int;';git push --tags

2021-05-13  Charlie Zender  <zender@uci.edu>

	* nco.texi clarify HDF4 ncgen names

	* nco-feedstock add llvm-openmp and libgomp to meta.yaml build and host sections

	* nco-feedstock add OpenMP diagnostic to run_test.[sh/bat]

	* NCO 4.9.9-beta04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9-beta04: Gesundheit!';git push
	git tag -a 4.9.9-beta04 -m 'bld noyywrap, DAP https wnd; ncks chk_map msk_a/b dgn, msk no wrn min frac_a/b; ncclimo hfs mth_srt/end, nfr dpf, fix tpd; ncremap ccw_chk fix, msk fix, tr allow_no_overlap, rgr_wgt rint() int;';git push --tags

	* configure.ac change from autoconf-2.7.1 AC_PROG_LEX(yywrap) to 2.7.1 AC_PROG_LEX(noyywrap)

	* nco-feedstock shift to libnetcdf 4.8.0

2021-05-12  Charlie Zender  <zender@uci.edu>

	* run_test.bat remove regex test from Conda Winows pipeline

	* NCO 4.9.9-beta03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9-beta03: Watson';git push
	git tag -a 4.9.9-beta03 -m 'https DAP wnd; ncks chk_map msk_a/b dgn, msk no wrn min frac_a/b; ncclimo hfs mth_srt/end, nfr dpf, fix tpd; ncremap ccw_chk fix, msk fix, tr allow_no_overlap, rgr_wgt rint() int;';git push --tags

	* docs: prepare 4.9.9 release docs

	* nco.texi: document dpf

	* nco.texi: distinguish tpd, tpd_in, and tpd_out

	* run_test.[sh,bat] add regex test for Conda

	* configure.ac fiddle with LEX macros to fix Linux pipeline (OSX, Windows are fine)

	* NCO 4.9.9.beta02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9.beta02: Sherlock';git push
	git tag -a 4.9.9.beta02 -m 'https DAP wnd; ncks chk_map msk_a/b dgn, msk no wrn min frac_a/b; ncclimo hfs mth_srt/end, nfr dpf, fix tpd; ncremap ccw_chk fix, msk fix, tr allow_no_overlap, rgr_wgt rint() int;';git push --tags

	* nco.texi note more issues with HDF4 ncgen on in.cdl, hdf.cdl

	* meta.yaml use version names without hyphens (i.e., .beta02 not -beta02) to comply with conda rules

	* nco-feedstock meta.yaml switch to 4.9.9-beta01

	* index.shtml: move problems to problems_v4.2.4_2013_v4.9.9_2021.shtml

	* index.shtml: update Conda install package names, versions

2021-05-10  Charlie Zender  <zender@uci.edu>

	* Add ncks -r check for Conda

	* Add UDUnits checks for Conda

2021-05-09  Charlie Zender  <zender@uci.edu>

	* Add DAP-access checks to Conda nco-feedstock recipes/run_test.[sh/bat] for Linux, Windows

	* Fix https:// protocol DAP-access under Windows

	* NCO 4.9.9-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9-beta01: Black in Back';git push
	git tag -a 4.9.9-beta01 -m 'ncks -M/m synonyms;ncremap mbtr stubs;';git push --tags

	* ncremap translate TR map-generation options to MBTR for all algorithms

2021-05-07  Charlie Zender  <zender@uci.edu>

	* ncremap remove gll_fl support

	* ncremap update custom paths on Cori for mbtempest

2021-05-04  Charlie Zender  <zender@uci.edu>

	* ncks add/distinguish mtd_glb/mtd_lcl metadata_global/metadata_local options

2021-04-28  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.9-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9-alpha05: Back in Black';git push
	git tag -a 4.9.9-alpha05 -m 'ncremap tr allow_no_overlap, no wrn msk min(frac_a/b)';git push --tags

	* nco_map_chk() stop inappropriate WARNINGS for min(frac_a/b) when masks are used

	* Merge latest GBG code from Juan

2021-04-21  Charlie Zender  <zender@uci.edu>

	* ncremap add TR GenerateOverlapMesh option --allow_no_overlap for regional-to-regional grids like GrIS

2021-04-20  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.9-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9-alpha04: Aliso Summit';git push
	git tag -a 4.9.9-alpha04 -m 'ncremap crv area wrn, ccw_chk fix, msk fix, chk_map msk';git push --tags

	* nco_chk_map() print full mask_a/b error diagnostics only at higher debug level

	* Tidy nco_ply_lst.c

2021-04-19  Charlie Zender  <zender@uci.edu>

	* Merge Henry's fixes that provide area for masked cells and fix borken masks

	* Tidy nco_kd.c and brethen

2021-04-17  Charlie Zender  <zender@uci.edu>

	* nco_chk_map() add mask_a/b error diagnostics

2021-04-15  Charlie Zender  <zender@uci.edu>

	* nco.texi clarify that nco_grd_nfr() converts floating point zeros to integer zero masks values

	* ncremap nco_grd_nfr() protect area <=4*pi assertion since area might be in, e.g., km2 (ELM, RACMO)

2021-04-11  Charlie Zender  <zender@uci.edu>

	* ncremap nco_ccw_chk() fix bug where quadrilateral vertex D was always overwritten by vertex A
	Since 2016 this bug divided all quadrilaterals in two, halving all inferred curvilinear grid areas?

	* ncremap nco_grd_nfr() WARNING when global grid has suspicious area

2021-04-08  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.9-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9-alpha03: Modern Times';git push
	git tag -a 4.9.9-alpha03 -m 'nco.texi: ncvardmnlatlon; ncclimo hfs mth_srt/end; ncremap CISM glc msk, rint() integers';git push --tags

	* ncremap nco_ntp_vrt() add same rint() code as nco_rgr_wgt()

2021-04-07  Charlie Zender  <zender@uci.edu>

	* ncremap nco_rgr_wgt() always rint() regridded values before output when netCDF implicitly demotes them to integers

2021-04-06  Charlie Zender  <zender@uci.edu>

	* in.cdl change CDL type "long", now obsolete in netCDF 4.8.0, to "int" in CDL files

	* ncremap add LATIXY, LONGXY coordinates and lsmlat, lsmlon dimensions to internal database to support regridding CISM/CLM/ELM glacier masks

2021-03-31  Charlie Zender  <zender@uci.edu>

	* ncclimo implement mth_srt/end with clm_md=hfs for Yannick Peings who verifies it works

	* nco.texi add filters ncvardmnlst and ncvardmnlatlon for Jim Edwards

	* Add function name to nco_mss_val_get() WARNINGs

2021-03-30  Charlie Zender  <zender@uci.edu>

	* Regression tests look normal with netCDF 4.8.0-final, yay!

	* NCO 4.9.9-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9-alpha02: Dented Fender';git push
	git tag -a 4.9.9-alpha02 -m 'all: workaround libnetcdf nc_inq_var_deflate() HDF4 regression; ncclimo infer dpf, fix tpd inferral';git push --tags

	* ncclimo infer dpf using second file, not first file, if present

2021-03-29  Charlie Zender  <zender@uci.edu>

	* ncclimo infer dpf when not supplied with --dpf, deprecate --dpf_dfl

	* ncclimo change print format used to infer tpd from %f to %25.15f to fix off-by-1 (or off-by-2!) errors

	* ncclimo print days-per-file (dpf) in output log to assist debugging

2021-03-27  Charlie Zender  <zender@uci.edu>

	* Workaround netCDF library 4.7.4 regression relative to version 4.3.3 where nc_inq_var_deflate() fails with ERROR code -111 on HDF4 files

2021-03-21  Charlie Zender  <zender@uci.edu>

	* Add -DHAVE_NC_SET_LOG_LEVEL to bld/Makefile for Cheyenne to fix double-define error

	* NCO 4.9.9-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.9-alpha01: Sitton Peak';git push
	git tag -a 4.9.9-alpha01 -m 'autoupdate configure.ac, acinclude.m4, aclocal.m4; ncclimo/ncremap e3sm-u 1.4.0 paths; functionally identical to 4.9.8';git push --tags

	* ncremap/ncclimo update paths to E3SM-Unified from 1.3.1.2 to 1.4.0

	* Hand-edit configure.ac to eliminate remaining autoconf warnings and obtain clean build

	* autoupdate updates configure.ac, acinclude.m4, aclocal.m4

	* NCO 4.9.8 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.8: Death Valley';git push
	git tag -a 4.9.8 -m 'ncap2: array(); ncclimo: mth_srt/end sbs, mali, xcl_var, srun, mem_mb; ncks: s1d pft mec; ncremap: tll fix sgs, s1d, fix nfr MALI, US/VS wrn, stg_grd';git push --tags

2021-03-20  Charlie Zender  <zender@uci.edu>

	* autoconf now complains about obsolete macros, will run autoupdate in 4.9.9-alpha01

	* Travis g++ builds now fail early in configure at -lnetcdf link test (Ubuntu Xenial)

	* NCO 4.9.8-beta02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.8-beta02: Death Valley';git push
	git tag -a 4.9.8-beta02 -m 'ncap2: array(); ncclimo: mth_srt/end sbs, mali, xcl_var, srun, mem_mb; ncks: s1d pft mec; ncremap: tll fix sgs, s1d, fix nfr MALI, US/VS wrn, stg_grd';git push --tags

	* configure.ac change obsolete AM_CONFIG_HEADER to AC_CONFIG_HEADERS

	* ncclimo/ncremap change megabytes of RAM per srun job in Cori SLURM in MPI mode from hardwired 20000 to (undocumented) user option with --mem_mb

	* ncremap turn-off staggered grid by default, add new --stg_grd flag to output staggered grid

2021-03-19  Charlie Zender  <zender@uci.edu>

	* ncclimo verify ncclimo MPI changes work on Cori, Compy, fxm

	* ncremap incorporate MPI changes for Cori from ncclimo

	* ncclimo/ncremap clarify MPI load scheduling messages

	* ncclimo add --gres=craynetwork:0 --mem=20000 to cmd_mpi on Cori to solve concurrent srun issue

	* Modify nc_set_log_level() stub in nco_netcdf.c to work with libnetcdf.a <= 4.6.1 and Travis CI

2021-03-11  Charlie Zender  <zender@uci.edu>

	* Provide stub for nc_set_log_level() in nco_netcdf.c

2021-03-10  Charlie Zender  <zender@uci.edu>

	* ncclimo MPI-mode define thr_nbr earlier for possible use in cmd_mpi

	* nco.texi update -P prc_typ documentation

	* ncclimo in MPI-mode do not override user-requested job_nbr in monthly climo mode anymore

2021-03-09  Charlie Zender  <zender@uci.edu>

	* nco.texi document new mth_srt/end options

2021-03-08  Charlie Zender  <zender@uci.edu>

	* ncclimo fix implementation of --xcl_var

2021-03-04  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.8-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.8-beta01: Moderna';git push
	git tag -a 4.9.8-beta01 -m 'ncremap mali nVertInterfaces, ncks fix s1d omp g++';git push --tags

	* S1D: fix OpenMP clause for g++

2021-02-26  Charlie Zender  <zender@uci.edu>

	* Pedro improves CMakeLists.txt to install nces.exe and ncrcat.exe on Windows

	* ncremap add nVertInterfaces, maxEdges to known MALI dimensions

2021-02-25  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.8-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.8-alpha04: Pernil';git push
	git tag -a 4.9.8-alpha04 -m 'ncap2: array() fix; ncclimo: mth_srt/end doc, mali; ncremap mali, mss_val';git push --tags

	* ncremap autoset mss_val=-1.0e36 for MALI

	* ncclimo/ncremap add mali as valid mdl_nm and prc_typ

	* ncap2 replace array() number generation algorithm to from iterative addition to multiplication to reduce round-off error

	* ncclimo fix empty mth_flg bug

2021-02-15  Charlie Zender  <zender@uci.edu>

	* ncclimo document --mth_[srt/end] internally, in man pages

2021-02-13  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.8-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.8-alpha03: Culloden';git push
	git tag -a 4.9.8-alpha03 -m 'ncclimo: mth_srt/end sbs; ncremap: tll fix sgs s1d, fix nfr MALI';git push --tags

	* ncclimo redo so initial segments are all multiples of 12 months

2021-02-12  Charlie Zender  <zender@uci.edu>

	* ncclimo fix mth_srt/end names, indexing, now appears to work!

2021-02-10  Charlie Zender  <zender@uci.edu>

	* ncatted better document nappend mode

2021-02-07  Charlie Zender  <zender@uci.edu>

	* ncremap add rlat, rlon to coordinate database for RACMO

2021-02-01  Charlie Zender  <zender@uci.edu>

	* ncclimo fix usage message

2021-01-28  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt: Add lengthy warning about impending doom when attempting to vertically interpolate variables named US or VS

2021-01-23  Charlie Zender  <zender@uci.edu>

	* ncclimo mth_srt/end work for monthly subsetting

2021-01-22  Charlie Zender  <zender@uci.edu>

	* ncclimo add stubs like mth_srt/mth_end for splitting on month boundaries

2021-01-21  Charlie Zender  <zender@uci.edu>

	* Add nfo_prn() definitions to ncap2, change one WARNING to INFO when dbg_lvl >= 1

2021-01-15  Charlie Zender  <zender@uci.edu>

	* Eliminate mention of GODAD on GitHub homepage

2021-01-13  Charlie Zender  <zender@uci.edu>

	* ncremap load NCL 6.5.0 instead of 6.4.0 to agree with new defaults

	* nco_grd_nfr() do not query for units attribute of non-existant area variable (fixes RRG mode for Po-Lun Ma)

2021-01-05  Charlie Zender  <zender@uci.edu>

	* nco_grd_nfr() fix MALI grid inferral by improving empty cell corner algorithm

2021-01-03  Charlie Zender  <zender@uci.edu>

	* nco_rgr_wgt() eliminate bogus tally in SGS-weighted fields without missing values

	* S1D: crd_typ_out := crd_typ_in instead of NC_DOUBLE (so ELM/CLM crds remain NC_FLOAT)

	* NCO 4.9.8-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.8-alpha02: Reef Point Shrine';git push
	git tag -a 4.9.8-alpha02 -m 's1d crop+nat pft works';git push --tags

	* S1D: Process sub-subgridcell fraction pfts1d_wtgcell with crop variables

2021-01-02  Charlie Zender  <zender@uci.edu>

	* S1D: Process pfts1d for crop variables like GPP

2021-01-01  Charlie Zender  <zender@uci.edu>

	* S1D: Write 2D coordinate grid variables to output file

	* S1D: Write 1D coordinate grid variables to output file

2020-12-31  Charlie Zender  <zender@uci.edu>

	* S1D: Write all (still unprocessed) arrays to output file

	* S1D: Put output in data mode, enable OpenMP loop

	* S1D: Allocate all variable resources within OpenMP loop

	* S1D: Determine sparse type for unpacking within OpenMP loop

	* S1D: Only define needed dimensions in output file

2020-12-29  Charlie Zender  <zender@uci.edu>

	* S1D: Define all column-packed variables in output file

	* nco_def_dim() helpful error message information

	* S1D: Define first column-packed variable in output file

2020-12-28  Charlie Zender  <zender@uci.edu>

	* S1D: Working through defining S1D variables in output file

	* NCO 4.9.8-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.8-alpha01: Alleles';git push
	git tag -a 4.9.8-alpha01 -m 'Functionally identical to 4.9.7';git push --tags

2020-12-27  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.7 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.7: Oculus';git push
	git tag -a 4.9.7 -m 'S1D progress, nvcc, Andes, Chrysalis, nco_flt_enm; ncks, ncap2 --ccr; ncremap nfr MPAS; ncclimo fix tpd bug, glb_avg wait()';git push --tags

	* BitGroom: revert quantizing two additional bits based on my tests

2020-12-23  Charlie Zender  <zender@uci.edu>

	* BitGroom: quantize two additional bits based on Juan's tests

	* S1D: Determine pft_nbr_out and clm_nbr_out based on generic tests

	* S1D: interrogate both ELM crop model history file and ELM/MALI history/restart files

2020-12-20  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.7-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.7-alpha03: Bona';git push
	git tag -a 4.9.7-alpha03 -m 'nco_flt_enm; ncks, ncap2 --ccr; ncclimo/ncremap Chrysalis; ncremap nfr MPAS; ncclimo fix 4.9.6 tpd bug';git push --tags

	* Fix ncclimo date/time bug: %g not %f in tpd-inferral format yields tpd=10 not tpd=8 for 3-hourly EAM data

	* Add long_name attribute to grid_dims variable

	* nco_grd_nfr() implement Fortran-based vertex indexinng, validate MPAS grid inferral

2020-12-19  Charlie Zender  <zender@uci.edu>

	* nco_grd_nfr() found error in MPAS restart for QU120_zach.nc

	* nco_grd_nfr() add logic to convey correct units (radians, m2)	for MPAS angles and area

2020-12-18  Charlie Zender  <zender@uci.edu>

	* nco_grd_nfr() add logic to retrieve MPAS bounds-related variables from restart files

	* ncap2 accept negative Zstandard compression levels

	* Merge "Add all NetCDF/HDF5 dependencies to CMAKE_REQUIRED_LIBRARIES" by Kyle Gerheiser

2020-12-17  Charlie Zender  <zender@uci.edu>

	* ncap2 now uses --ccr to invoke CCR filters on all unchanged variables!

	* ncclimo update interactive compute node procedures

	* libnco add nco_dfl_case_flt_err()

	* ncap2 support --ccr via nco_var_dfn()

	* ncclimo/ncremap add chrlogin* and compute nodes to chrysalis support

2020-12-16  Charlie Zender  <zender@uci.edu>

	* Create global variable to hold user-specified filter enum

	* Add nco_flt_sng2enm() to convert user-specified string to ID/enum

	* ncclimo clarify error message encountered when cam names are assumed and eam names are desired

	* Create nco_ccr.[ch] for CCR, filter, and codec-related code

2020-12-15  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.7-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.7-alpha02: Pork Butt';git push
	git tag -a 4.9.7-alpha02 -m 'andes, S1D infrastructure, CCR detection; ncclimo --glb_avg wait() fix';git push --tags

	* ncclimo implement wait() section for --glb_avg

	* autoconf support for CCR detection/linking

	* nco.texi document caseid meaning in high-frequency modes

2020-12-13  Charlie Zender  <zender@uci.edu>

	* Start to define horizontal grid in output file

	* Inspect variables for sparse-1D dimensions

2020-12-10  Charlie Zender  <zender@uci.edu>

	* Detect version of Nvidia nvc compiler

	* Built on Cori with Nvidia HPC compilers version 11.1

	* Rename lmt_cln to cln_typ

	* Tidy calendar routines while looking for HFC calendar bug

	* Define OPENMP_TARGET and OPENMP_HOST tokens

2020-12-09  Charlie Zender  <zender@uci.edu>

	* S1D stubs determine file, IDs, and shape of input/output horizontal grid

2020-12-08  Charlie Zender  <zender@uci.edu>

	* Add Andes configuration to ncremap ncclimo, build on andes.olcf.ornl.gov

2020-12-01  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.7-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.7-alpha01: Late to School';git push
	git tag -a 4.9.7-alpha01 -m 'Functionally identical to 4.9.6';git push --tags

2020-11-30  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.6 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.6: Windsor';git push
	git tag -a 4.9.6 -m 'netCDF-4.8.0 compatible; ncclimo mdl_nm=MOSART, var_xtr, cmem nodes, prc_typ; ncremap fix mpi nd_fl bug, msk_in/msk_out fix, nfr n2s rll, UDUNITS2_XML_FILE hints; ncra -N';git push --tags

	* Change rgr structure/prototypes to support fl_hrz as horizontal template file for S1D

2020-11-29  Charlie Zender  <zender@uci.edu>

	* Add skeleton code to nco_s1d.[ch] for gathering dimension, coordinate information

2020-11-28  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.6-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.6-alpha05: Iliza';git push
	git tag -a 4.9.6-alpha05 -m 'ncclimo mdl_nm=MOSART, tpd %g, var_xtr; ncremap vrb_lvl=3; nco_s1d stubs';git push --tags

	* Add nco_s1d.[ch] to Makefile and CMake build-engines

2020-11-27  Charlie Zender  <zender@uci.edu>

	* Create nco_s1d.[ch] files for handling sparse-1d packed (S1D) CLM/ELM variables

	* ncks add --sparse, --s1d option to unpack CLM/ELM variables

	* ncks perform Terraref attribute manipulation with nco_char_att_put()

	* ncclimo add var_xtr option for extra variables in each timeseries

2020-11-25  Charlie Zender  <zender@uci.edu>

	* ncclimo add MOSART to models that append area_nm variable to output unless --no_cll_msr is invoked

2020-11-20  Charlie Zender  <zender@uci.edu>

	* Add UDUNITS2_XML_FILE instructions as HINT to more run-time WARNINGs

	* ncremap add cmd_sng and completion time to vrb_lvl=3

2020-11-18  Charlie Zender  <zender@uci.edu>

	* Build on macOS 11

2020-11-13  Charlie Zender  <zender@uci.edu>

	* ncclimo infer tpd using %g not %f format

	* Quiet long filename warnings unless dbg >= 1

	* NCO 4.9.6-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.6-alpha04: Osiris Rex';git push
	git tag -a 4.9.6-alpha04 -m 'all: bgr 64bit fix; ncremap fix esmf bug, mpi nd_fl bug, add cmem, msk_in, msk_out fix, UDUNITS2_XML_FILE hints;ncclimo cmem nodes';git push --tags

2020-11-11  Charlie Zender  <zender@uci.edu>

	* ncremap check for map-type by examining att_cnv_val, att_ttl_val, and att_gnr_val

	* ncremap fix bone-headed MPI indexing error on Cori

	* ncremap write node-file to drc_out not local directory

	* ncremap change default parallelism from Background to Serial

2020-11-03  Charlie Zender  <zender@uci.edu>

	* Clarify SDD and SCD distinction for ncclimo

2020-11-01  Charlie Zender  <zender@sastrugi.local>

	* Add UDUNITS2_XML_FILE instructions as HINT to run-time WARNING

2020-10-30  Charlie Zender  <zender@sastrugi.local>

	* nco.texi clarify precedence/usage of UDUNITS2_XML_FILE

2020-10-29 Henry Butowsky  <henryb@hush.com>

	* nco_msh_mk() msk_in and msk_out no longer modified regardless of frc_in and frc_out

2020-10-27  Charlie Zender  <zender@sastrugi.local>

	* ncclimo warn when GAA string is empty (because e3sm_diagnostics depends on it)

2020-10-26  Charlie Zender  <zender@sastrugi.local>

	* ISO8601-compliant number of leading zeros prior to last decimal point

2020-10-20  Charlie Zender  <zender@uci.edu>

	* nco_ppc_bitmask() fix pointer union type for u64_ptr and msk_f64*

	* ncremap set wgt_typ=esmf for relevant algorithms

2020-10-16  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.6-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.6-alpha03: Octopus teacher';git push
	git tag -a 4.9.6-alpha03 -m 'netCDF 4.8.0 filter mods; ncremap fix rll bnds; ncclimo docs v2, -P prc_typ';git push --tags

	* ncclimo add --prc_typ option and pass through to regridder, supercedes mdl_nm

	* ncclimo call ncremap rather than ncks for splitting

	* ncclimo call ncremap rather than ncks for climo regridding

	* ncremap generalize GenerateOverlapMesh as variables wgt_exe_tps, cmd_msh_tps

2020-10-14  Charlie Zender  <zender@uci.edu>

	* Verify future-compatibility with upcoming 4.8.0 on glace

	* Remove nc_var_filter_remove(), change nc_var_filterx() to nc_var_filter_ccr() (in case useful)

	* Change nc_inq_var_filterids() to nc_inq_var_filter_ids() unless NC_LIB_VERSION == 474

	* Update Confluence, help screens to v2 options

2020-10-09  Charlie Zender  <zender@uci.edu>

	* Assignment of final interface latitude/longitude in regridder no longer assumes specific origin vertex for CCW ordering

	* Use NCO RLL storage convention (ul,ll,lr,ur) to determine final lat_ntf/lon_ntf

	* NCO 4.9.6-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.6-alpha02: Superspreader';git push
 	git tag -a 4.9.6-alpha02 -m 'autotools libudunits2.dylib; ncremap nfr n2s rll nobnds, lat_d/lon_d; ncra -N';git push --tags

	* Fix grid inferral error for last interface boundary (grid_corner_lat) of N2S RLL grids without coordinate bounds

2020-10-08  Charlie Zender  <zender@uci.edu>

	* Replace old benchmark case famipc5_ne30_v0.3_00003 by 20180129.DECKv1b_piControl.ne30_oEC.edison

	* Add lat_d, lon_d, area_d, area_p, ncol_d, ncol_p to regridding database

2020-10-02  Charlie Zender  <zender@uci.edu>

	* Improve regression tests for ncra -N, mostly working

2020-10-01  Charlie Zender  <zender@uci.edu>

	* configure.ac check for UDUnits2 library in /opt/local/lib/libudunits2.dylib

	* Merge fixes from Henry to enable better regridding of	problematic input grid cells

2020-09-29  Charlie Zender  <zender@uci.edu>

	* Remove UDUnits1 documentation from nco.texi

2020-09-26  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.6-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.6-alpha01: Blown Glass';git push
 	git tag -a 4.9.6-alpha01 -m 'Functionally identical to 4.9.5';git push --tags

	* ncra add NRM_BY_DNM infrastructure to implement integration capability similar to ncwa

2020-09-23  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.5 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.5: RBG';git push
 	git tag -a 4.9.5 -m 'intel cmp fix; ncatted prn mlt flt prms; ncclimo area_nm hrz_dmn; ncremap nsx fix RLL;';git push --tags

	* nco_def_var_filterx() prototype fix for netCDF 4.8.0 forward compatibility

2020-09-22  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.5-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.5-beta01: Elderflower';git push
 	git tag -a 4.9.5-beta01 -m 'nco_inq_varname() dgn; ncclimo area_nm fix; ncremap nsx fix RLL';git push --tags

	* nco_def_var_filterx() prototype uses char ** not unsigned int *

	* nco_inq_var_filter() error diagnostics

	* Attempt to improve autoconf/automake generation of etags

	* nco_inq_varname() error diagnostics

	* Merge two fixes by Henry for RLL grid intersections, one for edg_typ=sph

2020-09-18  Charlie Zender  <zender@uci.edu>

	* ncclimo brown paper bag fix quoting of area_nm

2020-09-17  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.5-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.5-alpha03: PurpleAir';git push
 	git tag -a 4.9.5-alpha03 -m 'icc, icpc builds; ncks prn flt fix, nco_flt_prs(); ncclimo area_nm, hrz_dmn';git push --tags

	* ncclimo add --area_nm and --hrz_dmn to support datasets with area_p, area_d, ncol_d, lat,lon

	* nco_flt_prs() support all filter-types suffixes except byte

2020-09-16  Charlie Zender  <zender@uci.edu>

	* nco_flt_prs() understands NC_parsefilterspec() API for non-(unsigned int) parameter types

2020-09-14  Charlie Zender  <zender@uci.edu>

	* ncks nco_prn_att() test for multiple filters, WARN if found because not handled properly yet

	* ncks nco_prn_att() fix printing of multi-element filter parameter lists

	* Add bgr.cdl and zstd.cdl to test BitGrooming and Zstandard filters

2020-09-11  Charlie Zender  <zender@uci.edu>

	* Add _FillValue to filter test datasets

2020-09-10  Charlie Zender  <zender@uci.edu>

	* ncclimo make dec_md option scd==djf and sdd=jfd synonyms

	* Add dr.cdl to test DigitRounding quantization

2020-09-09  Charlie Zender  <zender@uci.edu>

	* Intel compiler compatibility fully restored

	* nco_ply_lst.c fix kdtree/weight generation OpenMP to work with Intel icc

2020-09-08  Charlie Zender  <zender@uci.edu>

	* nco_cmp_get() result in Intel compiler on MacOSX even if __clang__ defined

	* NCO 4.9.5-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.5-alpha02: Aquashavasana';git push
 	git tag -a 4.9.5-alpha02 -m 'nco_flt.[ch], compression filter stubs, dpr esmf';git push --tags

	* Deprecate configure.ac ESMF options and improve examples

2020-09-07  Charlie Zender  <zender@uci.edu>

	* Protect pragma omp simd with compiler-version ifdef's for GCC	and Clang

 	* Add nco_def_var_filterx() wrapper for netCDF 4.8.0+

 	* Add nco_inq_var_filterids(), nco_inq_var_filter_info(), nco_inq_var_filter_remove() wrappers for netCDF 4.7.4+

	* Add nco_flt.c, nco_flt.h for compression filter utilities

	* ncclimo/ncremap add future-compatible clauses for andes+chrysalis

	* ncks add --flt and --filter options to provide filter string

	* Add solution to HDF5 errors caused by no HDF5_PLUGIN_PATH environment variable

2020-09-05  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.5-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.5-alpha01: Relaxed Pigeon';git push
 	git tag -a 4.9.5-alpha01 -m 'Functionally identical to 4.9.4;';git push --tags

	* nco_sph.h clean up headers and file-scope variables

	* nco_rth_utl.h add prototype nco_zero_double()

	* nco_sph.h add prototypes for nco_sph_cross_chk(), nco_sph_seg_int_1(), Sin(), Cos()

	* Tidy nco_sph.c

	* Install 4.9.4 everywhere

2020-09-04  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4: Gooseneck Spout';git push
	git tag -a 4.9.4 -m 'all: simd, baa bit rnd, uio/NC_SHARE; autoconf: enable-gpu; ncclimo: kll rph kdz, hfc/hfs, sdd dfl; nces: per-fl-wgt; ncks: vrt fix, dt_fmt json/xml; ncra clm_nfo ilv prm_ints prw; ncremap no_amwg, si bgc, nco_dwe, xtr_xpn, xtr_nsp';git push --tags

	* Fix typo in ncrcat regression test #23 so it once again succeeds

	* ncremap add new global attribute NCO_regrid_method, based on ESMF_regrid_method, to describe actual weight generation algorithm

	* ncremap change handling of map_method attribute to support DWE maps as "Bilinear"

2020-09-03  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-beta03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-beta03: Devastating Shavasana';git push
	git tag -a 4.9.4-beta03 -m 'ncap2 clang tidy;ncclimo eam elm; ncremap dwe chk_map;';git push --tags

	* nco.texi document prw, dwe, prm_int, ilv, hfc/hfs, dt_fmt

2020-09-02  Charlie Zender  <zender@uci.edu>

	* ncclimo future-proof mdl_nm option to accept 'eam' instead of	'cam' and 'elm' instead of 'clm2'

2020-09-01  Charlie Zender  <zender@uci.edu>

	* ncremap allow mask_a/b_zro == sz and print warning so chk_map	works on DWE map-files

	* Tidy Clang warning messages due to sloppy ncap2 code, comment-out all _flg_dbg class members

	* NCO 4.9.4-beta02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-beta02: Reanimated Umbrella';git push
	git tag -a 4.9.4-beta02 -m 'ncra --prm_ints; ncremap xtr_xpn, xtr_nsp, nni->dwe';git push --tags

	* ncra set output type of all fix/prc variables in nco_set_prm_typ_out() with PROMOTE_INTS

	* ncremap add long_name attributes to map-file src_grid_dims, dst_grid_dims

	* nco_rgr_wgt() clarify that ERROR messages come from "the regridder"

2020-08-31  Charlie Zender  <zender@uci.edu>

	* ncra add/call nco_set_prm_typ_out() to support --promote_ints --prm_int option

2020-08-28  Charlie Zender  <zender@uci.edu>

	* ncremap rename Nearest Neighbor Interpolation (_nni) to Distance-Weighted Extrapolation (_dwe)

2020-08-27  Charlie Zender  <zender@uci.edu>

	* ncremap workaround to prevent multi-arguments from becoming separate global metadata attributes

	* ncremap fix lat_nbr regression introduced in beta01

	* ncremap genericize xtr_nsp and xtr_xpn arguments for both ESMF and NCO nco_nni

	* NCO 4.9.4-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-beta01: Uncle Leroy';git push
	git tag -a 4.9.4-beta01 -m 'ncremap/ncks nco_nni, xtr_nsp, xtr_xpn; ncra doc prw, clm_nfo->cb;';git push --tags

	* ncks/ncremap add stubs for nco_nni, xtr_nsp, xtr_xpn

	* Finish draft clm_bnd documentation

	* nco_rgr.c: add synonyms con, nni, bln (and longer) to wgt_con, wgt_nni, wgt_bln

	* Henry verifies build-compliance of --disable-udunits

	* Change --cb from flag into --clm_nfo/--clm_bnd synonym

2020-08-26  Charlie Zender  <zender@uci.edu>

	* Make --dbg_lvl synonym to -D for all binary executables

	* ncbo re-add one set of SIMD timers for debugging use

2020-08-25  Charlie Zender  <zender@uci.edu>

	* index.shtml: add MD5, SHA hashes to Windows self-extracting tarball on homepage

	* ncra add --prw synonym to --per_record_weights

	* NCO 4.9.4-alpha15 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha15: Madelines';git push
	git tag -a 4.9.4-alpha15 -m 'nco_vrt_ntp fix;ncclimo drn cf cnv works';git push --tags

	* nco_vrt_ntp() assign grd_sz_in (from input file) := grd_sz_out (from template file)
	This fixes vertical interpolation when PS is in vrt_fl, a regression introduced in 4.9.2

2020-08-24  Charlie Zender  <zender@uci.edu>

	* Informational error message when vertical interpolation horizontal/temporal grids mismatched

	* Start to utilize tpd=0 for monthly mean data thanks to clm_nfo bugfix

2020-08-23  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha14 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha14: Fiscalini';git push
	git tag -a 4.9.4-alpha14 -m 'ncclimo clm_nfo to ncra, deprecate	c2b, add cb_tst.nco;ncremap nni';git push --tags

	* Always define unt_val and cln_val, fix DJF clm_nfo interpretation, results look valid

2020-08-21  Charlie Zender  <zender@uci.edu>

	* Re-write ncra to use unified cb structure based on clm_nfo argument

	* Fix new link error with extern double hav(double x1, double x2)

	* Merge Henry's nearest neighbor distance weighted interpolation algorithm

2020-08-20  Charlie Zender  <zender@uci.edu>

	* Nicefy and commit climatology bounds test script cb_tst.nco

2020-08-19  Charlie Zender  <zender@uci.edu>

	* ncclimo monthly dates good though seasonal and annual climo dates are borken

	* ncclimo annotate seasonal and annual climos with clm_nfo, fix double-free()'s

	* Coordinate and bounds values work well for climatological monthly means

2020-08-18  Charlie Zender  <zender@uci.edu>

	* Merge Henry's nco_clm_nfo_to_tm_bnds() and write nco_clm_nfo_get()

2020-08-16  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha13 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha13: Kamala & Krall';git push
	git tag -a 4.9.4-alpha13 -m 'nco_xtr_xcl_chk; ncra per-record wgt fix, no cll_mth for bnds; ncrename rgr github;';git push --tags

	* Change regression test to expect new behavior

	* Add nco_xtr_xcl_chk() to die with hint if extraction rules lead to retaining user-excluded variables

	* ncrename add GitHub issue to expected failures for regression tests #28, #31

2020-08-13  Charlie Zender  <zender@uci.edu>

	* ncclimo update documentation for hfcs, both on Confluence and in nco.texi

	* ncra drop cell_methods from climatology_bounds, time_bounds variables

2020-08-12  Charlie Zender  <zender@uci.edu>

	* ncclimo turn-on bnd2tpdclm in single- and multi-file input hfc modes

	* ncra, nces add cb->bnd2tpdclm to convert time bounds to diurnal climatology bounds

	* ncra, nces cell_methods for diurnal climatology bounds works

	* Clarify rules for exclusion of coordinate-like variables

2020-08-11  Charlie Zender  <zender@uci.edu>

	* ncra reset wgt_sum after each ssc during MRO to fix per-record weighting

	* NCO 4.9.4-alpha12 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha12: Dry Rot';git push
	git tag -a 4.9.4-alpha12 -m 'autoconf gpu token; nco_rgr_wgt() gpu directives;';git push --tags

	* Do not nest SIMD within existing SIMD region

	* Hand-merge Sahil's GPU directives and autoconf token, add SIMD branch

2020-08-10  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha11 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha11: Homemade Sushi';git push
	git tag -a 4.9.4-alpha11 -m 'autoconf link to alpha10 not alpha01 error; ncclimo hfc mpi fl_nbr=1; ncra --per_record_weights;';git push --tags

	* autoconf link to alpha10 not alpha01

	* ncra investigate per-record weighting anomalies spotted by PJCS

2020-08-09  Charlie Zender  <zender@uci.edu>

	* ncra --per_record_weights applies command-line numeric weights to records

	* nco_rgr_wgt() clarify HINT when spatial dimension hard to find

2020-08-07  Charlie Zender  <zender@uci.edu>

	* ncclimo add mpi mode to hfc for fl_nbr == 1

	* Deprecate unreleased splitter code for sub-averages and (time,tpd,space) shapes

	* nco_rgr_wgt() add 5.0e-15 tolerance to area checks, check only 2D grids

2020-08-06  Charlie Zender  <zender@uci.edu>

	* ncclimo tpd_out inferral valid for any time-coordinate named "time" (EAM and ELM, not yet MPAS)

	* NCO 4.9.4-alpha10 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha10: Splashdown';git push
	git tag -a 4.9.4-alpha10 -m 'autoconf enable-gpu, enable-optimize; ncks dt_fmt json/xml; ncclimo ia mlt fl hfc, sdd dfl, nfr tpd, no_amwg;';git push --tags

	* ncclimo remove extraneous 's' (typo/command) from MPI section

	* ncclimo infer tpd_out from first file if not user-specified with hfc or hfs

2020-08-05  Charlie Zender  <zender@uci.edu>

	* ncclimo fix yyyy_clm_end string in December for scd, sdd modes

	* ncclimo kill remaining children after bad interleave before exiting parent

	* ncclimo kill remaining children after bad cull before exiting parent

	* Add exit() hints for many NC_EDAP* errors from remote DAP servers

	* Parallelize diurnal climo generation from multiple input files

	* Turn-off AMWG links by default (enable old behavior with --amwg_links)

	* Default December mode is sdd (enable old behavior with --dec_md=scd)

2020-08-04  Charlie Zender  <zender@uci.edu>

	* Generalize order of specification of --dt_fmt and --cal, tidy code

2020-08-04 Henry Butowsky  <henryb@hush.com>

	* Expand usage of ncks --dt_fmt switch to JSON (--json) and XML (--xml) output

2020-08-03  Charlie Zender  <zender@uci.edu>

	* ncclimo use ISO8601 time format to eliminate whitespace and quotes

	* Multi-file high-frequency climos appear to work, need optimization

	* Workaround ILV-setting by restricting ilv failure checks to ilv > 1

2020-08-02  Charlie Zender  <zender@uci.edu>

	* Test file famipc5_ne30_v0.3_00003.cam.h0.1979-01.nc area is corrupt in last ~100 values

2020-08-01  Charlie Zender  <zender@uci.edu>

	* Merge and tidy Sahil Katrekar configure GPU-offloading and enable-optimize options

2020-07-31  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha09 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha09: Marble';git push
	git tag -a 4.9.4-alpha09 -m 'ncbo: simd vectorization; ncclimo: drn sgl fl; nces wrn; ncra/ncrcat: mso stubs ;';git push --tags

	* Investigate why FLG_ILV spuriously set despite no ilv argument

2020-07-30  Charlie Zender  <zender@uci.edu>

	* Merge and tidy Sahil Katrekar vectorization directives

	* Diurnal climos work for single file input

2020-07-29  Charlie Zender  <zender@uci.edu>

	* Temporarily disable cb for high-frequency climos

2020-07-28  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha08 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha08: Ella by Starlight';git push
	git tag -a 4.9.4-alpha08 -m 'ncclimo: mrg hfc mth, fl_nbr=1 ; nces cb, mso ; ncra/ncrcat: ilv warnings, tidy; nco_gsl.ch rename';git push --tags

	* nces turn-on cb machinery for ncfe exactly as for ncra

	* Stubs for --mso to allow turning on/off multi-subcycle output

	* ncra/nces die when user-specified wgt_nbr and fl_nbr are unequal

2020-07-26  Charlie Zender  <zender@uci.edu>

	* Merge clm_md=hfc with clm_md=mth climo code

2020-07-24  Charlie Zender  <zender@uci.edu>

	* Check ilv with valgrind on e3sm, no anomalies seen

	* Warn when interleaved input ends on incomplete sub-cycle

	* Change diagnostic rec_rmn_prv_ilv to 0 if no FLG_ILV

2020-07-23  Charlie Zender  <zender@uci.edu>

	* Create simple ILV regression tests that all pass so far

	* Exit with error when interleaved sub-cycle crosses file boundary

	* Turn-off "Intra-file non-monotonicity" WARNINGs for interleaved files

	* Change nco_gsl.[c/h] to nco_gsl.[cc/hh] so broken MSVC compiles it as C++ and eliminates "restrict" keyword

	* Fix ILV record counters when multiple SSCs within one file

2020-07-22  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha07: Interleave';git push
 	git tag -a 4.9.4-alpha07 -m 'ncra/ncrcat: ILV API;ncks baa 5,6 = ppc bit round, half-shave;';git push --tags

	* Update NSD=3 regression test to select Bit Grooming

	* New interleave API appears to work for ncrcat/ncra single and multiple files!

2020-07-21  Charlie Zender  <zender@sastrugi.local>

	* Eliminate deprecated or un-used MRO specification via 'm' or 'M' as sixth hyperslab argument

	* Change interleave API from --ilv -d dmn,srt,cnt,ilv=srd=ssc to -d dmn,srt,cnt,srd,ssc,ilv

2020-07-19  Charlie Zender  <zender@uci.edu>

	* Re-consider ilv implementation and final diurnal strategy

	* ncra interleave (flg_ilv) always implies multi-record-output (flg_mro)

2020-07-17  Charlie Zender  <zender@uci.edu>

	* Adjust diagnostic count (cnt) for interleaving (do not divide span by stride)

	* ncrcat interleaving invoked as either stride-only and stride-ssc work identically for multiple files

	* Merge Kouznetsov's implementation of Milan Klower's integer-math-only version of nearest neighbor rounding into the new default bit-adjustment-algorithm (BAA) #5

2020-07-16  Charlie Zender  <zender@uci.edu>

	* ncra/ncrcat: Implement stride resets over interleaved dimension, works for multiple files!

2020-07-15  Charlie Zender  <zender@uci.edu>

	* Change default Bit-Adjustment Algorithm from Bit Grooming to Bit Rounding

	* Merge Kouznetsov's bit-adjustment-algorithm (BAA) #6 half-shaving quantization algorithmw

2020-07-13  Charlie Zender  <zender@uci.edu>

	* Implement double precision version of Kouznetsov's round-to-nearest quantization

2020-07-11  Charlie Zender  <zender@uci.edu>

	* Merge Rostislav Kouznetsov (rkouznetsov) bit-adjustment-algorithm (BAA) #5 bit-rounding quantization algorithm

2020-07-09  Charlie Zender  <zender@uci.edu>

	* Add flg_ilv to lmt_sct so srt and end can depend on srd

	* Clean-up and move nco_rgd_arr_lst_free() and nco_rgd_arr_lst_chk() to nco_lst_utl.c/h

	* ncra/ncrcat add --ilv, --interleave_output flags and stubs to interleave output data

2020-07-08  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha06: Missoula';git push
 	git tag -a 4.9.4-alpha06 -m 'all: NC_SHARE on read; nces -w wgt; ncks revert nc_inq_var_filter() workaround';git push --tags

	* Add per-file weight logic to nces, works with command-line weights not wgt_nm weights

	* Add 'if(SHARE_OPEN) md_open=md_open|NC_SHARE;' to all main.c files

2020-07-01  Charlie Zender  <zender@uci.edu>

	* Dennis Heimbigner reverted 4.7.4 nc_inq_var_filter() change in 4.8.0-develop, so revert workaround in nco_prn_att()

2020-06-30  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha05: SpaceForce';git push
 	git tag -a 4.9.4-alpha05 -m 'ncclimo align mth, hfc clm';git push --tags

	* Change clm_md to hfc for climos, hfs for splitting

2020-06-28  Charlie Zender  <zender@uci.edu>

	* ncclimo HFCs successfully aligned with months

	* ncclimo add stubs for high-frequency climos (HFCs)

2020-06-27  Charlie Zender  <zender@uci.edu>

	* ncclimo deconvolve two time dimensions by isolating each tpd in separate ncrcat step

	* ncclimo hfs fix stride, set to tpd

	* ncclimo hfs instead of hf, add dpf input option, change output to (time,hour,space) to ease regridding

2020-06-26  Charlie Zender  <zender@uci.edu>

	* ncclimo uses MRO, ncecat to create timeseries of annual mean diurnal cycles

	* ncclimo hf respects specified tpd_out

2020-06-25  Charlie Zender  <zender@uci.edu>

	* ncclimo improve clm_md documentation

	* ncclimo fix daily off-by-one error due to CAM/EAM time-stamps at averaging interval end

	* NCO 4.9.4-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha04: 5 Oaks';git push
 	git tag -a 4.9.4-alpha04 -m 'ncclimo hgh_frq yr bnd xct';git push --tags

	* ncclimo fix high-frequency off-by-one error due to CAM/EAM time-stamps at averaging interval end

	* ncclimo optimize fuzziness of input file-list to work with longer time-series

2020-06-24  Charlie Zender  <zender@uci.edu>

	* ncclimo high-frequency mode creates exact, year-aligned output files

	* ncclimo create pruned yet fuzzy file-lists for timeseries segments

2020-06-19  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha03: Da 5 Bloods';git push
 	git tag -a 4.9.4-alpha03 -m 'ncclimo uio; ncremap pdq_opt, si bgc, uio';git push --tags

	* ncclimo add stubs to correctly date-hyperslab high-frequency time-series

	* ncremap document --ppc and --pdq

2020-06-18  Charlie Zender  <zender@uci.edu>

	* ncremap add nZBGCTracers,nBioLayersP1,nAlgaeIceLayers,nDisIronIceLayers,nIceLayers
	BGC dimensions to preset pdq_opt for mpasseaice

	* ncremap add --pdq_opt to override internal presets and allow MPAS-SI BGC workaround

2020-06-15 Henry Butowsky  <henryb@hush.com>

	* Introduce wgt_sct, a lightweight version of poly_sct used when overlap mesh is not requested
	  nco_ply_lst_mk_vrl_sph() returns and nco_msh_mk() understands overlap list of wgt_sct**

2020-06-14  Charlie Zender  <zender@uci.edu>

	* Add --uio flag to ncclimo, mainly for splitter, and to ncremap (still not used internally by regridder, though)

2020-06-11  Charlie Zender  <zender@uci.edu>

	* Document --uio, --share

2020-06-10  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha02: Hangover Run';git push
 	git tag -a 4.9.4-alpha02 -m 'NC_SHARE via --share, --uio';git push --tags

	* Implement getopt_long() processing for NC_SHARE, add synonyms uio and unbuffered_io

2020-06-09  Charlie Zender  <zender@uci.edu>

	* Add NC_SHARE mask to open and create mode in nco_fl_utl.c

	* Implement initialization, and argument passing for for SHARE_CREATE/SHARE_OPEN

	* Fix comments for RAM_CREATE/RAM_OPEN

2020-06-02  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.4-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.4-alpha01: Monkey see, monkey do';git push
 	git tag -a 4.9.4-alpha01 -m 'Mostly identical to 4.9.3;ncks quiet warnings when area_a==0.0';git push --tags

	* ncks chk_map: Do not warn about frac_a when area_a is not provided or is all zero (e.g., bilinear maps)

2020-05-31  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.3 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3: Outlander';git push
 	git tag -a 4.9.3 -m 'ncap2 ess_rmt demos planck.nco;ncks cmp vrs clang;ncremap cxl --volumetric, default cell_area_nco, rgr_opt fix, experimental GPU offloads';git push --tags

	* Add GSL flags to bld/Makefile and test on grele

	* Change account names from acme to e3sm

	* nco_rgr_wgt() set and compute timers only when reporting them, quiet reporting

2020-05-29  Charlie Zender  <zender@uci.edu>

	* Test GPU offload pragmas for possible inclusion in 4.9.3 release

	* NCO 4.9.3-alpha09 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3-alpha09: Rib Eye';git push
 	git tag -a 4.9.3-alpha09 -m 'ncap2 ess_rmt demos planck.nco;ncks cmp vrs clang;ncremap cxl --volumetric, default cell_area_nco, rgr_opt fix, experimental GPU offloads';git push --tags

2020-05-29 Henry Butowsky  <henryb@hush.com>

	* Set rgr->area_mth default to cell_area_nco

2020-05-28  Charlie Zender  <zender@uci.edu>

	* nco_rgr_wgt() add GPU offloading to 3D variable loops without	missing values

2020-05-27  Charlie Zender  <zender@uci.edu>

	* Pass ${rgr_opt} (e.g., "--rgr edg_typ=smc") to NCO map-generation commands

2020-05-25  Charlie Zender  <zender@uci.edu>

	* Update nco.texi with latest TR options

	* Remove "--volumetric" from fv2se_mono per Mark Taylor modifying Confluence instructions

2020-05-21  Charlie Zender  <zender@uci.edu>

	* Regridding target data construct interferes with OpenMP and only writes data from one thread

	* Demonstrate that clang autovectorizes simplest regridding loop

	* Add timers to nco_rgr.c/h

2020-05-20  Charlie Zender  <zender@uci.edu>

	* ncks change --var_val to --val_var to avoid getopt() abbreviation ambiguity with --var

2020-05-19  Charlie Zender  <zender@uci.edu>

	* Construct and identify clang and GCC compiler library numeric versions

2020-05-18  Charlie Zender  <zender@uci.edu>

	* Insert first GPU directives, modified from Dhruv Seth

2020-05-17  Charlie Zender  <zender@uci.edu>

	* Improve ncap2 planck.nco demo for ESS 138

	* ncap2 print usage when invoked without any options or arguments

2020-05-13  Charlie Zender  <zender@uci.edu>

	* Change default build from clang-9.0 to clang-10

	* Correctly identify modern clang compiler versions

2020-05-02  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.3-alpha08 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3-alpha08: Olive Bread';git push
	git tag -a 4.9.3-alpha08 -m 'nco_get_att() NC_ENOTATT branch; ncclimo inp_glb w/sbs_flg';git push --tags

	* ncclimo/ncremap always check that user-specified drc_in exists for all input types

2020-05-01  Charlie Zender  <zender@uci.edu>

	* ncclimo/ncremap warn when input directory for globbing DNE

	* ncclimo simplify and disambiguate determination of sbs_flg and inp_glb

2020-04-30  Charlie Zender  <zender@uci.edu>

	* ncclimo allow clm_md='hf' to use input from globbing directory when inp_glb='Yes'

	* ncremap when inp_psn='Yes', set std_chk='No'

	* ncremap clean-up unique suffix algorithm

2020-04-29  Charlie Zender  <zender@uci.edu>

	* Clarify hyperslabbing syntax for integer-valued coordinates

	* Print var_id, var_nm, att_nm when nco_get_att() returns NC_ENOTATT

2020-04-22  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.3-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3-alpha07: Squidgy Squeegy Squishy';git push
	git tag -a 4.9.3-alpha07 -m 'nco.texi chk_map doc; ncks TR area quadrature option --cell_area_quad;ncremap eliminate frac_a/frac_b bias trick';git push --tags

	* Merge TempestRemap area quadrature area method, intersection updates

2020-04-18  Charlie Zender  <zender@uci.edu>

	* Add nc_inq_var_filter_flg() to workaround netCDF 4.7.4 backwards incompatibility in nc_inq_var_filter()

	* Test with GCC 10.0.1 (emits many new warnings) on Fedora 32-beta with netCDF 4.8.0-development

	* Update return codes in nco_ctl.c and NCO_rgr.pl for netCDF 4.8.0, 4.8.1

2020-04-16  Charlie Zender  <zender@uci.edu>

	* Edit map-file documentation

2020-04-15  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.3-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3-alpha06: Holy Fire';git push
	git tag -a 4.9.3-alpha06 -m 'ncap2 nco_gsl.c/h deprecated;ncclimo clm_md=hgh_frq;ncrcat rbs int tm;ncremap cross-product';git push --tags

	* Henry merges cross product treatment that improves accuracy on high resolution grids

2020-04-10  Charlie Zender  <zender@uci.edu>

	* nco_netcdf.c Add hint for possible explanation of NC_EACCESS (-77) due to old DAP server

	* ncap2 final patch for nco_gsl.c/h for when GSL not enabled

2020-04-08  Charlie Zender  <zender@uci.edu>

	* ncks alter nco_prn_att() to debug netCDF 4.7.4 changes in nc_inq_var_filter()

	* ncap2 incomplete patch nco_gsl.c/h for when GSL not enabled

2020-04-07  Charlie Zender  <zender@uci.edu>

	* ncclimo hgh_frq works for PRECT with ragged dates, non-integral years

	* ncrcat correctly rebase time values not stored in floating point

2020-04-06  Charlie Zender  <zender@uci.edu>

	* ncclimo add new clm_md='hf' type for high-frequency (hgh_frq) datasets

	* NCO 4.9.3-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3-alpha05: Ozark';git push
	git tag -a 4.9.3-alpha05 -m 'ncrcat: quiet nfo; nco_gsl.c/h; ncremap kdtree parallel';git push --tags

2020-04-05  Charlie Zender  <zender@uci.edu>

	* nco_att_utl.c shift INFO/WARNING message from dbg_lvl == 0 to 1 to quiet annoying message

2020-04-03  Henry Butowsky  <henryb@hush.com>

	* Turn nco_gsl_fit_linear(), nco_gsl_stats_mean(), nco_gsl_stats_covariance() in nco_gsl.c/h into stubs to comply with separation of GSL GPL code and NCO BSD code

2020-04-02  Charlie Zender  <zender@uci.edu>

	* Fix typo in ncclimo HINT reported by Sterling

	* Merge Henry's modifications to parallelize kdtree

2020-03-31  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.3-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3-alpha04: Quarrantine';git push
	git tag -a 4.9.3-alpha04 -m 'ncrcat: rbs nc_int rgr tst ncremap/ncks: pg2 all work;';git push --tags

	* ncremap: curvilinear regional NCO grids that worked with ESMF	now work with NCO weight generator

2020-03-21  Charlie Zender  <zender@uci.edu>

	* Quiet HINT on -C -x -v crd combination per user request

2020-03-17  Charlie Zender  <zender@uci.edu>

	* Add time_int_udunits to test rebasing integer-valued UDUnits time coordinate

	* NCO 4.9.3-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3-alpha03: SDHalf';git push
	git tag -a 4.9.3-alpha03 -m 'ncremap/ncks: intersection precision, GSL, pg2<->RLL';git push --tags

2020-03-17  Henry Butowsky <henryb@hush.com>

	* Use GSL library to solve matrix in nco_mat_int_pl()

	* nco_seg_intersect() fixes to detection and handling of parallel arcs

	* nco_sph_parallel() check if identical vertices

	* nco_sph_seg_int() change some fundamental constants

2020-03-16  Charlie Zender  <zender@uci.edu>

	* ncks: --frac_b_nrm and --area_wgt both automatically imply --chk_map

2020-03-04  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.3-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3-alpha02: Loss Prevention';git push
	git tag -a 4.9.3-alpha02 -m 'ncks --frac_b_nrm;ncremap --correct_areas, RLL edg_typ, smc areas; nco.texi chk_map, job_nbr, par_typ, SGS, unq_sfx';git push --tags

	* nco_msh_mk() allow user to override edg_typ for RLL intersections

	* nco_rgr_ini() default to edg_typ_nil so user can change it

2020-03-03  Charlie Zender  <zender@uci.edu>

	* nco.texi --par_typ documentation

2020-03-02  Charlie Zender  <zender@uci.edu>

	* nco.texi more --frac_b_nrm documentation

2020-03-01  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo: Re-formulate --par_typ option parsing to use	regular expressions

	* Update --unq_sfx documentation

2020-02-28  Charlie Zender  <zender@uci.edu>

	* nco_rgr.c allow polar caps in small-circle code (which now finally runs to completion)

	* nco.texi Add (over past week) long-winded documentation for --chk_map and SGS

2020-02-21  Charlie Zender  <zender@uci.edu>

	* ncremap add --correct_areas on the four conservative TR maps with destination FV grids

	* Update OpenMP update shared() clause in nco_ply_lst.c for thr_quota,thr_quota_step for Intel Compilers

2020-02-20  Charlie Zender  <zender@uci.edu>

	* Update Zen of Regridding documentation on Confluence

2020-02-18  Charlie Zender  <zender@uci.edu>

	* Recompute and store new frac_a as well as frac_b when	re-normalizing weights

	* Change ncks --map_fix option (ambiguous with ncks --map) to --fix_map or --frac_b_nrm

2020-02-17  Charlie Zender  <zender@uci.edu>

	* ncks nco_map_fix() add --map_fix option to fix self-overlaps

2020-02-14  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.3-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.3-alpha01: VD';git push
	git tag -a 4.9.3-alpha01 -m 'Functionally identical to 4.9.2';git push --tags

	* Change malingering gpl.html URLs to BSD3 URLs

	* NCO 4.9.2 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2: Delirium';git push
	git tag -a 4.9.2 -m 'Re-license from GPL3 to BSD;ncks chk_map, lz4.cdl;ncpdq -U -v lat fix;ncremap prs->hyb, crv axis/crd atts, fv2fv opt, ne1024pg2, NaN area, fl_fmt/hdr_pad, sml_crc;';git push --tags

	* Shrink homepage logo, fix banner

	* ncremap/ncclimo document HDF5_FILE_LOCKING

	* ncremap document --devnull

	* NCO 4.9.2-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-beta01: Recently and Nearby';git push
	git tag -a 4.9.2-beta01 -m 'Re-license from GPL3 to BSD;ncks chk_map, lz4.cdl;ncpdq -U -v lat fix;ncremap prs->hyb, crv axis/crd atts, fv2fv opt, ne1024pg2, NaN area, fl_fmt/hdr_pad, sml_crc;';git push --tags

	* Change license from GPL3 to BSD 3-clause

2020-02-13  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() add ERROR and HINT when prs->hyb lacks PS

	* NCO 4.9.2-alpha09 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-alpha09: Absinthe';git push
	git tag -a 4.9.2-alpha09 -m 'ncremap unify [prs,hyb]->hyb, fix toowzh prs->prs bug; chk ovr area -> swap';git push --tags

	* nco_ntp_vrt() verify toowzh bug fixed and that prs->prs ntp is _exact_

	* ncremap, ncclimo, acme1, rhea update paths to e3sm_unified_1.3.0

	* nco_sph_plg_area() Quiet area messages for isoceles and skinny triangles

2020-02-13 Henry Butowsky  <henryb@hush.com>

	* nco_ply_lst_mk_vrl_sph() if overlap area exceeds src or dst cell area then swap src and dst, recalculate

2020-02-12  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() unify treatment of PS in hyb_in and prs_in files

	* nco_ntp_vrt() investigating prs->hyb interpolation

	* nco_map_chk() add warning about self-overlapping source grids

2020-02-11  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.2-alpha08 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-alpha08: Vasisthasana';git push
	git tag -a 4.9.2-alpha08 -m 'ncks eliminate alarmist WARNINGs on regional grids, EASE area == 0.0 WARNINGS;ncremap -P mpas --prs_stt=integral works hydro1k almost, vrt prs->hyb PS';git push --tags

	* ncremap add vertical regrid examples to default usage

	* nco_map_chk() only issue WARNINGs for min(frac_a/b) cells when grid_b/a tiles sphere

2020-02-07  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() pure pressure input may now provide PS for use in interpolating to output hybrid files

2020-02-06  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() set horizontal grd_sz_in, grd_sz_out correctly for grd_in_prs

	* ncremap allow --prs_stt=integral to work with -P mpas

	* Clarify treatment of PS during vertical interpolation

2020-02-05  Charlie Zender  <zender@uci.edu>

	* nco_inq_varnatts() emit variable ID on error

	* nco_chk_map() check and WARNING for area_a/b == 0.0 prior to normalization to prevent unexpected divide-by-zero for EASE grid areas

	* nco_chk_map() eliminate some WARNINGs for grids not within 99% of tiling sphere

	* NCO 4.9.2-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-alpha07: Dandasana';git push
	git tag -a 4.9.2-alpha07 -m 'ncks chk_map msk_a/b; ncremap SAS needles+isoceles, use canonical ngl, cosine formula, crv axis/coordinates atts; ncks cori fix';git push --tags

	* Regrid (and plot with Panoply) EASE grid with aave though nco weight-generation has issues

	* nco_rgr_wgt() add "coordinates" attributes to output fields on curvilinear output grids

	* nco_rgr_wgt() omit "axis" attributes from 2-D coordinate variables per CF Conventions

	* ncremap as implemented, multiple -R options lose all but last	option. Aargh.

2020-02-04  Charlie Zender  <zender@uci.edu>

	* nco_var_min_max_ttl() change ttl_ip to ttl_dp to support large grids (this may have been unnecessary)

2020-02-03  Charlie Zender  <zender@sastrugi>

	* Unify treatment of needle-shaped and flat isoceles-shaped triangle areas (and set to zero)

	* Until today SAS formula wrongly used actual not canonical angles A, B for canonical formula

2020-01-31  Charlie Zender  <zender@sastrugi>

	* Add mask_a/b evaluations to nco_map_chk()

	* Print reason(s) for failed L'Huilier's formula

2020-01-28  Charlie Zender  <zender@sastrugi>

	* NCO 4.9.2-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-alpha06: Supta Baddha Konasana';git push
	git tag -a 4.9.2-alpha06 -m 'ncks chk_map dgn;ncremap ne30np2, NaN area = 0.0;index.shtml';git push --tags

	* Print WARNING and set area of weird triangles to 0.0 instead of NaN

2020-01-25  Charlie Zender  <zender@sastrugi>

	* Update Homepage so ACCESS proposal reviewers see latest publications/presentations

	* Modifications mysteriously/dramatically slowed-down ncks --chk_map (on MBP) then it fixed itself

	* Check var_mask_a/b before printing WARNINGs

	* nco_map_chk() prints gridcells where row/column totals errors exceed tolerance

2020-01-21  Charlie Zender  <zender@sastrugi>

	* nco_map_mk() add grid_file_src/dst attributes, remove quotes from version

2020-01-20  Charlie Zender  <zender@sastrugi>

	* nco_map_chk() fix mistaken values of perfection for frac_b

	* nco_map_mk() add thr_nbr attribute

2020-01-19  Charlie Zender  <zender@sastrugi>

	* ncremap fix --devnull to use --dvn_flg

	* NCO 4.9.2-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-alpha05: HRH';git push
	git tag -a 4.9.2-alpha05 -m 'ncremap dbg_lvl fl_fmt to ncks, no remap_command, hdr_pad';git push --tags

	* ncremap create alg_typ=nco map-files and mesh-files with hdr_pad=10k so that annotating them is quicker

	* ncremap deprecate passing gaa for remap_command to ncatted as it causes breakage

	* ncremap pass '${nco_opt}' to ncks when alg_typ=nco

2020-01-18  Charlie Zender  <zender@sastrugi>

	* nco_map_mk() more legible diagnostics

	* ncremap --devnull=No flag redirects regridder output to terminal instead of /dev/null

	* NCO 4.9.2-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-alpha04: Chow-Mein';git push
	git tag -a 4.9.2-alpha04 -m 'ncpdq -U -v lat fix; ncremap sml_crc mrg, ne1024pg2';git push --tags

	* nco_map_mk() add ignored weight diagnostic, and RAM/format INFO

	* nco_map_mk() define arrays dimensioned by n_s last to help evade netCDF3-classic file format limits

2020-01-17  Charlie Zender  <zender@sastrugi>

	* ncremap/ncclimo fix printing of multi-word NCO version names

	* ncpdq -U now always unpacks all variables, including packed grid variables

	* Create infrastructure to address bug where ncpdq -U strips attributes from packed grid variables yet does not unpack them

	* Merge new intersection code that handles small circles

2020-01-16  Charlie Zender  <zender@sastrugi>

	* nco_sph_plg_area() and edg_typ=sml_crc works with RLL grids

	* nco_sph_plg_area() ignore small circle correction for degenerate triangles (geodesics)

	* nco_sph_plg_area() weed-out degenerate polar points

2020-01-15  Charlie Zender  <zender@sastrugi>

	* NCO 4.9.2-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-alpha03: Alta-Vista';git push
	git tag -a 4.9.2-alpha03 -m 'ncks chk_map() NaN fixes; ncremap fv2fv options, TR pg2 compatibility';git push --tags

	* ncclimo and ncremap now export HDF5_USE_FILE_LOCKING='FALSE'
	Qi Tang reported 20200110 that his batch scripts on Cori that use netCDF4 map-files fail unless he sets this

	* nco_map_mk() if Tempest pg grid-files that lack "grid_dims" variables are unstructured then skip sanity check otherwise bail

	* nco_chk_map() report differences in order cmp_dsk_dff not dsk_cmp_dff

	* ncremap disambiguate synonyms for fv2fv and fv2fv_stt, though they are now equivalent

	* ncremap replace "--mono3 --noconserve" in fv2fv with "--in_np 2" per recommendation of Mark Taylor

	* nco_chk_map() more compact format for weight index

	* nco_chk_map() fix index in NaN printing

2020-01-14  Charlie Zender  <zender@sastrugi>

	* nco_chk_map() check for and report NaNs in weight array

	* NCO 4.9.2-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-alpha02: Big Horn';git push
	git tag -a 4.9.2-alpha02 -m 'ncks chk_map() fixes; ccr lz4.cdl';git push --tags

	* nco_chk_map() fix flaws in setting has_frac_a/b flags

	* nco_chk_map() report computed not disk values, thus preventing frac_a min/max values for both frac_a and frac_b values when frac_b variable not present on disk

	* Tidy nco_rgr.c, nco_map.c while hunting chk_map errors

2020-01-09  Charlie Zender  <zender@sastrugi>

	* Adjust area reported to calling code by small-circle area correction

2020-01-04  Charlie Zender  <zender@uci.edu>

	* Add lz4.cdl to test CCR LZ4 filter

2020-01-02  Charlie Zender  <zender@uci.edu>

	* Update copyright year

2019-12-20  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.2-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.2-alpha01: Hatha';git push
	git tag -a 4.9.2-alpha01 -m 'Functionally identical to 4.9.1';git push --tags

2019-12-19  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.1 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.1: Skyglow';git push
	git tag -a 4.9.1 -m 'autoconf EXTERNL netcdf_mem.h;automake libnco.la;ncclimo --glb_avg;ncpdq flt_dbl;ncremap vrt_ntp fix, nco_con dfl;nco_copy_att() _NCProperties;';git push --tags

	* Always set lev_out_min to fix uninitialized error (identified by valgrind) that caused errorneous behavior in mss_val extrapolation in nco_ntp_vrt() with some compilers (compy, cori defaults)

	* Change ps_sz from double to size_t

	* Fix nco_rgr.c CEWI's and outfit for bug-hunting why _FillValue not requested or created

2019-12-18  Charlie Zender  <zender@uci.edu>

	* Print WARNING when nco_ntp_vrt() fails to create _FillValue attribute

	* Document --glb_avg

	* Implement and document ncpdq flt_dbl map

2019-12-17  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.1-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.1-alpha03: Ignite';git push
	git tag -a 4.9.1-alpha03 -m 'automake libnco.la;ncclimo glb_avg';git push --tags

	* Correct automake syntax from -lnco to -l../nco/libnco.la (per bug #118 from Daniel Macks)

	* ncclimo global average timeseries working prototype with --glb_avg

2019-12-16  Charlie Zender  <zender@uci.edu>

	* Add stubs for ncclimo global average timeseries

	* Tweak _NCProperties message

2019-12-12  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.1-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.1-alpha02: Utthita Trikonasana';git push
	git tag -a 4.9.1-alpha02 -m 'autoconf EXTERNL netcdf_mem.h;nco_copy_att() _NCProperties;ncremap nco_con dfl;';git push --tags

	* Modify configure.ac to define EXTERNL from netcdf.h during autoconf check of netcdf_mem.h
	Thanks to Matthew Thompson and Dave Allured for reporting and solving the issue

	* Surgically prevent nco_copy_att() from attempting to copy _NCProperties

	* Henry restored functionality to edg_typ and ply_tri_mth options

2019-12-10  Charlie Zender  <zender@uci.edu>

	* Print names of attribute and variables/groups when nco_copy_att() fails

2019-12-08  Charlie Zender  <zender@uci.edu>

	* ncremap add stubs for MOAB-Tempest executable mbtempest

2019-12-06  Charlie Zender  <zender@uci.edu>

	* Re-do logic for invoking small circle triangles

2019-12-05  Charlie Zender  <zender@uci.edu>

	* ncremap change default regridder algorithm from ESMF bilinear to NCO nco_con

	* NCO 4.9.1-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.1-alpha01: Massage';git push
	git tag -a 4.9.1-alpha01 -m 'Functionally identical to 4.9.0';git push --tags

2019-12-04  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.0 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.0: Balasana';git push
	git tag -a 4.9.0 -m 'ncremap att_flg, centroid opt, fv2fv_flx/stt, gss n2s nfr fix, HRRR, IFS, MPAS BGC, msh_fl, ntp_mth rhea SLURM, rnr=0.0 == destonly, SGS rewrite/parallelize, TR MWF SCRIP, TR volumetric, vrt_nm, vrt prs tm_nbr fix;ncks area_wgt, chk_nan, chk_map, json dcm pnt fix;ncap2 -O fix';git push --tags

	* nco_map_chk() always print computed frac_a/b statistics

	* Improve bit-grooming documentation

2019-12-03  Charlie Zender  <zender@uci.edu>

	* Document --chk_map, --area_wgt, --chk_nan

	* Eliminate renormalize_threshold since it never worked, support renormalize and renormalization_threshold

2019-12-02  Charlie Zender  <zender@uci.edu>

	* NCO 4.9.0-beta03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.0-beta03: Baddha Koṇāsana';git push
	git tag -a 4.9.0-beta03 -m 'ncremap att_flg, centroid opt, fv2fv_flx/stt, gss n2s nfr fix, HRRR, IFS, MPAS BGC, msh_fl, ntp_mth rhea SLURM, rnr=0.0 == destonly, SGS rewrite/parallelize, TR MWF SCRIP, TR volumetric, vrt_nm, vrt prs tm_nbr fix;ncks area_wgt, chk_nan, chk_map, json dcm pnt fix;ncap2 -O fix';git push --tags

	* Support netCDF 4.7.3

2019-11-30  Charlie Zender  <zender@uci.edu>

	* nco_map_chk() print ncks helper commands to examine S,frac_a/b extrema iff dbg >= 1

2019-11-29  Charlie Zender  <zender@uci.edu>

	* nco_map_chk() add minima/maxima cell location to S, frac_a/b

2019-11-28  Charlie Zender  <zender@uci.edu>

	* Add helpful error and HINT when chk_map invoked on unsupported files

	* Round weights between down to 1.0 if overlap fraction in (1.0,1.0+1.0e-10]

2019-11-21  Charlie Zender  <zender@uci.edu>

	* Change to bin_min < weight <= bin_max. Now agrees with TR AnalyzeMap.

	* NCO 4.9.0-beta02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.0-beta02: Uttanasana';git push
	git tag -a 4.9.0-beta02 -m 'ncremap att_flg, centroid opt, fv2fv_flx/stt, gss n2s nfr fix, HRRR, IFS, MPAS BGC, msh_fl, ntp_mth rhea SLURM, rnr=0.0 == destonly, SGS rewrite/parallelize, TR MWF SCRIP, TR volumetric, vrt_nm, vrt prs tm_nbr fix;ncks area_wgt, chk_nan, chk_map, json dcm pnt fix;ncap2 -O fix';git push --tags

	* Add weight histogram in TR format

2019-11-19  Charlie Zender  <zender@uci.edu>

	* nco_map_chk() gracefully handles map-files (often bilinear) with area_a/b=0, frac_a/b=0

	* Add area-weighting option --area_wgt to nco_map_chk()

2019-11-18  Charlie Zender  <zender@uci.edu>

	* Re-design statistics format, handle TR se2se maps, allow for missing mask_a/b

	* Include mbs,rms,sdn statistics in nco_map_chk() output

2019-11-17  Charlie Zender  <zender@uci.edu>

	* Improve nco_map_chk() output formatting

2019-11-16  Charlie Zender  <zender@uci.edu>

	* Add complements to nco_map_chk() output

2019-11-15  Charlie Zender  <zender@uci.edu>

	* Support new fv2fv_flx, fv2fv_stt algorithms

2019-11-14  Charlie Zender  <zender@uci.edu>

	* Re-format chk_map output

	* NCO 4.9.0-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.9.0-beta01: Uttanasana';git push
	git tag -a 4.9.0-beta01 -m 'ncremap att_flg, centroid opt, gss n2s nfr fix, HRRR, IFS, MPAS BGC, msh_fl, ntp_mth rhea SLURM, rnr=0.0 == destonly, SGS rewrite/parallelize, TR MWF SCRIP, TR volumetric, vrt_nm, vrt prs tm_nbr fix ;ncks chk_nan, chk_map, json dcm pnt fix;ncap2 -O';git push --tags

	* ncremap allows altering mss_val without invoking -P mpas

2019-11-13  Charlie Zender  <zender@uci.edu>

	* Update ncremap TR documentation and hint on obtaining TR

2019-11-12  Charlie Zender  <zender@uci.edu>

	* Hook-up and clean-up nco_map_chk()

2019-11-10  Charlie Zender  <zender@uci.edu>

	* Add hooks for nco_map_chk()

	* Document --preserve=mean,integral

2019-11-08  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.2-alpha10 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha10: Pranayama';git push
	git tag -a 4.8.2-alpha10 -m 'ncremap TR MWF scrip, dpr eps_ill_cnd, --preserve;ncks json dcm pnt fix';git push --tags

	* Add --preserve=mean,integral option to simplify weight application

2019-11-07  Charlie Zender  <zender@uci.edu>

	* Pass rgr structure into nco_sph_plg_area()

2019-10-23  Charlie Zender  <zender@uci.edu>

	* NERSC incident INC0143724: ncremap/ncclimo Cori module load ncl/6.4.0 not 6.5.0

2019-10-21  Charlie Zender  <zender@uci.edu>

	* ncremap accepts -W (--wgt_opt) = 'tempest' to use TR for MWF-mode with .nc files (requested by Qi Tang)

	* ncremap warn when -a tempest used without -W wgt_opt_usr

2019-10-19  Charlie Zender  <zender@uci.edu>

	* Improve documentation of -a tempest

2019-10-16  Charlie Zender  <zender@uci.edu>

	* Install/benchmark ESMF 8.0.0 which performs slightly worse than 7.1.0r

	* Successfully built NCO including ncap2 with clang-mp-9.0 on MacOS 15 Catalina

2019-10-14 Henry Butowsky  <henryb@hush.com>

        * Fix --json output of NC_FLOAT and NC_DOUBLE. Eliminate trailing '.' (illegal in JSON), e.g., '1234567.' is now output as '1234567'

2019-10-13  Charlie Zender  <zender@uci.edu>

	* Test and reject hypothesis that aggregating formulae into one	line improves accuracy

	* Introduce eps_ill_cnd and demonstrate that triangular ill-condition branch never helps
	Set eps_ill_cnd = 1.0e-15 for now, this significantly improves ne30 and ne120 accuracy

2019-10-12  Charlie Zender  <zender@uci.edu>

	* Quantify bias reduction after normalizing by ratio of	true-to-computed area
	This worsens global statistics, so do not turn this on by default

	* Re-compute area_a, area_b for map-file output, even if present in grid-files

2019-10-11  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.2-alpha09 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha09: Malasana';git push
	git tag -a 4.8.2-alpha09 -m 'ncremap vrt_nm, CMIP6 metadata, rnr=0.0 == destonly, centroid decomposition, fix n2s gss nfr, HRRR, cap fix';git push --tags

	* Merge Henry's fix for Cap grids

	* Clarify 1-based indexing rule in map-file metadata

2019-10-09  Charlie Zender  <zender@uci.edu>

	* Add rgr->cf_units and rgr->erwg_units flags to ensure NCO produces ERWG 7.1.0r-compliant SCRIP-format grid files, which currently only means that 'units' must be 'degrees' not CF-compliant 'degrees_north' and 'degrees_east'

	* Add NWS HRRR variables gridlat_0, gridlon_0, and dimensions xgrid_0, ygrid_0 to regridder database

2019-10-08  Charlie Zender  <zender@uci.edu>

	* Fix nco_grd_nfr() to report/provide accurate latitude bounds for n2s Gaussian grids

	* Fix nco_grd_nfr() to produce positive areas for n2s Gaussian grids

	* Increase matching tolerance for Gaussian grid inferral from 1.0e-7 to 1.0e-6 to recognize T62 grids in NCEP/DOE I & II reanalyses

2019-10-07  Charlie Zender  <zender@uci.edu>

	* Allocate extra boundary to store centroid information only if necessary

2019-10-05  Charlie Zender  <zender@uci.edu>

	* Full working implementation of centroid method

2019-10-04  Charlie Zender  <zender@uci.edu>

	* Debugging centroid method (currently borken)

	* Add ply_tri_mth and tri_arc_typ to regridder database

	* Implement centroid method for polygonal decomposition into triangles

	* Case-insensitive matching for map-file attributes

2019-10-03  Charlie Zender  <zender@uci.edu>

	* Ensure non-ESMF map-files perform same re-normalization as ESMF "destonly" map-files

	* Rewrite nco_rgr_wgt(), nco_grd_nfr(), nco_grd_mk() metadata code with new function nco_char_att_get()

	* Implement applicable required and suggested metadata in map-file as per CMIP6 Specifications for Regridding Weights

	* Rewrite map-file metadata code with new function nco_char_att_get()

2019-10-02  Charlie Zender  <zender@uci.edu>

	* Replace all nco_inq_att_flg calls in regridder with cleaner nco_char_att_get()

	* Rewrite map-file ID code using new function nco_char_att_get()

	* Add ncremap --vrt_nm option to specify vertical coordinate input/output name for pure pressure grids

	* Output interpolated to pure pressure grid defaults to same vertical coordinate name as input

	* Massive merge of Henry's improved map algorithms

2019-10-01  Charlie Zender  <zender@uci.edu>

	* Prevent plev_nm_in definition in output file when plev_nm_in != lev_nm_out

	* Update ANNOUNCE, document ilev_nm, lev_nm, and plev_nm in nco.texi

	* Deprecate ALM from ncremap/ncclimo options

2019-09-30  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.2-alpha08 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha08: Svadhyaya';git push
	git tag -a 4.8.2-alpha08 -m 'MacOS 10.14.6 xcode 11 macports 2.6.0 gcc 9.2 issues;ncremap sgs back-compatability, vrt prs tm_nbr fix ilev fix;nco.texi rgr';git push --tags

	* Account for vertical layers in clever interface pressure memory allocation, then deprecate it as too clever

	* Prevent taking double logarithm if input and output interface pressures

	* Change default vertical interpolation back from linear to logarithmic

	* Add vrt_ntp, vrt_xtr synonyms to ncks

2019-09-29  Charlie Zender  <zender@uci.edu>

	* Allow users to specify pressure coordinate name with plev_nm_in

	* Always define prs_ntf in case no prs_mdp variables are extracted in vertical interpolation

2019-09-27  Charlie Zender  <zender@uci.edu>

	* Ensure ilev name and size match lev name and size for	pure-pressure vertical grids

	* Ensure tm_nbr >= 1 for pure-pressure vertical grids

	* Define and check-for ilev_nm_in == NULL to fix interpolation to pressure-levels

	* Clarify ncks -H == --data option in nco.texi

	* ncremap do not enter file loop for map-only invocations: fl_nbr=0 so bch_nbr=0

2019-09-26  Charlie Zender  <zender@uci.edu>

	* Document simultaneous vertical/horizontal regridding

	* Document ncremap vertical interpolation algorithm options vrt_ntp=lin|log

2019-09-24  Charlie Zender  <zender@uci.edu>

	* Implement landfrac and landmask defaults with -P sgs for back-compatibility

	* Deprecate last vestiges of old-SGS and GSG code from ncremap

2019-09-20  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.2-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha07: XTerra/Sukhasana';git push
	git tag -a 4.8.2-alpha07 -m 'ncremap/ncclimo bch/job loops;ncremap sgs_frc external, re-do SGS, parallelize all, simultaneous hrz vrt;nco.texi rgr';git push --tags

	* Allow simultaneous horizontal/vertical regridding invocation in ncremap

	* Parallelize ncremap main loop except map generation so any single invocation of ncremap should now regrid multiple files simultaneously via background and MPI parallelism, and multiple ncremap invocations will not conflict. Previously that was only true for input files that required no special handling. Now MPAS, RRG, D2F, PDQ blocks are all parallel-safe.

	* Add HDF5_USE_FILE_LOCKING=FALSE solution to NC_EHDFERR documentation

2019-09-18  Charlie Zender  <zender@uci.edu>

	* Remove most impediments to simultaneous vertical/horizontal regridding

	* Parallelize SGS post-processing

	* Replace convoluted SGS implementation (juggling grids/maps) with elegant GSG method.
	Continue to use SGS naming, so existing SGS users must change calling syntax.

2019-09-17  Charlie Zender  <zender@uci.edu>

	* Allow sgs_frc_nm to contain external local filename, then slash, then actual sgs_frc_nm

	* Streamline batch loops in ncremap, ncclimo sbs and sbs rgr, and ncclimo clm dly loops

2019-09-12  Charlie Zender  <zender@uci.edu>

	* Document regridding algorithm in nco.texi

	* NCO 4.8.2-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha06: XTerra';git push
	git tag -a 4.8.2-alpha06 -m 'rhea SLURM;ncremap GSG ELM/MPAS-SI, ntp_mth;ncks chk_nan';git push --tags

	* Make "ESMF renormalization" of fields without missing values (i.e., "destarea") opt-in rather than default
	"destarea" and frac_b = frc_dst together set flg_frc_nrm
	Formerly flg_frc_nrm triggered ESMF renormalization by default
	Users must now explicitly set --rnr_thr to a value in [0.0,1.0]	(and have flg_frc_nrm be true) to trigger it
	This keep conservative maps conservative by default
	NB: This "ESMF renormalization" normalizes by frac_b == frc_dst regardless of rnr_thr

2019-09-10  Charlie Zender  <zender@uci.edu>

	* GSG regridding works for MPAS Seaice. Yay!

	* Re-do GSG normalization to allow for sgs_frc_out == 0.0 because MPAS-Seaice timeMonthly_avg_iceAreaCell is time-mean area-fraction of sea ice and is usually zero

	* ncremap make -P mpasseaice exactly synonymous with -P mpascice which now always calls GSG regridding

	* Cause nco_chk_nan() to exit noisily with nco_exit(EXIT_FAILURE)

	* MPAS GSG timeMonthly_avg_absorbedShortwaveFluxInitialArea has NaNs, why?

	* Eliminate wgt_vld_out from GSG algorithm for variables with missing values

	* MPAS GSG ice-fraction now borken, why? Fixed (was skipping that one variable)

	* Fix uninitialized cnv structure

	* Multi-level ELM GSG with threads works well. Yay!

	* GSG fails on ELM with --thr=2, SGS succeeds, why? FIXED out-of-bounds idx issue

	* Implement GSG for all combinations of levels and missing values

2019-09-09  Charlie Zender  <zender@uci.edu>

	* Fix GSG by double-weighting (by sgs_frc_in and overlap weight) input values, normalized by sgs_frc_out

	* In GSG, pass sgs_msk_nm through ncremap

2019-09-08  Charlie Zender  <zender@uci.edu>

	* In GSG, compute sgs_msk (when requested) based on sgs_frc

	* In GSG, normalize all variables (except sgs_frc and sgs_msk) by wgt_vld_frc

2019-09-07  Charlie Zender  <zender@uci.edu>

	* Check for _FillValue in sgs_frc_in (e.g., ELM landfrac) in GSG regridding

2019-09-06  Charlie Zender  <zender@uci.edu>

	* Expose linear/logarithmic vertical interpolation option to user control with --ntp_mth=lin|log

2019-09-02  Charlie Zender  <zender@uci.edu>

	* Update rhea queue to SLURM

2019-08-27  Charlie Zender  <zender@uci.edu>

	* Build on rhea with bld/Makefile, deprecate old rhea modules

	* NCO 4.8.2-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha05: Oceanside';git push
	git tag -a 4.8.2-alpha05 -m 'ncremap: OpenMP5.0	work;blues,cheyenne,rhea updates';git push --tags

	* Update MANIFEST, annotate libnco.h

	* Use /gpfs/alpine not /lustre/atlas1 as ~/data on rhea and restore grids/maps contents there

	* Fix bld/Makefile by deprecating ncap.h reference in mpncwa.c

2019-08-23  Charlie Zender  <zender@uci.edu>

	* Quiet debugging output in nco_rgr_wgt()

	* Add stubs for OpenMP5.0 support to exploit GPUs on GCC >= 9.0

2019-08-21  Charlie Zender  <zender@uci.edu>

	* Add ERWG to ncremap on blues via NCO_PATH_OVERRIDE=Yes and module load ncl

	* Remove 'soft' command from blues NCO_PATH_OVERRIDE code since	CentOS7 partition uses 'module'

2019-08-20  Charlie Zender  <zender@uci.edu>

	* Merge Henry's patch to allow SCRIP grids without grid_imask or grid_area variables

	* Fix handling of fnc_nm and fp_stderr by Intel Compiler in nco_ply_lst.c

2019-08-14  Charlie Zender  <zender@uci.edu>

	* Add config.sub and workaround Linux-issue that hangs on config.guess

2019-08-13  Charlie Zender  <zender@uci.edu>

	* Switch cheyenne build from Intel to GNU, update to 9.1.0 compilers in ncremap/ncclimo

2019-08-12  Charlie Zender  <zender@uci.edu>

	* Update config.guess from ~2013 version to GNU 20190103 version to fix Cheyenne hang

2019-08-09  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.2-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha04: BrainCamp';git push
	git tag -a 4.8.2-alpha04 -m 'Mesh-generation re-write accurate for ~ne120 with OpenMP enhancement';git push --tags

	* Massive changeset by Henry to improve intersection mesh generation including new functions nco_sph_seg_int_nw(), pre-intersect scan in nco_sph_intersect_pre(), nco_poly_vrl_do(), nco_sph_centroid(), and nco_sph_inside_mk(), new nco_sph_seg_int() algorithm, nco_poly_vrl_do(), nco_sph_centroid(), and nco_sph_inside_mk(), moved kd tree creation from nco_poly_lst_mk_vrl_sph() to nco_msh_mk(), new interpolation and nco_sph_metric() functions, refined DIST_TOLERANCE, OpenMP, #define code paths to allow for compiler-specific OpenMP implementations

2019-08-08  Charlie Zender  <zender@uci.edu>

	* Clarify in nco.texi when msk_src/msk_dst/msk_out are used

2019-08-07  Charlie Zender  <zender@uci.edu>

	* Use libnetcdf11 instead of libnetcdfc7 in .travis.yml to fix TravisCI breakage

2019-08-06  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.2-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha03: Kanaka';git push
	git tag -a 4.8.2-alpha03 -m 'ncremap MPAS BGC';git push --tags

	* nco.texi update ncremap -P mpas documentation for PDQ issues

	* ncremap improve error message when spatial dimensions are not most-rapidly-varying (MRV)

	* Tweak Cori build to find UDUnits

	* Patch ncremap to work with MPAS Ocean files that contain BGC dimensions: R3, FOUR

2019-08-01  Charlie Zender  <zender@uci.edu>

	* Revamp Cori build script to work with GCC 8.2

2019-07-26  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.2-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha02: Molokini';git push
	git tag -a 4.8.2-alpha02 -m 'ncremap bilin UKMO, TR output formats, drop --volumetric from fv2se_stt;ncap2 --output fix';git push --tags

	* Propagate format flags to TR for Classic|Offset64Bits|Netcdf4|Netcdf4Classic

	* Reformat Henry's changes to nco_fl_utl.c, restore nco_sntz_sng() comment for possible reactivation

	* Henry fixed ncap2 --output to once again work with single command-line files

	* Allow "none" normalization type for bilinear regridding which	UKMO SCRIP files set to "none" as per Craig MacLachlan

2019-07-18  Charlie Zender  <zender@uci.edu>

	* Propagate "--out_format offset64bits" to TR when netCDF 64BIT_OFFSET format selected

2019-07-16  Charlie Zender  <zender@uci.edu>

	* Remove "--volumetric" from fv2se_stt per Mark Taylor and Paul Ullrich

2019-07-09  Charlie Zender  <zender@uci.edu>

	* Update to GCC9 on MacOS X

2019-07-02  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.2-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.2-alpha01: Giant Baby Step';git push
	git tag -a 4.8.2-alpha01 -m 'Functionally identical to 4.8.1';git push --tags

2019-07-01  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.1 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.1: INDICES';git push
	git tag -a 4.8.1 -m 'ncclimo job_nbr csn;ncremap msh_fl, n2s CCW gss nfr, IFS, vrt_xtr mss_val;ncap2 -O;copyright';git push --tags

	* Fix ncap2 use of single-file with -O if file already exists

	* Add --no_amwg synonym

2019-06-22  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.1-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.1-beta01: Iron Champs Elysée';git push
	git tag -a 4.8.1-beta01 -m 'ncclimo job_nbr csn;ncremap msh_fl, n2s CCW gss nfr, IFS, vrt_xtr mss_val';git push --tags

	* When foo.nc already exists, "ncap2 -O -s 'one=1' ~/foo.nc" works and "ncap2 -s 'one=1' ~/foo.nc" is borken

2019-06-15  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo print NCO_PATH_OVERRIDE HINT when ncks fails due to link error

	* nco_ntp_vrt() correct prs_min/max_in/out idx_fst when detecting extrapolation

	* NCO 4.8.1-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.1-alpha07: Kahakai';git push
	git tag -a 4.8.1-alpha07 -m 'ncremap/ncclimo vrt_xtr;ntp_vrt mss_val min max';git push --tags

	* ncclimo print correct regridded filename at end when no_ntv_tms requested

	* ncclimo incorporate vertical extrapolation type vrt_xtr option

	* nco_ntp_vrt() set flag to add _FillValue based on both maximum and minimum midpoint pressure

	* nco_ntp_vrt() set flag to add _FillValue based on maximum midpoint pressure not surface pressure

	* ncremap incorporate vertical extrapolation type vrt_xtr option

2019-06-14  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.1-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.1-alpha06: School of Rock';git push
	git tag -a 4.8.1-alpha06 -m 'ncremap --msh_fl, rename ESMF xtr_* to esmf_*, IFS vrt_fl w/lev, n2s CCW;Cori GCC not Intel;ncks xtr_mth mss_val;update Makefile/libnco.h; add copyright/license to msh code';git push --tags

	* Add copyright/license to new regridding files nco_ply.c/h, nco_crt.c/h, nco_sph.c/h, nco_ply_lst.c/h, nco_kd.c/h

	* Always use n2s algorithm during Newton-Raphson construction of s2n latitudes (later flipped to n2s)

2019-06-13  Charlie Zender  <zender@uci.edu>

	* Add CW->CCW filter to nco_grd_mk() and nco_grd_nfr() so n2s grids work with TR

2019-06-12  Charlie Zender  <zender@uci.edu>

	* Rename ESMF extrapolation options from "xtr_xyz" to "esmf_xyz"

	* Correctly read lev dimension name from vrt_fl during ECMWF IFS processing

2019-06-08  Charlie Zender  <zender@uci.edu>

	* Move nco_nmn_get() and nco_lbr_vrs_prn/() from nco_ctl.c to nco_scm.c, re-jigger version banner

	* nco_ntp_vrt() handle xtr_mth option with rgr parameter database

	* nco_ntp_vrt() add _FillValue attributes if necessary when missing value extrapolation requested

	* nco_ntp_vrt() pre-screen to determine whether extrapolation necessary

2019-06-07  Charlie Zender  <zender@uci.edu>

	* ncremap outputs intersection meshfile with --msh_fl

	* Cori add '-C knl' to interactive queue requests

	* Remove gsl and udunits modules from NCO_PATH_OVERRIDE actions on Cori

	* NCO 4.8.1-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.1-alpha05: Tampa Mockingbird';git push
	git tag -a 4.8.1-alpha05 -m 'ncremap MWF w/o tempest, blues MPI, xtr_fll_msv, AppVeyor fix';git push --tags

	* ncremap skip Tempest alg_typ 'tempest' in MWF mode when called with .nc grids

	* ncclimo/ncremap choose correct batch and MPI type for	blues/anvil, requested by Balwinder Singh

	* nco_ntp_vrt() missing value extrapolation works, still need to add _FillValue attribute and option

	* nco_ntp_vrt() add hooks to create _FillValue attribute after extrapolating to missing values

2019-06-06  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() add stubs for extrapolation to missing value

2019-06-05  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() re-use existing dmn_ids_out array to fix new AppVeyor breakage

	* Merge Filipe's patch to fix old AppVeyor breakage

2019-06-04  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.1-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.1-alpha04: Taco Al Pastor';git push
	git tag -a 4.8.1-alpha04 -m 'ncremap --amwg_links, gss ntf n2s,	ECMWF IFS vrt ntp;ncks msh_fl';git push --tags

	* Verify vertical interpolation of ECMWF now works

	* Compensate for different definitions of hya? between ECMWF and CAM/EAM

	* Fix Newton-Raphson computation of Gaussian grid interfaces for n2s grids (including ECMWF)

2019-06-03  Charlie Zender  <zender@uci.edu>

	* Interpolation of hybrid grids from ECMWF IFS input files appears to work

2019-06-02  Charlie Zender  <zender@uci.edu>

	* Change --lnk_flg to true option with argument, add --amwg_links antonym flag to --no_amwg_links

	* nco_rgr.c print absolute convergence at last iteration step for failed Gaussian calculations

	* Add stubs to understand and interpolate hybrid grids from ECMWF IFS input files

	* Address warnings found by Pedro with MSVC Studio Version 19

2019-05-31  Charlie Zender  <zender@uci.edu>

	* Allow ncremap to work when ERWG is not found and not needed

2019-05-30 Henry Butowsky  <henryb@hush.com>

        * ncks --rgr msh_fl=msh.nc for SCRIP-formatted netCDF overlap mesh

2019-05-29  Charlie Zender  <zender@uci.edu>

	* Fix mis-formatted fprintf() statements

2019-05-27  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.1-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.1-alpha03: Compy';git push
	git tag -a 4.8.1-alpha03 -m 'ncremap/ncclimo compy, job_nbr csn;';git push --tags

	* nco_ntp_vrt() add stubs for depth coordinate

2019-05-26  Charlie Zender  <zender@uci.edu>

	* ncclimo use job_nbr in seasonal climos

	* Prevent automatic writing of output grid to nco_map_tst_out.nc

	* Ensure compy MPI mode uses srun

	* Deprecate edison and hopper from ncremap/ncclimo scripts

2019-05-25  Charlie Zender  <zender@uci.edu>

	* Add compy to ncremap/ncclimo HPC database

2019-05-22  Charlie Zender  <zender@uci.edu>

	* Expand HINT when GenerateOverlapMesh fails

2019-05-19  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.1-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.1-alpha02: Knee Wrench';git push
	git tag -a 4.8.1-alpha02 -m 'ORourke BSD license/copyright;ncclimo vrt_fl';git push --tags

	* ncclimo MPAS branch passes vertical interpolation arguments

2019-05-18  Charlie Zender  <zender@uci.edu>

	* Plumb ncks and nco_rgr_ini() to accept vrt_fl directly

	* Pass vertical interpolation arguments from ncclimo to ncremap

	* Insert copyright for Joseph O'Rourke and BSD License into nco_crt.c and nco_sph.c

	* NCO 4.8.1-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.1-alpha01: Salted Pig';git push
	git tag -a 4.8.1-alpha01 -m 'Nearly functionally identical to 4.8.0;ncclimo/ncremap -p serial';git push --tags

	* ncclimo/ncremap -p serial is synonym for -p nil

2019-05-15  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0: Becoming';git push
	git tag -a 4.8.0 -m 'ncremap se2se/fv2fv, no_stdin, vrt_fl, xcl_var;ncclimo job_nbr, OMP_PROC_BIND;ncap2 no foo.nc;ncks chk_nan';git push --tags

	* Add --vrt_fl stubs to ncclimo

	* Merge Henry's latest RLL weight-generation code

2019-05-12  Charlie Zender  <zender@uci.edu>

	* Change tst-wrt-map*.nc to nco_map_tst*.nc

	* Change --no-crd, --no-coords to --no_crd, --no_coords

	* Add synonyms --xcl_ass_var, --xtr_ass_var

2019-05-11  Charlie Zender  <zender@uci.edu>

	* Document NCO regridding algorithm

	* ncremap invoke NCO weight-generation with alg_typ=nco_xxx :)

	* NCO 4.8.0-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-beta01: Spaghetti';git push
	git tag -a 4.8.0-beta01 -m 'vrt ntp timeseries';git push --tags

	* Update documentation for time-varying vertical grids

	* nco_ntp_vrt() Verify that time-series interpolation works for	hybrid grids

	* nco_ntp_vrt() Move pressure calcuations into time loop

	* nco_ntp_vrt() Copy non-vertical variables only once (on first timestep)

2019-05-10  Charlie Zender  <zender@uci.edu>

	* Read/write vertical variables in single timeslices when output vertical grid time-varies

2019-05-09  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0-alpha12 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha12: UCLA';git push
	git tag -a 4.8.0-alpha12 -m 'ncclimo no_stdin, aims4/acme1 NCO_PATH_OVERRIDE';git push --tags

	* Document --no_stdin

	* Add --no_stdin to ncclimo to prevent false-positive stdin detection in CWL code

2019-05-06  Charlie Zender  <zender@uci.edu>

	* Add stubs for input vertical grid timeseries

	* Add cf_grp.cdl as template/test file for CF Conventions

2019-04-30  Charlie Zender  <zender@uci.edu>

	* ncremap/ncclimo add paths for aims4/acme1 to NCO_PATH_OVERRIDE section

2019-04-24  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0-alpha11 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha11: Jazz Fest';git push
	git tag -a 4.8.0-alpha11 -m 'NCO_PATH_OVERRIDE opt-in;job_nbr=12,OMP_PROC_BIND ncks,ncra;ncclimo/ncremap --xcl_var;documentation';git push --tags

	* ncremap --vrt_fl now obeys --vars=var_lst

	* Document --xcl_var

	* ncremap/ncclimo Fix --nco_opt to not overwrite filetype choice

	* ncremap/ncclimo --xcl_var toggles extraction list to exclusion list

2019-04-23  Charlie Zender  <zender@uci.edu>

	* ncremap, ncclimo set OMP_PROC_BIND=false as script environment variable to prevent MPI breakage

2019-04-22  Charlie Zender  <zender@uci.edu>

	* Change default job_nbr from 2 to var_nbr in splitter

	* Document --job_nbr in nco.texi

	* Document --vrt_fl in nco.texi

2019-04-21  Charlie Zender  <zender@uci.edu>

	* Change NCO_PATH_OVERRIDE override default from opt-out to opt-in

2019-04-20  Charlie Zender  <zender@uci.edu>

	* ncremap, ncclimo set OMP_PROC_BIND=false when calling ncks, ncra to speed-up Cori KNL Intel builds

	* NCO_rgr.pm, nco_exit_lbr_rcd() handle netCDF libraries 4.6.3,	4.6.4, 4.7.0

	* nco_rgr_wgt() re-arrange initialization code to suit layer-by-layer regridding, use memset()

	* nco_rgr_wgt() remove ~150 lines of unused/unfinished Non-MRV and extensive variable (!flg_mrv, flg_xtn) code

2019-04-19  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0-alpha10 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha10: Hanna';git push
	git tag -a 4.8.0-alpha10 -m 'ncks --chk_nan;OMP_PROC_BIND=false ncrcat';git push --tags

	* ncclimo set OMP_PROC_BIND=false when calling ncrcat to speed-up Cori KNL Intel builds

	* Pass thr_nbr into OpenMP loops as shared variable, avoid omp_get_thread_num() when thr_nbr < 2

	* ncra.c only call nco_omp_ini() when thr_nbr > 1

	* ncclimo splitter defaults to 1 OpenMP thread

	* ncclimo print OpenMP thread request in output header

	* Re-unify Windows/UNIX block in nco_netcdf.h to #include <netcdf_mem.h> and define ncmemio struct

	* Deprecate NC_HAVE_META_H from CMakeLists.txt

2019-04-18  Charlie Zender  <zender@uci.edu>

	* ncks add --chk_nan option to check input file for NaNs and exit(EXIT_FAILURE) if found
	Feature requested by Matthew Thompson of NASA

2019-04-17  Charlie Zender  <zender@uci.edu>

	* Noel Keen solves Cori-KNL slowness issue, reduces Min Xu benchmark time from ~27m30s to ~2m30s

	* Appveyor errors are due to CMakeLists.txt flaw that overrides	correct NC_LIB_VERSION

2019-04-16  Charlie Zender  <zender@uci.edu>

	* Fail to solve Appveyor errors on Windows by never defining NC_memio for Windows for netCDF <= 4.6.1

2019-04-15  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0-alpha09 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha09: Boulder Bay Proposal';git push
	git tag -a 4.8.0-alpha09 -m 'ncap2 allows no input file;ncremap --no_stdin';git push --tags

	* ncap2 uses FORCE_OVERWRITE to decide on append mode vs. dummy	input file in nco_fl_lst_mk()

2019-04-14  Charlie Zender  <zender@uci.edu>

	* Changes to kd.h and nco_crt.h suggested by Pedro for Windows compatibility

	* ncremap add option --no_stdin flag to explicitly turn-off checking stdin for input file list.
	Xylar realized this is necessary for ncremap to work in build environments that co-opt stdin for other purposes.

	* Allow ncap2 to have no positional arguments when no input filename and output specified by -o fl_out

2019-04-10  Charlie Zender  <zender@uci.edu>

	* Add stubs for ncap2 to use nco_fl_dmm_mk() to circumvent required input file argument

	* NCO 4.8.0-alpha08 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha08: Whiskey Ginger Beer';git push
	git tag -a 4.8.0-alpha08 -m 'ncremap --vrt_fl pure pressure, CMIP ta & zg, mnt ncr/dcr';git push --tags

	* nco_ntp_vrt() Fix and validate increasing and decreasing input/output vertical grids

2019-04-08  Charlie Zender  <zender@uci.edu>

	* ncremap: Correct bug introduced in 4.8.0-alpha08 that only regrids when dbg_lvl > 1 (DOH!) noticed by Min Xu

2019-04-04  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() allow monotonically decreasing input or output grids

2019-04-03  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() Plumb for pure pressure grids

	* nco_ntp_vrt() Treat variables named "ta" and "zg" with temperature and geopotential height extrapolation rules, respectively

2019-04-01  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha07: Bond-o';git push
	git tag -a 4.8.0-alpha07 -m 'ncremap --vrt_fl features and optimizations';git push --tags

2019-03-31  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() allocate and define only needed pressure grids,	reduce memory consumption by 2x if ilev not needed

	* nco_ntp_vrt() extrapolate geopotential height using hypsometric equation on LHS and RHS, fixes Z3

	* nco_ntp_vrt() implement poor subterranean geopotential extrapolation for variables named Z3

	* nco_ntp_vrt() implement and validate subterranean temperature extrapolation for variables named T

	* nco_ntp_vrt() re-factor extrapolation flags into structures with an enumerated constant for each type

	* nco_ntp_vrt() isolate log(pressure) assumption

	* nco_ntp_vrt() allow possibility that PS has time dimension > 1

2019-03-30  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha06: Marathon Man';git push
	git tag -a 4.8.0-alpha06 -m 'ncremap --vrt_fl';git push --tags

	* nco_ntp_vrt() verify interpolation works on cami dataset

	* nco_ntp_vrt() verify interpolation looks OK (i.e., nearest neighbor above model top) on EAM L30->L72

	* nco_ntp_vrt() verify identity interpolation is BFB on EAM L30->L30

	* nco_ntp_vrt() use 1D interpolation code from CSZ's libcsz.a library source code ~/sw/c++/vec.hh

2019-03-29  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() compute ilev_out and lev_out if not supplied in	vertical grid file

	* nco_ntp_vrt() use horizontal grid from input dataset if vertical grid file does not have horizontal grid

2019-03-28  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() adjust OpenMP pragmas to work on old compilers

	* nco_ntp_vrt() swap _in and _out from file-based to grid-based meanings to increase code clarity

2019-03-27  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() defines all variables and copies their metadata to output file

	* nco_ntp_vrt() fill-in output file with hybrid coordinate vertical grid data and metadata

2019-03-26  Charlie Zender  <zender@uci.edu>

	* nco_ntp_vrt() compute midpoint and interface pressures on input and output grids

	* ncremap call vertical OR horizontal interpolation routines. ncks add skeleton nco_ntp_vrt().

	* ncremap add stubs for vertical coordinate file

	* NCO 4.8.0-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha05: Dawn Wall';git push
	git tag -a 4.8.0-alpha05 -m 'ncemap SGS MPAS-SeaIce, GSG protoype; ncclimo Cori KNL bms, orphans';git push --tags

	* ncremap -P mpascice can employ old SGS mode to evaluate new GSG mode

	* ncremap nco_rgr_wgt() remove extraneous test on sum total of sgs_frc_out

2019-03-25  Charlie Zender  <zender@uci.edu>

	* ncap2 more precise ERROR message that allows output filename to equal input filename

	* Use fp_stdout not stdout in OpenMP regions

2019-03-24  Charlie Zender  <zender@uci.edu>

	* ncremap -P mpascice now invokes sgs_frc normalization

	* ncremap print more accurate description of pre-processing

	* Splitter prints more explicit description of parallelism/looping

2019-03-23  Charlie Zender  <zender@uci.edu>

	* ncclimo when parent dies, kill instead of orphan or reap children

	* Simplify sgs_frc_out regridding, add has_mss_val branch to sgs_frc normalization

2019-03-22  Charlie Zender  <zender@uci.edu>

	* Add stubs to read sgs_frc in nco_rgr.c

	* Allow nco_rgr_wgt() to work with nco_rgr_mpf_typ=unknown

2019-03-21  Charlie Zender  <zender@uci.edu>

	* Annotate nco_rgr_wgt() major loops

2019-03-15  Charlie Zender  <zender@uci.edu>

	* nco_rgr_wgt() read mask_b, if present, from Tempest maps

	* ncclimo/ncremap print details of parallelism strategy in header

	* Re-learn and document in code ncclimo and ncremap node-allocation rules

	* ncremap fix cmd_mpi assignment on cooley

2019-03-14  Charlie Zender  <zender@uci.edu>

	* Diagnose and explain when ERWG is found yet cannot run due to, e.g., dynamic linking errors

	* NCO 4.8.0-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha04: Sand';git push
	git tag -a 4.8.0-alpha04 -m 'ncclimo --job_nbr, cooley, Henry regridding';git push --tags

	* Clean-up compiler warnings

	* Merge Henry's regridding code

2019-03-13  Charlie Zender  <zender@uci.edu>

	* Use correct home bin/lib path when on cooley compute nodes

	* ncclimo fine-grain parallelism in monthly loop of regular monthly climos

	* Deprecate ACME from ncclimo/ncremap

2019-03-12  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha03: 55';git push
	git tag -a 4.8.0-alpha03 -m 'nco_mpf_typ_nco, mpirun -hosts cooley, SAS formula';git push --tags

	* Add NCO map-file type to nco_rgr_mpf_typ in nco_rgr.c so we can eat our own dogfood

2019-03-11  Charlie Zender  <zender@uci.edu>

	* Change Cooley DATA from ClimateEnergy_2 to OceanClimate_2

2019-03-10  Charlie Zender  <zender@uci.edu>

	* Cooley mpirun now uses -hosts instead of -H for hostname option

2019-03-05  Charlie Zender  <zender@uci.edu>

	* Use surface angle not interior angle in SAS formula

	* Implement SAS formula where L'Huilier's formula is ill-conditioned

2019-03-03  Charlie Zender  <zender@uci.edu>

	* Add stubs for TR quasi-equal-area mode

2019-02-28  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha02: 300-degree Club';git push
	git tag -a 4.8.0-alpha02 -m 'ncremap fv2fv MPI;ncks JSON deprecate type;ncclimo fix drc_out nd_fl bug';git push --tags

	* Insert MPI parallelism commands for cheyenne, constance, theta from ncclimo into ncremap

	* ncclimo/ncremap Add proper error diagnostics to mkdir failures

	* ncclimo create drc_out before using for nd_fl, fixes bug introduced in 4.7.9

2019-02-27  Charlie Zender  <zender@uci.edu>

	* Add HINT to parallelism error in ncclimo/ncremap

	* Add --mono to se2se and --mono3 --nonconserve to fv2fv

2019-02-26  Charlie Zender  <zender@uci.edu>

	* Omit JSON variable "type" clause when jsn_var_fmt=0

	* Add JSON stubs to distinguish between attribute and variable format levels

2019-02-24  Charlie Zender  <zender@uci.edu>

	* Explain how EHDFERR can be caused by un/mis-configured HDF5_PLUGIN_PATH

	* ncremap add Tempest alg_typ fv2fv/rll2rll for finite volume to finite volume

2019-02-22  Charlie Zender  <zender@uci.edu>

	* NCO 4.8.0-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.8.0-alpha01: Thin Mints';git push
	git tag -a 4.8.0-alpha01 -m 'Functionally identical to 4.7.9;ncremap se2se';git push --tags

	* ncremap add Tempest alg_typ se2se/cs2cs for spectral element cube-sphere to cube-sphere

2019-02-20  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.9 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.9: Guru Benji';git push
	git tag -a 4.7.9 -m 'ncremap sgs fix, sgs --map, lat/lon_dmn_nm, whitespace ok, mpas depth, add_depth.py;ncclimo nd_fl, nd_nbr fix;ncrcat rec_apn rbs;ncatted --hdn';git push --tags

	* Update release metadata

	* NCO 4.7.9-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.9-beta01: Waterfalls';git push
	git tag -a 4.7.9-beta01 -m 'CDL _NoFill, _Filter, _Endianness fixes;ncremap/ncclimo die+report linker errors';git push --tags

2019-02-18  Charlie Zender  <zender@uci.edu>

	* Always build split.nc so ncks regression test #120 can pass

	* ncremap/ncclimo die sooner when NCO is found but cannot run due to, e.g., dynamic linking errors

	* Replace $? by "$?" since $? can be undefined, e.g., when command failed due to link error
	Then conditions like "if[ $? -eq 0 ];" cause syntax error that obscures initial error

2019-02-17  Charlie Zender  <zender@uci.edu>

	* Print _Endianness for floating point types not just integers as before

	* Print _Filter values not number of values

	* Print _Filter filter ID

	* Emulate changes to netCDF and print _NoFill (not _NOFILL) values as true or false not 1 or 0

	* Add bzip2.cdl for filter testing

	* ncclimo exit with error if --dpt_fl invoked without regridder

2019-02-16  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.9-alpha07 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.9-alpha07: Ed';git push
	git tag -a 4.7.9-alpha07 -m 'ncremap lat/lon_dmn_nm, clm_flg, alg_opt';git push --tags

	* Update ncremap documentation accordingly

	* ncremap use lat_dmn_nm/lon_dmn_nm for lat_dmn_nm_out/lon_dmn_nm_out

2019-02-15  Charlie Zender  <zender@uci.edu>

	* ncremap make --clm_flg a true flag with same meaning as -C

	* ncremap refactor to always define algorithm diagnostic alg_opt for six Tempest-types

2019-02-14  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.9-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.9-alpha06: Trash bags';git push
	git tag -a 4.7.9-alpha06 -m 'ncclimo nd_fl, nd_nbr fix;ncremap sgs --map, whitespace ok;GCC9 default(none) removal;clarify NC_EHDFERR, NC_EBADCHUNK errors;DGR, BG2 progress';git push --tags

	* ncremap double-quote all filenames used in command strings and verify whitespace works

	* ncremap double-quote input, output, and map-file names to allow white-space in filepaths

2019-02-12  Charlie Zender  <zender@uci.edu>

	* Merge patch by Orion Poplawski to eliminate default(none) pragma for GCC9 OpenMP 5.0

2019-02-07  Charlie Zender  <zender@uci.edu>

	* Correct some (of many) compiler warnings for GCC 4.8.2 (rhea)

	* Add netcdf.h error codes to nco_netcdf.c

2019-02-06  Charlie Zender  <zender@uci.edu>

	* in.cdl add time_rpt to test sub-cycle hyperslabs

	* ncremap prevent spurious exit when computing named SGS maps when vrb_lvl >= 3

2019-02-05  Charlie Zender  <zender@uci.edu>

	* Cause ncclimo MPI-mode to exit when nd_nbr=0

	* Ensure ncclimo writes nd_fl to writable directory

	* ncclimo print cmd_sbs not cmd_rgr for generated files

	* ncclimo output more explicit information about parallelism job_nbr, var_nbr, nd_nbr

2019-02-03  Charlie Zender  <zender@uci.edu>

	* Differentiate Digit Rounding (DGR, baa=3) from Bit Grooming 2	(BG2, baa=4)

	* Remove default(none) clause to prevent GCC9 errors on missing declaration for fp_stderr

2019-02-02  Charlie Zender  <zender@uci.edu>

	* Add more verbose information for NC_EHDFERR errors

2019-02-01  Charlie Zender  <zender@uci.edu>

	* Add more verbose information for NC_EBADCHUNK errors

2019-01-31  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.9-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.9-alpha05: Kubasek';git push
	git tag -a 4.7.9-alpha05 -m 'd2f doc, ncremap SGS ELM fix';git push --tags

2019-01-30  Charlie Zender  <zender@uci.edu>

	* ncremap implement and verify that Min Xu's modification conserves fields not land area
	Previous ncremap SGS implementation conserved land area not fields
	Conserving fields (slightly) more important so changing to that
	Expect most non-conservation of area will disappear once ELM archives area/landfrac in DP
	My original conservation diagnostic for raw files used an unreliable identity remap
	Dianostic conservation tests should be turned into regression tests

2019-01-28  Charlie Zender  <zender@uci.edu>

	* Investigate _FillValue behavior described by John Wilkin

	* Add stubs for PPC Digit Rounding algorithm of DCG19 and/or Bit Grooming 2 (BG2)

2019-01-25  Charlie Zender  <zender@uci.edu>

	* ncremap rename internal variables as with 'sgs' instead of 'lnd'

	* Add E3SM material on Manual Grid Generation to ncremap documentation

	* Add E3SM material on SGS and RRG options to ncremap documentation

2019-01-23  Charlie Zender  <zender@uci.edu>

	* Add ncra SSC MRO regression test to NCO_rgr.pm

	* ncremap SGS mode fails conservation tests at 10^-4 level
	  Min Xu warns that conv_remap conserves values while ncremap SGS conserves area

2019-01-22  Charlie Zender  <zender@uci.edu>

	* Add stubs for PPC BG2, Bit Grooming version 2 which features dynamic masks

	* Document --d2f in manual and man pages

2019-01-21  Charlie Zender  <zender@uci.edu>

	* ncremap add SGS procedures for mpascice, change prc_typ='mpas' to prc_mpas='Yes'

	* ncremap advertise PPC in usage

2019-01-20  Charlie Zender  <zender@uci.edu>

	* Audit ncremap and add comments on treatment of land vs. sea-ice data

2019-01-19  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.9-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.9-alpha04: Shutdown';git push
	git tag -a 4.7.9-alpha04 -m 'ncremap add_depth.py';git push --tags

	* ncclimo add synonyms, update climo tests to use CMIP6 PI files

	* ncclimo add --dpt_fl option and pass to ncremap

2019-01-15  Charlie Zender  <zender@uci.edu>

	* Fix ncremap flg_grd_only definition to work in SGS mode

2019-01-12  Charlie Zender  <zender@uci.edu>

	* Finish infrastructure for add_depth.py. ncremap --add_depth appears to work.

2019-01-11  Charlie Zender  <zender@uci.edu>

	* Add stubs for MPAS depth coordinate option

2019-01-06  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.9-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.9-alpha03: AOC';git push
	git tag -a 4.7.9-alpha03 -m 'MPAS depth';git push --tags

	* ncremap allow for MPAS depth coordinate after processing by add_depth.py

2019-01-02  Charlie Zender  <zender@uci.edu>

	* End binary source code copyright notice with "--present" to nearly eliminate annual updates

2018-12-12  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.9-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.9-alpha02: Unconventional Diner';git push
	git tag -a 4.7.9-alpha02 -m 'splitter timestamps;mpas no_stg_grd;ncap2 exit_gracefully;get/put_var1 fix;ncrcat rec_apn rbs';git push --tags

	* ncra/ncrcat: Rebase in rec_apn mode using calendar units from destination not source file

2018-12-06  Charlie Zender  <zender@uci.edu>

	* Prevent redefinition of struct NC_memio on Windows

	* Add --msa to man pages, reformat long-options after first in nco_usg_prn()

2018-12-04  Charlie Zender  <zender@uci.edu>

	* ncclimo: Add timestamped notices after each timeseries segment completes

	* ncclimo: Add timestamped notices after completing all full batches and partial batch if any

2018-11-30  Charlie Zender  <zender@uci.edu>

	* Synchronize ncremap and ncclimo host-specific blocks

2018-11-29  Charlie Zender  <zender@uci.edu>

	* Always use --no_stg_grd for prc_typ='mpas'

2018-11-24  Charlie Zender  <zender@uci.edu>

	* ncap2 exit gracefully when no output file specified with netCDF4 input file

	* ncap2 exit gracefully when no -s or -S argument given

2018-11-20  Charlie Zender  <zender@uci.edu>

	* Correctly dereference pointer zero (i.e., NULL) passed as value of srt argument to nco_get/put_var1()

2018-11-19  Charlie Zender  <zender@uci.edu>

	* ncremap order shell commands in tempest history attribute cmd_msh, cmd_map not cmd_map, cmd_msh

2018-11-16  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.9-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.9-alpha01: Palm Desert';git push
	git tag -a 4.7.9-alpha01 -m 'Functionally identical to 4.7.8';git push --tags

	* NCO 4.7.8 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.8: Paradise Lost';git push
	git tag -a 4.7.8 -m 'ncremap/ncclimo CMIP6 features, d2f, no frac_b, deprecate USE_NC4_SRD_WORKAROUND; ERWG no_log; ncks byte-swap; ncatted typ_mch fix';git push --tags

	* ncremap annotate map-file after cmd_trn for monotr transpose maps
	NB: GenerateTransposeMap does not propagate metadata from input map

2018-11-15  Charlie Zender  <zender@uci.edu>

	* ncremap add ${unq_sfx} to ${d2f_fl}

2018-11-14  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.8-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.8-beta01: Paradise Lost';git push
	git tag -a 4.7.8-beta01 -m 'ncclimo mdl_nm=mpas, pass ${nco_opt}, ${spl_opt}, ${spl_rgr_opt} not -C, pass; ncremap explicit -O, ERWG --no_log, ntl dfl nil not 0';git push --tags

	* ncclimo add ${spl_opt} and ${spl_rgr_opt} to MPAS ncremap call

	* ncremap/ncclimo initialize dfl_lvl to '' not '0'

	* ncremap --no_log to prevent ERWG write attempts to (possibly write-protected) working directory

	* ncclimo pass ${nco_opt} through to ncremap so, e.g., --no_tmp_fl -7 --dfl_lvl=2

	* ncremap move -O outside of ${nco_opt} and make it explicit in all commands
	Reduces chances that overriding ncremap default nco_opt with nco_opt from ncclimo causes disaster

	* ncclimo remove '-C' argument from ncremap invocation for MPAS splitter only
	This ensures CMIP6 MPAS timeseries will have _FillValue

	* ncclimo add 'mpas' as valid model name mdl_nm (it was already a valid mdl_typ)

	* NCO 4.7.8-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.8-alpha04: Potomac';git push
	git tag -a 4.7.8-alpha04 -m 'CMIP6 tweaks: no frac_b, ncclimo --d2f';git push --tags

2018-11-08  Charlie Zender  <zender@uci.edu>

	* Implement --d2f in ncclimo to pass to ncremap

2018-11-04  Charlie Zender  <zender@uci.edu>

	* Use htonl(), htons() instead of __builtin_bswap??() when unavailable

	* Add frac_b exceedance diagnostic to stdout but remove frac_b from netCDF output (for CMIP6)

2018-10-30  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.8-alpha03 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.8-alpha03: Tony\'nDonna';git push
	git tag -a 4.7.8-alpha03 -m 'ncremap --d2f;ncks byte-swap ordering option;ncbo conformity clarity';git push --tags

	* Add variable uint32_var to in_grp.nc and successfully test byte-swapping

	* Fix c_typ_nm() to return correct C-language type of netCDF type based on nco_typ.h tokens

	* Clarify dimension ordering issue when ncbo's variable conformity checks fail

2018-10-24  Charlie Zender  <zender@uci.edu>

	* Finish byte-swap function. Still need front-end option invocation mechanism.

2018-10-23  Charlie Zender  <zender@uci.edu>

	* Add byte-swap option infrastructure

	* Successfully built/tested on GCC 8.2 on MacOS 10.14

2018-10-11  Charlie Zender  <zender@uci.edu>

	* Fix typo so we have NCO_GSL_VERSION >= 110 in fmc_gsl_cls.cc

2018-10-06  Charlie Zender  <zender@uci.edu>

	* Pedro Vicente corrected a WIN64 size_t issue by replacing “long” with “size_t” in nco_lmt_evl_dmn_crd()

2018-09-27  Charlie Zender  <zender@uci.edu>

	* Add --d2f option to ncremap to convert double-precision to single-precision

2018-09-25  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.8-alpha02 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.8-alpha02: Imua MVB';git push
	git tag -a 4.7.8-alpha02 -m 'Deprecate USE_NC4_SRD_WORKAROUND for netCDF >= 4.6.2;Add nc_*_memio() functions; Fix nc_set_log_level(); ncatted allow --typ_mch searches to fail; ncremap add mss_val to NC_FLOAT';git push --tags

	* ncremap add missing values to single-precision MPAS variables as well as double

	* ncatted do not return error when -t specified and no matching	variables found

2018-09-23  Charlie Zender  <zender@uci.edu>

	* Define NC_LIB_VERSION prior to using in #include <netcdf_mem.h>

	* Add nco_create_memio(), nco_open_memio(), nco_close_memio() and their stubs

2018-09-21  Charlie Zender  <zender@uci.edu>

	* Allow USE_NC4_SRD_WORKAROUND only for netCDF <= 4.6.1 since 4.6.2 fixes issue https://github.com/Unidata/netcdf-c/pull/1001

	* Convert log_lvl to int before passing to nc_set_log_level() to fix breakage with netCDF 4.6.2-RC1

	* NCO 4.7.8-alpha01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.8-alpha01: Nitrous';git push
	git tag -a 4.7.8-alpha01 -m 'Functionally identical to 4.7.7;';git push --tags

	* NCO 4.7.7 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.7: Bravura';git push
	git tag -a 4.7.7 -m 'theta;ilev;doc dap dep wht_lst;ignore_degenerate;rgr n2s, doc, gss sym ntf;ncpdq dbl_flt;ncremap skl_fl cnv_mpas';git push --tags

2018-09-20  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.7-beta01 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.7-beta01: BC Tanager';git push
	git tag -a 4.7.7-beta01 -m 'theta;ilev;doc dap dep wht_lst;ignore_degenerate;rgr n2s, doc, gss sym ntf;ncpdq dbl_flt;ncremap skl_fl cnv_mpas';git push --tags

	* Document new features

 	* Disable filename sanitization until further review of https://github.com/nco/nco/issues/104

	* Add nco_xtr_ilev_add() to extract ilev, when present, whenever lev is extracted (requested by Qi Tang)

2018-09-19  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.7-alpha06 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.7-alpha06: Vacuum Leak';git push
	git tag -a 4.7.7-alpha06 -m 'MPAS exception harmony;docs';git push --tags

	* nco.texi document regridder omitted variable lists

	* Convert ncremap usg_prn() and nco.texi to use canonical argument format in.nc out.nc

	* nco.texi document MPAS fixed variable lists

	* Harmonize MPAS lists between nco_rgr_wgt() and nco_var_is_fix()

2018-09-18  Charlie Zender  <zender@uci.edu>

	* Reduce MPAS exclusion list to allow regridding areaCell, maxLevelCell, xCell, yCell, zCell

	* Add angleEdge, meshDensity, weightsOnEdge to MPAS fix list

	* Tweak MPAS "fixed" list to apply only to size and rank preserving arithmetic operators and to cellsOnCell

2018-09-17  Charlie Zender  <zender@uci.edu>

	* Designate MPAS grid variables as "fixed" not "processed"

2018-09-16  Charlie Zender  <zender@uci.edu>

	* NCO 4.7.7-alpha05 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.7-alpha05: Field Marshall Von Stoldt';git push
	git tag -a 4.7.7-alpha05 -m 'rgr num_wgts fix;mpas xcl;cnv sct;rgr xcl_lst mpas;cmd_pdq<->cmd_att;CDF5 stt';git push --tags

	* Fix MPAS exclusion list for regridder

	* Tidy configure.ac brackets

	* Address Flex version issues discovered by Daniel Neumann in ncap_lex.l

	* Accurately report CDF5 support

	* Improve NC_ENOTBUILT error to explain CDF5 support

2018-09-14  Charlie Zender  <zender@uci.edu>

	* Perform cmd_pdq before cmd_att in ncremap so any sub-setting reduces cmd_att time

	* Remove MPAS MOC exception from ncks.c

	* Hook-up MPAS exclusion list for regridder

	* Finally delete ncap.c

	* Replace CNV_CCM_CCSM_CF with convention structure cnv

2018-09-13  Charlie Zender  <zender@uci.edu>

	* Tolerate ESMF map-files that lack num_wgts dimension due to post-processing

	* NCO 4.7.7-alpha04 release procedure:
	cd ~/nco;git commit -a -m 'Version 4.7.7-alpha04: Mailbox';git push
	git tag -a 4.7.7-alpha04 -m 'ncpdq dbl_flt, gss grd';git push --tags

2018-09-12  Charlie Zender  <zender@uci.edu>

	* Add stubs to implement CNV_MPAS exceptions

2018-09-10  Charlie Zender  <zender@uci.edu>

